# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from enum import Enum
from azure.core import CaseInsensitiveEnumMeta


class BonusType(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    NONE = "None"
    POSITIVE = "Positive"
    POSITIVE_AND_NEGATIVE = "PositiveAndNegative"

class CalibrationListStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    SOON_DUE = "SoonDue"
    EXPIRED = "Expired"

class CalibrationStatusDto(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    UNCALIBRATED = "Uncalibrated"
    DEPRECATED = "Deprecated"
    EXPIRED = "Expired"
    SOON_DUE = "SoonDue"
    VALID = "Valid"

class CustomerOrderLineStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    DRAFT = "Draft"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"
    DELETED = "Deleted"

class CustomerOrderStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    DRAFT = "Draft"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"
    DELETED = "Deleted"

class CustomerStatusDto(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    DRAFT = "Draft"
    ACTIVE = "Active"
    DEACTIVATED = "Deactivated"

class MachineAlarmType(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    FAULT = "Fault"
    WARNING = "Warning"

class MachineState(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    IN_CYCLE = "InCycle"
    MASTER_CAM = "MasterCam"
    MDI_CYCLE = "MdiCycle"
    CAM_CYCLE = "CamCycle"
    IDLE = "Idle"
    OPTIONAL_STOP = "OptionalStop"
    PROGRAM_STOP = "ProgramStop"
    M0 = "M0"
    ATC_STOPPED = "AtcStopped"
    FEED_HOLD = "FeedHold"
    MDI_MODE = "MdiMode"
    MANUAL_MODE = "ManualMode"
    E_STOP = "EStop"
    ALARM = "Alarm"
    POWER_OFF = "PowerOff"

class MaterialStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    UNKNOWN = "Unknown"
    NOT_STARTED = "NotStarted"
    PARTIAL = "Partial"
    COMPLETED = "Completed"

class MeasurementFormInstanceStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    ACTIVE = "Active"
    CANCELLED = "Cancelled"
    COMPLETED = "Completed"
    APPROVED = "Approved"

class MeasurementFormSource(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    UNKNOWN = "Unknown"
    INSPECTION_XPERT = "InspectionXpert"
    EXCEL = "Excel"
    MANUAL = "Manual"

class MeasurementFormStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    DRAFT = "Draft"
    RELEASED = "Released"
    REVOKED = "Revoked"

class MeasurementFormValueType(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    NONE = "None"
    BOOL = "Bool"
    DECIMAL = "Decimal"
    STRING = "String"

class MeasurementFrequency(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    ALL = "All"
    FIRST_ARTICLE = "FirstArticle"
    N_FIRST = "NFirst"
    N_PERCENT = "NPercent"
    ISO2859 = "ISO2859"
    NTH = "Nth"
    NONE = "None"

class MeasurentFormAttachmentType(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    DRAWING = "Drawing"
    MARKED_DRAWING = "MarkedDrawing"
    INSPECTION_XPERT_XML = "InspectionXpertXml"
    INSPECTION_XPERT_PROJECT = "InspectionXpertProject"
    EXCEL_WITH_ELEMENTS = "ExcelWithElements"
    ATTACHMENT = "Attachment"

class OperationStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    NOT_READY = "NotReady"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"

class TenantEnvironment(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    PROD = "Prod"
    QA = "QA"
    TEST = "Test"
    DEV = "Dev"

class TenantInfrastructureStatus(int, Enum, metaclass=CaseInsensitiveEnumMeta):

    ZERO = 0
    ONE = 1
    TWO = 2
    NINE = 9

class WorkorderStatus(str, Enum, metaclass=CaseInsensitiveEnumMeta):

    DRAFT = "Draft"
    READY = "Ready"
    ONGOING = "Ongoing"
    COMPLETED = "Completed"
    DELETED = "Deleted"
