# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

import msrest.serialization


class AcceptSupplierInviteRequest(msrest.serialization.Model):
    """AcceptSupplierInviteRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar tenant_id: Required.
    :vartype tenant_id: str
    :ivar existing_company_id:
    :vartype existing_company_id: str
    :ivar company_name:
    :vartype company_name: str
    :ivar organization_number:
    :vartype organization_number: str
    :ivar three_letter_iso_country: Required.
    :vartype three_letter_iso_country: str
    """

    _validation = {
        'tenant_id': {'required': True},
        'three_letter_iso_country': {'required': True},
    }

    _attribute_map = {
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'existing_company_id': {'key': 'existingCompanyId', 'type': 'str'},
        'company_name': {'key': 'companyName', 'type': 'str'},
        'organization_number': {'key': 'organizationNumber', 'type': 'str'},
        'three_letter_iso_country': {'key': 'threeLetterIsoCountry', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tenant_id: Required.
        :paramtype tenant_id: str
        :keyword existing_company_id:
        :paramtype existing_company_id: str
        :keyword company_name:
        :paramtype company_name: str
        :keyword organization_number:
        :paramtype organization_number: str
        :keyword three_letter_iso_country: Required.
        :paramtype three_letter_iso_country: str
        """
        super(AcceptSupplierInviteRequest, self).__init__(**kwargs)
        self.tenant_id = kwargs['tenant_id']
        self.existing_company_id = kwargs.get('existing_company_id', None)
        self.company_name = kwargs.get('company_name', None)
        self.organization_number = kwargs.get('organization_number', None)
        self.three_letter_iso_country = kwargs['three_letter_iso_country']


class AppDto(msrest.serialization.Model):
    """AppDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar key: Required.
    :vartype key: str
    :ivar name: Required.
    :vartype name: str
    :ivar description: Required.
    :vartype description: str
    :ivar private_app: Required.
    :vartype private_app: bool
    :ivar accessible_by_suppliers: Required.
    :vartype accessible_by_suppliers: bool
    """

    _validation = {
        'id': {'required': True},
        'key': {'required': True},
        'name': {'required': True},
        'description': {'required': True},
        'private_app': {'required': True},
        'accessible_by_suppliers': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'key': {'key': 'key', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'private_app': {'key': 'privateApp', 'type': 'bool'},
        'accessible_by_suppliers': {'key': 'accessibleBySuppliers', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword key: Required.
        :paramtype key: str
        :keyword name: Required.
        :paramtype name: str
        :keyword description: Required.
        :paramtype description: str
        :keyword private_app: Required.
        :paramtype private_app: bool
        :keyword accessible_by_suppliers: Required.
        :paramtype accessible_by_suppliers: bool
        """
        super(AppDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.key = kwargs['key']
        self.name = kwargs['name']
        self.description = kwargs['description']
        self.private_app = kwargs['private_app']
        self.accessible_by_suppliers = kwargs['accessible_by_suppliers']


class AssetComsumptionDto(msrest.serialization.Model):
    """AssetComsumptionDto.

    :ivar timeseries_id:
    :vartype timeseries_id: long
    :ivar timeseries_name:
    :vartype timeseries_name: str
    :ivar kwh:
    :vartype kwh: float
    :ivar asset_id:
    :vartype asset_id: long
    :ivar asset_name:
    :vartype asset_name: str
    :ivar co2_equivalent:
    :vartype co2_equivalent: float
    """

    _attribute_map = {
        'timeseries_id': {'key': 'timeseriesId', 'type': 'long'},
        'timeseries_name': {'key': 'timeseriesName', 'type': 'str'},
        'kwh': {'key': 'kwh', 'type': 'float'},
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'co2_equivalent': {'key': 'co2Equivalent', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword timeseries_id:
        :paramtype timeseries_id: long
        :keyword timeseries_name:
        :paramtype timeseries_name: str
        :keyword kwh:
        :paramtype kwh: float
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword asset_name:
        :paramtype asset_name: str
        :keyword co2_equivalent:
        :paramtype co2_equivalent: float
        """
        super(AssetComsumptionDto, self).__init__(**kwargs)
        self.timeseries_id = kwargs.get('timeseries_id', None)
        self.timeseries_name = kwargs.get('timeseries_name', None)
        self.kwh = kwargs.get('kwh', None)
        self.asset_id = kwargs.get('asset_id', None)
        self.asset_name = kwargs.get('asset_name', None)
        self.co2_equivalent = kwargs.get('co2_equivalent', None)


class AssetDto(msrest.serialization.Model):
    """AssetDto.

    :ivar external_id:
    :vartype external_id: str
    :ivar name:
    :vartype name: str
    :ivar description:
    :vartype description: str
    :ivar metadata: Dictionary of :code:`<string>`.
    :vartype metadata: dict[str, str]
    :ivar aggregates: Anything.
    :vartype aggregates: any
    :ivar parent_id:
    :vartype parent_id: long
    :ivar source:
    :vartype source: str
    :ivar id:
    :vartype id: long
    :ivar created_time:
    :vartype created_time: long
    :ivar last_updated_time:
    :vartype last_updated_time: long
    :ivar root_id:
    :vartype root_id: long
    """

    _attribute_map = {
        'external_id': {'key': 'externalId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'metadata': {'key': 'metadata', 'type': '{str}'},
        'aggregates': {'key': 'aggregates', 'type': 'object'},
        'parent_id': {'key': 'parentId', 'type': 'long'},
        'source': {'key': 'source', 'type': 'str'},
        'id': {'key': 'id', 'type': 'long'},
        'created_time': {'key': 'createdTime', 'type': 'long'},
        'last_updated_time': {'key': 'lastUpdatedTime', 'type': 'long'},
        'root_id': {'key': 'rootId', 'type': 'long'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword external_id:
        :paramtype external_id: str
        :keyword name:
        :paramtype name: str
        :keyword description:
        :paramtype description: str
        :keyword metadata: Dictionary of :code:`<string>`.
        :paramtype metadata: dict[str, str]
        :keyword aggregates: Anything.
        :paramtype aggregates: any
        :keyword parent_id:
        :paramtype parent_id: long
        :keyword source:
        :paramtype source: str
        :keyword id:
        :paramtype id: long
        :keyword created_time:
        :paramtype created_time: long
        :keyword last_updated_time:
        :paramtype last_updated_time: long
        :keyword root_id:
        :paramtype root_id: long
        """
        super(AssetDto, self).__init__(**kwargs)
        self.external_id = kwargs.get('external_id', None)
        self.name = kwargs.get('name', None)
        self.description = kwargs.get('description', None)
        self.metadata = kwargs.get('metadata', None)
        self.aggregates = kwargs.get('aggregates', None)
        self.parent_id = kwargs.get('parent_id', None)
        self.source = kwargs.get('source', None)
        self.id = kwargs.get('id', None)
        self.created_time = kwargs.get('created_time', None)
        self.last_updated_time = kwargs.get('last_updated_time', None)
        self.root_id = kwargs.get('root_id', None)


class AssetDtoPagedResult(msrest.serialization.Model):
    """AssetDtoPagedResult.

    All required parameters must be populated in order to send to Azure.

    :ivar results: Required.
    :vartype results: list[~ignos.api.client.models.AssetDto]
    :ivar continuation_token:
    :vartype continuation_token: str
    """

    _validation = {
        'results': {'required': True},
    }

    _attribute_map = {
        'results': {'key': 'results', 'type': '[AssetDto]'},
        'continuation_token': {'key': 'continuationToken', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword results: Required.
        :paramtype results: list[~ignos.api.client.models.AssetDto]
        :keyword continuation_token:
        :paramtype continuation_token: str
        """
        super(AssetDtoPagedResult, self).__init__(**kwargs)
        self.results = kwargs['results']
        self.continuation_token = kwargs.get('continuation_token', None)


class AssetPowerDto(msrest.serialization.Model):
    """AssetPowerDto.

    :ivar timeseries_id:
    :vartype timeseries_id: long
    :ivar timeseries_name:
    :vartype timeseries_name: str
    :ivar asset_id:
    :vartype asset_id: long
    :ivar asset_name:
    :vartype asset_name: str
    :ivar time_series_data_points:
    :vartype time_series_data_points: list[~ignos.api.client.models.NumericDataPointDto]
    """

    _attribute_map = {
        'timeseries_id': {'key': 'timeseriesId', 'type': 'long'},
        'timeseries_name': {'key': 'timeseriesName', 'type': 'str'},
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'time_series_data_points': {'key': 'timeSeriesDataPoints', 'type': '[NumericDataPointDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword timeseries_id:
        :paramtype timeseries_id: long
        :keyword timeseries_name:
        :paramtype timeseries_name: str
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword asset_name:
        :paramtype asset_name: str
        :keyword time_series_data_points:
        :paramtype time_series_data_points: list[~ignos.api.client.models.NumericDataPointDto]
        """
        super(AssetPowerDto, self).__init__(**kwargs)
        self.timeseries_id = kwargs.get('timeseries_id', None)
        self.timeseries_name = kwargs.get('timeseries_name', None)
        self.asset_id = kwargs.get('asset_id', None)
        self.asset_name = kwargs.get('asset_name', None)
        self.time_series_data_points = kwargs.get('time_series_data_points', None)


class AssetSimpleStructureDto(msrest.serialization.Model):
    """AssetSimpleStructureDto.

    :ivar external_id:
    :vartype external_id: str
    :ivar name:
    :vartype name: str
    :ivar id:
    :vartype id: long
    """

    _attribute_map = {
        'external_id': {'key': 'externalId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'id': {'key': 'id', 'type': 'long'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword external_id:
        :paramtype external_id: str
        :keyword name:
        :paramtype name: str
        :keyword id:
        :paramtype id: long
        """
        super(AssetSimpleStructureDto, self).__init__(**kwargs)
        self.external_id = kwargs.get('external_id', None)
        self.name = kwargs.get('name', None)
        self.id = kwargs.get('id', None)


class AssetStructureDto(msrest.serialization.Model):
    """AssetStructureDto.

    Variables are only populated by the server, and will be ignored when sending a request.

    :ivar external_id:
    :vartype external_id: str
    :ivar name:
    :vartype name: str
    :ivar aggregates_display:
    :vartype aggregates_display: str
    :ivar aggregates:
    :vartype aggregates: list[~ignos.api.client.models.AssetSimpleStructureDto]
    :ivar id:
    :vartype id: long
    :ivar created_time:
    :vartype created_time: long
    :ivar last_updated_time:
    :vartype last_updated_time: long
    """

    _validation = {
        'aggregates_display': {'readonly': True},
    }

    _attribute_map = {
        'external_id': {'key': 'externalId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'aggregates_display': {'key': 'aggregatesDisplay', 'type': 'str'},
        'aggregates': {'key': 'aggregates', 'type': '[AssetSimpleStructureDto]'},
        'id': {'key': 'id', 'type': 'long'},
        'created_time': {'key': 'createdTime', 'type': 'long'},
        'last_updated_time': {'key': 'lastUpdatedTime', 'type': 'long'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword external_id:
        :paramtype external_id: str
        :keyword name:
        :paramtype name: str
        :keyword aggregates:
        :paramtype aggregates: list[~ignos.api.client.models.AssetSimpleStructureDto]
        :keyword id:
        :paramtype id: long
        :keyword created_time:
        :paramtype created_time: long
        :keyword last_updated_time:
        :paramtype last_updated_time: long
        """
        super(AssetStructureDto, self).__init__(**kwargs)
        self.external_id = kwargs.get('external_id', None)
        self.name = kwargs.get('name', None)
        self.aggregates_display = None
        self.aggregates = kwargs.get('aggregates', None)
        self.id = kwargs.get('id', None)
        self.created_time = kwargs.get('created_time', None)
        self.last_updated_time = kwargs.get('last_updated_time', None)


class AttachCalibrationCertificateRequest(msrest.serialization.Model):
    """AttachCalibrationCertificateRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar upload_key: Required.
    :vartype upload_key: str
    :ivar filename: Required.
    :vartype filename: str
    """

    _validation = {
        'upload_key': {'required': True},
        'filename': {'required': True},
    }

    _attribute_map = {
        'upload_key': {'key': 'uploadKey', 'type': 'str'},
        'filename': {'key': 'filename', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword upload_key: Required.
        :paramtype upload_key: str
        :keyword filename: Required.
        :paramtype filename: str
        """
        super(AttachCalibrationCertificateRequest, self).__init__(**kwargs)
        self.upload_key = kwargs['upload_key']
        self.filename = kwargs['filename']


class AzureRegionDto(msrest.serialization.Model):
    """AzureRegionDto.

    All required parameters must be populated in order to send to Azure.

    :ivar display_name: Required.
    :vartype display_name: str
    :ivar name: Required.
    :vartype name: str
    :ivar region_display_name: Required.
    :vartype region_display_name: str
    """

    _validation = {
        'display_name': {'required': True},
        'name': {'required': True},
        'region_display_name': {'required': True},
    }

    _attribute_map = {
        'display_name': {'key': 'displayName', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'region_display_name': {'key': 'regionDisplayName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword display_name: Required.
        :paramtype display_name: str
        :keyword name: Required.
        :paramtype name: str
        :keyword region_display_name: Required.
        :paramtype region_display_name: str
        """
        super(AzureRegionDto, self).__init__(**kwargs)
        self.display_name = kwargs['display_name']
        self.name = kwargs['name']
        self.region_display_name = kwargs['region_display_name']


class CalibrationListToolDto(msrest.serialization.Model):
    """CalibrationListToolDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar tool_id: Required.
    :vartype tool_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar type: Required.
    :vartype type: str
    :ivar sub_type:
    :vartype sub_type: str
    :ivar last_calibration_date:
    :vartype last_calibration_date: ~datetime.datetime
    :ivar next_calibration_date:
    :vartype next_calibration_date: ~datetime.datetime
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar last_location:
    :vartype last_location: str
    :ivar last_location_date:
    :vartype last_location_date: ~datetime.datetime
    """

    _validation = {
        'id': {'required': True},
        'tool_id': {'required': True},
        'name': {'required': True},
        'type': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'tool_id': {'key': 'toolId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'last_calibration_date': {'key': 'lastCalibrationDate', 'type': 'iso-8601'},
        'next_calibration_date': {'key': 'nextCalibrationDate', 'type': 'iso-8601'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'last_location': {'key': 'lastLocation', 'type': 'str'},
        'last_location_date': {'key': 'lastLocationDate', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword tool_id: Required.
        :paramtype tool_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword type: Required.
        :paramtype type: str
        :keyword sub_type:
        :paramtype sub_type: str
        :keyword last_calibration_date:
        :paramtype last_calibration_date: ~datetime.datetime
        :keyword next_calibration_date:
        :paramtype next_calibration_date: ~datetime.datetime
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword last_location:
        :paramtype last_location: str
        :keyword last_location_date:
        :paramtype last_location_date: ~datetime.datetime
        """
        super(CalibrationListToolDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.tool_id = kwargs['tool_id']
        self.name = kwargs['name']
        self.type = kwargs['type']
        self.sub_type = kwargs.get('sub_type', None)
        self.last_calibration_date = kwargs.get('last_calibration_date', None)
        self.next_calibration_date = kwargs.get('next_calibration_date', None)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.last_location = kwargs.get('last_location', None)
        self.last_location_date = kwargs.get('last_location_date', None)


class CdfClusterDto(msrest.serialization.Model):
    """CdfClusterDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    :ivar base_url: Required.
    :vartype base_url: str
    :ivar scope: Required.
    :vartype scope: str
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
        'base_url': {'required': True},
        'scope': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'base_url': {'key': 'baseUrl', 'type': 'str'},
        'scope': {'key': 'scope', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword base_url: Required.
        :paramtype base_url: str
        :keyword scope: Required.
        :paramtype scope: str
        """
        super(CdfClusterDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']
        self.base_url = kwargs['base_url']
        self.scope = kwargs['scope']


class CdfConfigDto(msrest.serialization.Model):
    """CdfConfigDto.

    :ivar tenant_id:
    :vartype tenant_id: str
    :ivar client_id:
    :vartype client_id: str
    :ivar client_secret_exists:
    :vartype client_secret_exists: bool
    """

    _attribute_map = {
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'client_id': {'key': 'clientId', 'type': 'str'},
        'client_secret_exists': {'key': 'clientSecretExists', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tenant_id:
        :paramtype tenant_id: str
        :keyword client_id:
        :paramtype client_id: str
        :keyword client_secret_exists:
        :paramtype client_secret_exists: bool
        """
        super(CdfConfigDto, self).__init__(**kwargs)
        self.tenant_id = kwargs.get('tenant_id', None)
        self.client_id = kwargs.get('client_id', None)
        self.client_secret_exists = kwargs.get('client_secret_exists', None)


class CdfDetailsDto(msrest.serialization.Model):
    """CdfDetailsDto.

    All required parameters must be populated in order to send to Azure.

    :ivar project: Required.
    :vartype project: str
    :ivar base_url: Required.
    :vartype base_url: str
    :ivar client_id: Required.
    :vartype client_id: str
    :ivar client_secret_exists: Required.
    :vartype client_secret_exists: bool
    :ivar token_scopes: Required.
    :vartype token_scopes: str
    :ivar token_url: Required.
    :vartype token_url: str
    :ivar customer_managed_cdf: Required.
    :vartype customer_managed_cdf: bool
    """

    _validation = {
        'project': {'required': True},
        'base_url': {'required': True},
        'client_id': {'required': True},
        'client_secret_exists': {'required': True},
        'token_scopes': {'required': True},
        'token_url': {'required': True},
        'customer_managed_cdf': {'required': True},
    }

    _attribute_map = {
        'project': {'key': 'project', 'type': 'str'},
        'base_url': {'key': 'baseUrl', 'type': 'str'},
        'client_id': {'key': 'clientId', 'type': 'str'},
        'client_secret_exists': {'key': 'clientSecretExists', 'type': 'bool'},
        'token_scopes': {'key': 'tokenScopes', 'type': 'str'},
        'token_url': {'key': 'tokenUrl', 'type': 'str'},
        'customer_managed_cdf': {'key': 'customerManagedCdf', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword project: Required.
        :paramtype project: str
        :keyword base_url: Required.
        :paramtype base_url: str
        :keyword client_id: Required.
        :paramtype client_id: str
        :keyword client_secret_exists: Required.
        :paramtype client_secret_exists: bool
        :keyword token_scopes: Required.
        :paramtype token_scopes: str
        :keyword token_url: Required.
        :paramtype token_url: str
        :keyword customer_managed_cdf: Required.
        :paramtype customer_managed_cdf: bool
        """
        super(CdfDetailsDto, self).__init__(**kwargs)
        self.project = kwargs['project']
        self.base_url = kwargs['base_url']
        self.client_id = kwargs['client_id']
        self.client_secret_exists = kwargs['client_secret_exists']
        self.token_scopes = kwargs['token_scopes']
        self.token_url = kwargs['token_url']
        self.customer_managed_cdf = kwargs['customer_managed_cdf']


class CompanyCustomerDto(msrest.serialization.Model):
    """CompanyCustomerDto.

    :ivar customer_tenant_id:
    :vartype customer_tenant_id: str
    :ivar customer_azure_ad_tenant_id:
    :vartype customer_azure_ad_tenant_id: str
    :ivar customer_name:
    :vartype customer_name: str
    :ivar supplier_id:
    :vartype supplier_id: str
    :ivar supplier_name:
    :vartype supplier_name: str
    """

    _attribute_map = {
        'customer_tenant_id': {'key': 'customerTenantId', 'type': 'str'},
        'customer_azure_ad_tenant_id': {'key': 'customerAzureAdTenantId', 'type': 'str'},
        'customer_name': {'key': 'customerName', 'type': 'str'},
        'supplier_id': {'key': 'supplierId', 'type': 'str'},
        'supplier_name': {'key': 'supplierName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_tenant_id:
        :paramtype customer_tenant_id: str
        :keyword customer_azure_ad_tenant_id:
        :paramtype customer_azure_ad_tenant_id: str
        :keyword customer_name:
        :paramtype customer_name: str
        :keyword supplier_id:
        :paramtype supplier_id: str
        :keyword supplier_name:
        :paramtype supplier_name: str
        """
        super(CompanyCustomerDto, self).__init__(**kwargs)
        self.customer_tenant_id = kwargs.get('customer_tenant_id', None)
        self.customer_azure_ad_tenant_id = kwargs.get('customer_azure_ad_tenant_id', None)
        self.customer_name = kwargs.get('customer_name', None)
        self.supplier_id = kwargs.get('supplier_id', None)
        self.supplier_name = kwargs.get('supplier_name', None)


class CompanyDto(msrest.serialization.Model):
    """CompanyDto.

    :ivar id:
    :vartype id: str
    :ivar name:
    :vartype name: str
    :ivar organization_number:
    :vartype organization_number: str
    :ivar country:
    :vartype country: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'organization_number': {'key': 'organizationNumber', 'type': 'str'},
        'country': {'key': 'country', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword name:
        :paramtype name: str
        :keyword organization_number:
        :paramtype organization_number: str
        :keyword country:
        :paramtype country: str
        """
        super(CompanyDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.name = kwargs.get('name', None)
        self.organization_number = kwargs.get('organization_number', None)
        self.country = kwargs.get('country', None)


class CompanyUserDto(msrest.serialization.Model):
    """CompanyUserDto.

    :ivar company_id:
    :vartype company_id: str
    :ivar username:
    :vartype username: str
    :ivar name:
    :vartype name: str
    :ivar roles:
    :vartype roles: list[str]
    """

    _attribute_map = {
        'company_id': {'key': 'companyId', 'type': 'str'},
        'username': {'key': 'username', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'roles': {'key': 'roles', 'type': '[str]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword company_id:
        :paramtype company_id: str
        :keyword username:
        :paramtype username: str
        :keyword name:
        :paramtype name: str
        :keyword roles:
        :paramtype roles: list[str]
        """
        super(CompanyUserDto, self).__init__(**kwargs)
        self.company_id = kwargs.get('company_id', None)
        self.username = kwargs.get('username', None)
        self.name = kwargs.get('name', None)
        self.roles = kwargs.get('roles', None)


class ConsumptionDto(msrest.serialization.Model):
    """ConsumptionDto.

    :ivar asset_name:
    :vartype asset_name: str
    :ivar kwh:
    :vartype kwh: float
    :ivar co2_equivalent:
    :vartype co2_equivalent: float
    :ivar items:
    :vartype items: list[~ignos.api.client.models.AssetComsumptionDto]
    """

    _attribute_map = {
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'kwh': {'key': 'kwh', 'type': 'float'},
        'co2_equivalent': {'key': 'co2Equivalent', 'type': 'float'},
        'items': {'key': 'items', 'type': '[AssetComsumptionDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_name:
        :paramtype asset_name: str
        :keyword kwh:
        :paramtype kwh: float
        :keyword co2_equivalent:
        :paramtype co2_equivalent: float
        :keyword items:
        :paramtype items: list[~ignos.api.client.models.AssetComsumptionDto]
        """
        super(ConsumptionDto, self).__init__(**kwargs)
        self.asset_name = kwargs.get('asset_name', None)
        self.kwh = kwargs.get('kwh', None)
        self.co2_equivalent = kwargs.get('co2_equivalent', None)
        self.items = kwargs.get('items', None)


class ContactPersonDto(msrest.serialization.Model):
    """ContactPersonDto.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar phone: Required.
    :vartype phone: str
    :ivar email: Required.
    :vartype email: str
    """

    _validation = {
        'name': {'required': True},
        'phone': {'required': True},
        'email': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'phone': {'key': 'phone', 'type': 'str'},
        'email': {'key': 'email', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword phone: Required.
        :paramtype phone: str
        :keyword email: Required.
        :paramtype email: str
        """
        super(ContactPersonDto, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.phone = kwargs['phone']
        self.email = kwargs['email']


class CountryDto(msrest.serialization.Model):
    """CountryDto.

    All required parameters must be populated in order to send to Azure.

    :ivar two_letter_iso_region_name: Required.
    :vartype two_letter_iso_region_name: str
    :ivar three_letter_iso_region_name: Required.
    :vartype three_letter_iso_region_name: str
    :ivar name: Required.
    :vartype name: str
    """

    _validation = {
        'two_letter_iso_region_name': {'required': True},
        'three_letter_iso_region_name': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'two_letter_iso_region_name': {'key': 'twoLetterISORegionName', 'type': 'str'},
        'three_letter_iso_region_name': {'key': 'threeLetterISORegionName', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword two_letter_iso_region_name: Required.
        :paramtype two_letter_iso_region_name: str
        :keyword three_letter_iso_region_name: Required.
        :paramtype three_letter_iso_region_name: str
        :keyword name: Required.
        :paramtype name: str
        """
        super(CountryDto, self).__init__(**kwargs)
        self.two_letter_iso_region_name = kwargs['two_letter_iso_region_name']
        self.three_letter_iso_region_name = kwargs['three_letter_iso_region_name']
        self.name = kwargs['name']


class CreateApp(msrest.serialization.Model):
    """CreateApp.

    All required parameters must be populated in order to send to Azure.

    :ivar key: Required.
    :vartype key: str
    :ivar name: Required.
    :vartype name: str
    :ivar description: Required.
    :vartype description: str
    :ivar private_app: Required.
    :vartype private_app: bool
    :ivar accessible_by_suppliers: Required.
    :vartype accessible_by_suppliers: bool
    """

    _validation = {
        'key': {'required': True},
        'name': {'required': True},
        'description': {'required': True},
        'private_app': {'required': True},
        'accessible_by_suppliers': {'required': True},
    }

    _attribute_map = {
        'key': {'key': 'key', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'private_app': {'key': 'privateApp', 'type': 'bool'},
        'accessible_by_suppliers': {'key': 'accessibleBySuppliers', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword key: Required.
        :paramtype key: str
        :keyword name: Required.
        :paramtype name: str
        :keyword description: Required.
        :paramtype description: str
        :keyword private_app: Required.
        :paramtype private_app: bool
        :keyword accessible_by_suppliers: Required.
        :paramtype accessible_by_suppliers: bool
        """
        super(CreateApp, self).__init__(**kwargs)
        self.key = kwargs['key']
        self.name = kwargs['name']
        self.description = kwargs['description']
        self.private_app = kwargs['private_app']
        self.accessible_by_suppliers = kwargs['accessible_by_suppliers']


class CreateAsset(msrest.serialization.Model):
    """CreateAsset.

    :ivar parent_id:
    :vartype parent_id: long
    """

    _attribute_map = {
        'parent_id': {'key': 'parentId', 'type': 'long'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword parent_id:
        :paramtype parent_id: long
        """
        super(CreateAsset, self).__init__(**kwargs)
        self.parent_id = kwargs.get('parent_id', None)


class CreateCdfCluster(msrest.serialization.Model):
    """CreateCdfCluster.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar base_url: Required.
    :vartype base_url: str
    :ivar scope: Required.
    :vartype scope: str
    """

    _validation = {
        'name': {'required': True},
        'base_url': {'required': True},
        'scope': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'base_url': {'key': 'baseUrl', 'type': 'str'},
        'scope': {'key': 'scope', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword base_url: Required.
        :paramtype base_url: str
        :keyword scope: Required.
        :paramtype scope: str
        """
        super(CreateCdfCluster, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.base_url = kwargs['base_url']
        self.scope = kwargs['scope']


class CreateCompanyUserRequest(msrest.serialization.Model):
    """CreateCompanyUserRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar username: Required.
    :vartype username: str
    :ivar name: Required.
    :vartype name: str
    :ivar roles: Required.
    :vartype roles: list[str]
    """

    _validation = {
        'username': {'required': True},
        'name': {'required': True},
        'roles': {'required': True},
    }

    _attribute_map = {
        'username': {'key': 'username', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'roles': {'key': 'roles', 'type': '[str]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword username: Required.
        :paramtype username: str
        :keyword name: Required.
        :paramtype name: str
        :keyword roles: Required.
        :paramtype roles: list[str]
        """
        super(CreateCompanyUserRequest, self).__init__(**kwargs)
        self.username = kwargs['username']
        self.name = kwargs['name']
        self.roles = kwargs['roles']


class CreateCustomerOrderLineGhgReport(msrest.serialization.Model):
    """CreateCustomerOrderLineGhgReport.

    All required parameters must be populated in order to send to Azure.

    :ivar customer_order: Required.
    :vartype customer_order: ~ignos.api.client.models.SustainabilityCustomerOrderDto
    :ivar nodes: Required.
    :vartype nodes: list[~ignos.api.client.models.SustainabilityNodeDto]
    """

    _validation = {
        'customer_order': {'required': True},
        'nodes': {'required': True},
    }

    _attribute_map = {
        'customer_order': {'key': 'customerOrder', 'type': 'SustainabilityCustomerOrderDto'},
        'nodes': {'key': 'nodes', 'type': '[SustainabilityNodeDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_order: Required.
        :paramtype customer_order: ~ignos.api.client.models.SustainabilityCustomerOrderDto
        :keyword nodes: Required.
        :paramtype nodes: list[~ignos.api.client.models.SustainabilityNodeDto]
        """
        super(CreateCustomerOrderLineGhgReport, self).__init__(**kwargs)
        self.customer_order = kwargs['customer_order']
        self.nodes = kwargs['nodes']


class CreateElectricalIotConfig(msrest.serialization.Model):
    """CreateElectricalIotConfig.

    :ivar type_id:
    :vartype type_id: str
    :ivar serial_number:
    :vartype serial_number: str
    :ivar asset_id:
    :vartype asset_id: long
    :ivar asset_external_id:
    :vartype asset_external_id: str
    """

    _attribute_map = {
        'type_id': {'key': 'typeId', 'type': 'str'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_external_id': {'key': 'assetExternalId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword type_id:
        :paramtype type_id: str
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword asset_external_id:
        :paramtype asset_external_id: str
        """
        super(CreateElectricalIotConfig, self).__init__(**kwargs)
        self.type_id = kwargs.get('type_id', None)
        self.serial_number = kwargs.get('serial_number', None)
        self.asset_id = kwargs.get('asset_id', None)
        self.asset_external_id = kwargs.get('asset_external_id', None)


class CreateIgnosCustomer(msrest.serialization.Model):
    """CreateIgnosCustomer.

    All required parameters must be populated in order to send to Azure.

    :ivar short_name: Required.
    :vartype short_name: str
    :ivar name: Required.
    :vartype name: str
    :ivar azure_region_id: Required.
    :vartype azure_region_id: str
    :ivar azure_ad_tenant_id:
    :vartype azure_ad_tenant_id: str
    :ivar contact_person: Required.
    :vartype contact_person: ~ignos.api.client.models.ContactPersonDto
    :ivar external_reference:
    :vartype external_reference: str
    :ivar three_letter_iso_country: Required.
    :vartype three_letter_iso_country: str
    :ivar logo_url:
    :vartype logo_url: str
    :ivar company_url:
    :vartype company_url: str
    :ivar domain:
    :vartype domain: str
    :ivar customer_managed_cdf: Required.
    :vartype customer_managed_cdf: bool
    """

    _validation = {
        'short_name': {'required': True},
        'name': {'required': True},
        'azure_region_id': {'required': True},
        'contact_person': {'required': True},
        'three_letter_iso_country': {'required': True},
        'customer_managed_cdf': {'required': True},
    }

    _attribute_map = {
        'short_name': {'key': 'shortName', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'azure_region_id': {'key': 'azureRegionId', 'type': 'str'},
        'azure_ad_tenant_id': {'key': 'azureAdTenantId', 'type': 'str'},
        'contact_person': {'key': 'contactPerson', 'type': 'ContactPersonDto'},
        'external_reference': {'key': 'externalReference', 'type': 'str'},
        'three_letter_iso_country': {'key': 'threeLetterIsoCountry', 'type': 'str'},
        'logo_url': {'key': 'logoUrl', 'type': 'str'},
        'company_url': {'key': 'companyUrl', 'type': 'str'},
        'domain': {'key': 'domain', 'type': 'str'},
        'customer_managed_cdf': {'key': 'customerManagedCdf', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword short_name: Required.
        :paramtype short_name: str
        :keyword name: Required.
        :paramtype name: str
        :keyword azure_region_id: Required.
        :paramtype azure_region_id: str
        :keyword azure_ad_tenant_id:
        :paramtype azure_ad_tenant_id: str
        :keyword contact_person: Required.
        :paramtype contact_person: ~ignos.api.client.models.ContactPersonDto
        :keyword external_reference:
        :paramtype external_reference: str
        :keyword three_letter_iso_country: Required.
        :paramtype three_letter_iso_country: str
        :keyword logo_url:
        :paramtype logo_url: str
        :keyword company_url:
        :paramtype company_url: str
        :keyword domain:
        :paramtype domain: str
        :keyword customer_managed_cdf: Required.
        :paramtype customer_managed_cdf: bool
        """
        super(CreateIgnosCustomer, self).__init__(**kwargs)
        self.short_name = kwargs['short_name']
        self.name = kwargs['name']
        self.azure_region_id = kwargs['azure_region_id']
        self.azure_ad_tenant_id = kwargs.get('azure_ad_tenant_id', None)
        self.contact_person = kwargs['contact_person']
        self.external_reference = kwargs.get('external_reference', None)
        self.three_letter_iso_country = kwargs['three_letter_iso_country']
        self.logo_url = kwargs.get('logo_url', None)
        self.company_url = kwargs.get('company_url', None)
        self.domain = kwargs.get('domain', None)
        self.customer_managed_cdf = kwargs['customer_managed_cdf']


class CreateLinkRequest(msrest.serialization.Model):
    """CreateLinkRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar uri: Required.
    :vartype uri: str
    :ivar name: Required.
    :vartype name: str
    :ivar description:
    :vartype description: str
    :ivar new_tab:
    :vartype new_tab: bool
    :ivar color:
    :vartype color: str
    :ivar icon_name:
    :vartype icon_name: str
    """

    _validation = {
        'uri': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'uri': {'key': 'uri', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'new_tab': {'key': 'newTab', 'type': 'bool'},
        'color': {'key': 'color', 'type': 'str'},
        'icon_name': {'key': 'iconName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword uri: Required.
        :paramtype uri: str
        :keyword name: Required.
        :paramtype name: str
        :keyword description:
        :paramtype description: str
        :keyword new_tab:
        :paramtype new_tab: bool
        :keyword color:
        :paramtype color: str
        :keyword icon_name:
        :paramtype icon_name: str
        """
        super(CreateLinkRequest, self).__init__(**kwargs)
        self.uri = kwargs['uri']
        self.name = kwargs['name']
        self.description = kwargs.get('description', None)
        self.new_tab = kwargs.get('new_tab', None)
        self.color = kwargs.get('color', None)
        self.icon_name = kwargs.get('icon_name', None)


class CreateMeasurementFormInstanceRequest(msrest.serialization.Model):
    """CreateMeasurementFormInstanceRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar part_number:
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar customer_id:
    :vartype customer_id: str
    :ivar customer_group_id:
    :vartype customer_group_id: str
    :ivar validation_rule_id:
    :vartype validation_rule_id: str
    :ivar quantity: Required.
    :vartype quantity: int
    :ivar schema_ids: Required.
    :vartype schema_ids: list[str]
    :ivar sequences: Required.
    :vartype sequences: list[~ignos.api.client.models.MeasurementFormWorkorderSequenceDto]
    :ivar suppliers: Required.
    :vartype suppliers: list[~ignos.api.client.models.MeasurementFormWorkorderSupplierDto]
    """

    _validation = {
        'quantity': {'required': True},
        'schema_ids': {'required': True},
        'sequences': {'required': True},
        'suppliers': {'required': True},
    }

    _attribute_map = {
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'customer_group_id': {'key': 'customerGroupId', 'type': 'str'},
        'validation_rule_id': {'key': 'validationRuleId', 'type': 'str'},
        'quantity': {'key': 'quantity', 'type': 'int'},
        'schema_ids': {'key': 'schemaIds', 'type': '[str]'},
        'sequences': {'key': 'sequences', 'type': '[MeasurementFormWorkorderSequenceDto]'},
        'suppliers': {'key': 'suppliers', 'type': '[MeasurementFormWorkorderSupplierDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword part_number:
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword customer_group_id:
        :paramtype customer_group_id: str
        :keyword validation_rule_id:
        :paramtype validation_rule_id: str
        :keyword quantity: Required.
        :paramtype quantity: int
        :keyword schema_ids: Required.
        :paramtype schema_ids: list[str]
        :keyword sequences: Required.
        :paramtype sequences: list[~ignos.api.client.models.MeasurementFormWorkorderSequenceDto]
        :keyword suppliers: Required.
        :paramtype suppliers: list[~ignos.api.client.models.MeasurementFormWorkorderSupplierDto]
        """
        super(CreateMeasurementFormInstanceRequest, self).__init__(**kwargs)
        self.part_number = kwargs.get('part_number', None)
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.customer_id = kwargs.get('customer_id', None)
        self.customer_group_id = kwargs.get('customer_group_id', None)
        self.validation_rule_id = kwargs.get('validation_rule_id', None)
        self.quantity = kwargs['quantity']
        self.schema_ids = kwargs['schema_ids']
        self.sequences = kwargs['sequences']
        self.suppliers = kwargs['suppliers']


class CreateMeasurementFormSchema(msrest.serialization.Model):
    """CreateMeasurementFormSchema.

    All required parameters must be populated in order to send to Azure.

    :ivar customer_id:
    :vartype customer_id: str
    :ivar part_number: Required.
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    """

    _validation = {
        'part_number': {'required': True},
    }

    _attribute_map = {
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword part_number: Required.
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        """
        super(CreateMeasurementFormSchema, self).__init__(**kwargs)
        self.customer_id = kwargs.get('customer_id', None)
        self.part_number = kwargs['part_number']
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)


class CreateMeasurementFormSchemaLinkRequest(msrest.serialization.Model):
    """CreateMeasurementFormSchemaLinkRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar customer_id:
    :vartype customer_id: str
    :ivar schema_id: Required.
    :vartype schema_id: str
    """

    _validation = {
        'schema_id': {'required': True},
    }

    _attribute_map = {
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'schema_id': {'key': 'schemaId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword schema_id: Required.
        :paramtype schema_id: str
        """
        super(CreateMeasurementFormSchemaLinkRequest, self).__init__(**kwargs)
        self.customer_id = kwargs.get('customer_id', None)
        self.schema_id = kwargs['schema_id']


class CreateMeasuringToolManufacturer(msrest.serialization.Model):
    """CreateMeasuringToolManufacturer.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    """

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        """
        super(CreateMeasuringToolManufacturer, self).__init__(**kwargs)
        self.name = kwargs['name']


class CreateMeasuringToolRequest(msrest.serialization.Model):
    """CreateMeasuringToolRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar tool_id:
    :vartype tool_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar manufacturer: Required.
    :vartype manufacturer: str
    :ivar type_id: Required.
    :vartype type_id: str
    :ivar sub_type_id:
    :vartype sub_type_id: str
    :ivar unit_id:
    :vartype unit_id: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar non_calibration_tool: Required.
    :vartype non_calibration_tool: bool
    :ivar min:
    :vartype min: float
    :ivar max:
    :vartype max: float
    :ivar serial_number:
    :vartype serial_number: str
    :ivar default_location:
    :vartype default_location: str
    :ivar precision:
    :vartype precision: str
    :ivar upload_key:
    :vartype upload_key: str
    :ivar filename:
    :vartype filename: str
    """

    _validation = {
        'name': {'required': True},
        'manufacturer': {'required': True},
        'type_id': {'required': True},
        'non_calibration_tool': {'required': True},
    }

    _attribute_map = {
        'tool_id': {'key': 'toolId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'manufacturer': {'key': 'manufacturer', 'type': 'str'},
        'type_id': {'key': 'typeId', 'type': 'str'},
        'sub_type_id': {'key': 'subTypeId', 'type': 'str'},
        'unit_id': {'key': 'unitId', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'non_calibration_tool': {'key': 'nonCalibrationTool', 'type': 'bool'},
        'min': {'key': 'min', 'type': 'float'},
        'max': {'key': 'max', 'type': 'float'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'default_location': {'key': 'defaultLocation', 'type': 'str'},
        'precision': {'key': 'precision', 'type': 'str'},
        'upload_key': {'key': 'uploadKey', 'type': 'str'},
        'filename': {'key': 'filename', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tool_id:
        :paramtype tool_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword manufacturer: Required.
        :paramtype manufacturer: str
        :keyword type_id: Required.
        :paramtype type_id: str
        :keyword sub_type_id:
        :paramtype sub_type_id: str
        :keyword unit_id:
        :paramtype unit_id: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword non_calibration_tool: Required.
        :paramtype non_calibration_tool: bool
        :keyword min:
        :paramtype min: float
        :keyword max:
        :paramtype max: float
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword default_location:
        :paramtype default_location: str
        :keyword precision:
        :paramtype precision: str
        :keyword upload_key:
        :paramtype upload_key: str
        :keyword filename:
        :paramtype filename: str
        """
        super(CreateMeasuringToolRequest, self).__init__(**kwargs)
        self.tool_id = kwargs.get('tool_id', None)
        self.name = kwargs['name']
        self.manufacturer = kwargs['manufacturer']
        self.type_id = kwargs['type_id']
        self.sub_type_id = kwargs.get('sub_type_id', None)
        self.unit_id = kwargs.get('unit_id', None)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.non_calibration_tool = kwargs['non_calibration_tool']
        self.min = kwargs.get('min', None)
        self.max = kwargs.get('max', None)
        self.serial_number = kwargs.get('serial_number', None)
        self.default_location = kwargs.get('default_location', None)
        self.precision = kwargs.get('precision', None)
        self.upload_key = kwargs.get('upload_key', None)
        self.filename = kwargs.get('filename', None)


class CreateMeasuringToolSubTypeRequest(msrest.serialization.Model):
    """CreateMeasuringToolSubTypeRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar max_number_of_usages_between_calibration:
    :vartype max_number_of_usages_between_calibration: int
    """

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'max_number_of_usages_between_calibration': {'key': 'maxNumberOfUsagesBetweenCalibration', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword max_number_of_usages_between_calibration:
        :paramtype max_number_of_usages_between_calibration: int
        """
        super(CreateMeasuringToolSubTypeRequest, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.max_number_of_usages_between_calibration = kwargs.get('max_number_of_usages_between_calibration', None)


class CreateMeasuringToolType(msrest.serialization.Model):
    """CreateMeasuringToolType.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar max_number_of_usages_between_calibration:
    :vartype max_number_of_usages_between_calibration: int
    """

    _validation = {
        'name': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'max_number_of_usages_between_calibration': {'key': 'maxNumberOfUsagesBetweenCalibration', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword max_number_of_usages_between_calibration:
        :paramtype max_number_of_usages_between_calibration: int
        """
        super(CreateMeasuringToolType, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.max_number_of_usages_between_calibration = kwargs.get('max_number_of_usages_between_calibration', None)


class CreateMeasuringUnit(msrest.serialization.Model):
    """CreateMeasuringUnit.

    All required parameters must be populated in order to send to Azure.

    :ivar unit: Required.
    :vartype unit: str
    """

    _validation = {
        'unit': {'required': True},
    }

    _attribute_map = {
        'unit': {'key': 'unit', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword unit: Required.
        :paramtype unit: str
        """
        super(CreateMeasuringUnit, self).__init__(**kwargs)
        self.unit = kwargs['unit']


class CreatePowerRegion(msrest.serialization.Model):
    """CreatePowerRegion.

    All required parameters must be populated in order to send to Azure.

    :ivar country: Required.
    :vartype country: str
    :ivar region: Required.
    :vartype region: str
    :ivar description: Required.
    :vartype description: str
    :ivar initial_co2_per_kwh_date:
    :vartype initial_co2_per_kwh_date: ~datetime.datetime
    :ivar co2_per_kwh:
    :vartype co2_per_kwh: int
    """

    _validation = {
        'country': {'required': True},
        'region': {'required': True},
        'description': {'required': True},
    }

    _attribute_map = {
        'country': {'key': 'country', 'type': 'str'},
        'region': {'key': 'region', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'initial_co2_per_kwh_date': {'key': 'initialCo2PerKwhDate', 'type': 'iso-8601'},
        'co2_per_kwh': {'key': 'co2PerKwh', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword country: Required.
        :paramtype country: str
        :keyword region: Required.
        :paramtype region: str
        :keyword description: Required.
        :paramtype description: str
        :keyword initial_co2_per_kwh_date:
        :paramtype initial_co2_per_kwh_date: ~datetime.datetime
        :keyword co2_per_kwh:
        :paramtype co2_per_kwh: int
        """
        super(CreatePowerRegion, self).__init__(**kwargs)
        self.country = kwargs['country']
        self.region = kwargs['region']
        self.description = kwargs['description']
        self.initial_co2_per_kwh_date = kwargs.get('initial_co2_per_kwh_date', None)
        self.co2_per_kwh = kwargs.get('co2_per_kwh', None)


class CreateSchemaElement(msrest.serialization.Model):
    """CreateSchemaElement.

    :ivar balloon_id:
    :vartype balloon_id: str
    :ivar section:
    :vartype section: str
    :ivar page_number:
    :vartype page_number: int
    :ivar sheet_zone:
    :vartype sheet_zone: str
    :ivar places:
    :vartype places: int
    :ivar nominal:
    :vartype nominal: float
    :ivar nominal_text:
    :vartype nominal_text: str
    :ivar type:
    :vartype type: str
    :ivar sub_type:
    :vartype sub_type: str
    :ivar unit_of_measure:
    :vartype unit_of_measure: str
    :ivar plus_tolerance:
    :vartype plus_tolerance: float
    :ivar minus_tolerance:
    :vartype minus_tolerance: float
    :ivar upper_limit:
    :vartype upper_limit: float
    :ivar lower_limit:
    :vartype lower_limit: float
    :ivar inspection_method:
    :vartype inspection_method: str
    :ivar process:
    :vartype process: str
    :ivar classification:
    :vartype classification: str
    :ivar comments:
    :vartype comments: str
    :ivar frequency:
    :vartype frequency: int
    :ivar frequency_parameter:
    :vartype frequency_parameter: int
    :ivar include_in_customer_documentation:
    :vartype include_in_customer_documentation: bool
    :ivar balloon_sequence:
    :vartype balloon_sequence: int
    :ivar balloon_quantity:
    :vartype balloon_quantity: int
    :ivar plus_tolerance_text:
    :vartype plus_tolerance_text: str
    :ivar minus_tolerance_text:
    :vartype minus_tolerance_text: str
    :ivar coating_thickness:
    :vartype coating_thickness: int
    """

    _attribute_map = {
        'balloon_id': {'key': 'balloonId', 'type': 'str'},
        'section': {'key': 'section', 'type': 'str'},
        'page_number': {'key': 'pageNumber', 'type': 'int'},
        'sheet_zone': {'key': 'sheetZone', 'type': 'str'},
        'places': {'key': 'places', 'type': 'int'},
        'nominal': {'key': 'nominal', 'type': 'float'},
        'nominal_text': {'key': 'nominalText', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'unit_of_measure': {'key': 'unitOfMeasure', 'type': 'str'},
        'plus_tolerance': {'key': 'plusTolerance', 'type': 'float'},
        'minus_tolerance': {'key': 'minusTolerance', 'type': 'float'},
        'upper_limit': {'key': 'upperLimit', 'type': 'float'},
        'lower_limit': {'key': 'lowerLimit', 'type': 'float'},
        'inspection_method': {'key': 'inspectionMethod', 'type': 'str'},
        'process': {'key': 'process', 'type': 'str'},
        'classification': {'key': 'classification', 'type': 'str'},
        'comments': {'key': 'comments', 'type': 'str'},
        'frequency': {'key': 'frequency', 'type': 'int'},
        'frequency_parameter': {'key': 'frequencyParameter', 'type': 'int'},
        'include_in_customer_documentation': {'key': 'includeInCustomerDocumentation', 'type': 'bool'},
        'balloon_sequence': {'key': 'balloonSequence', 'type': 'int'},
        'balloon_quantity': {'key': 'balloonQuantity', 'type': 'int'},
        'plus_tolerance_text': {'key': 'plusToleranceText', 'type': 'str'},
        'minus_tolerance_text': {'key': 'minusToleranceText', 'type': 'str'},
        'coating_thickness': {'key': 'coatingThickness', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword balloon_id:
        :paramtype balloon_id: str
        :keyword section:
        :paramtype section: str
        :keyword page_number:
        :paramtype page_number: int
        :keyword sheet_zone:
        :paramtype sheet_zone: str
        :keyword places:
        :paramtype places: int
        :keyword nominal:
        :paramtype nominal: float
        :keyword nominal_text:
        :paramtype nominal_text: str
        :keyword type:
        :paramtype type: str
        :keyword sub_type:
        :paramtype sub_type: str
        :keyword unit_of_measure:
        :paramtype unit_of_measure: str
        :keyword plus_tolerance:
        :paramtype plus_tolerance: float
        :keyword minus_tolerance:
        :paramtype minus_tolerance: float
        :keyword upper_limit:
        :paramtype upper_limit: float
        :keyword lower_limit:
        :paramtype lower_limit: float
        :keyword inspection_method:
        :paramtype inspection_method: str
        :keyword process:
        :paramtype process: str
        :keyword classification:
        :paramtype classification: str
        :keyword comments:
        :paramtype comments: str
        :keyword frequency:
        :paramtype frequency: int
        :keyword frequency_parameter:
        :paramtype frequency_parameter: int
        :keyword include_in_customer_documentation:
        :paramtype include_in_customer_documentation: bool
        :keyword balloon_sequence:
        :paramtype balloon_sequence: int
        :keyword balloon_quantity:
        :paramtype balloon_quantity: int
        :keyword plus_tolerance_text:
        :paramtype plus_tolerance_text: str
        :keyword minus_tolerance_text:
        :paramtype minus_tolerance_text: str
        :keyword coating_thickness:
        :paramtype coating_thickness: int
        """
        super(CreateSchemaElement, self).__init__(**kwargs)
        self.balloon_id = kwargs.get('balloon_id', None)
        self.section = kwargs.get('section', None)
        self.page_number = kwargs.get('page_number', None)
        self.sheet_zone = kwargs.get('sheet_zone', None)
        self.places = kwargs.get('places', None)
        self.nominal = kwargs.get('nominal', None)
        self.nominal_text = kwargs.get('nominal_text', None)
        self.type = kwargs.get('type', None)
        self.sub_type = kwargs.get('sub_type', None)
        self.unit_of_measure = kwargs.get('unit_of_measure', None)
        self.plus_tolerance = kwargs.get('plus_tolerance', None)
        self.minus_tolerance = kwargs.get('minus_tolerance', None)
        self.upper_limit = kwargs.get('upper_limit', None)
        self.lower_limit = kwargs.get('lower_limit', None)
        self.inspection_method = kwargs.get('inspection_method', None)
        self.process = kwargs.get('process', None)
        self.classification = kwargs.get('classification', None)
        self.comments = kwargs.get('comments', None)
        self.frequency = kwargs.get('frequency', None)
        self.frequency_parameter = kwargs.get('frequency_parameter', None)
        self.include_in_customer_documentation = kwargs.get('include_in_customer_documentation', None)
        self.balloon_sequence = kwargs.get('balloon_sequence', None)
        self.balloon_quantity = kwargs.get('balloon_quantity', None)
        self.plus_tolerance_text = kwargs.get('plus_tolerance_text', None)
        self.minus_tolerance_text = kwargs.get('minus_tolerance_text', None)
        self.coating_thickness = kwargs.get('coating_thickness', None)


class CreateSupplierInvite(msrest.serialization.Model):
    """CreateSupplierInvite.

    All required parameters must be populated in order to send to Azure.

    :ivar supplier_id: Required.
    :vartype supplier_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar username: Required.
    :vartype username: str
    :ivar deadline: Required.
    :vartype deadline: ~datetime.datetime
    """

    _validation = {
        'supplier_id': {'required': True},
        'name': {'required': True},
        'username': {'required': True},
        'deadline': {'required': True},
    }

    _attribute_map = {
        'supplier_id': {'key': 'supplierId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'username': {'key': 'username', 'type': 'str'},
        'deadline': {'key': 'deadline', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword supplier_id: Required.
        :paramtype supplier_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword username: Required.
        :paramtype username: str
        :keyword deadline: Required.
        :paramtype deadline: ~datetime.datetime
        """
        super(CreateSupplierInvite, self).__init__(**kwargs)
        self.supplier_id = kwargs['supplier_id']
        self.name = kwargs['name']
        self.username = kwargs['username']
        self.deadline = kwargs['deadline']


class CreateTenantRequest(msrest.serialization.Model):
    """CreateTenantRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar description:
    :vartype description: str
    :ivar azure_region_id: Required.
    :vartype azure_region_id: str
    :ivar contact_person:
    :vartype contact_person: ~ignos.api.client.models.ContactPersonDto
    :ivar environment: Required. Known values are: "Prod", "QA", "Test", "Dev".
    :vartype environment: str or ~ignos.api.client.models.TenantEnvironment
    :ivar cdf_tenant:
    :vartype cdf_tenant: str
    :ivar cdf_cluster_id: Required.
    :vartype cdf_cluster_id: str
    """

    _validation = {
        'azure_region_id': {'required': True},
        'environment': {'required': True},
        'cdf_cluster_id': {'required': True},
    }

    _attribute_map = {
        'description': {'key': 'description', 'type': 'str'},
        'azure_region_id': {'key': 'azureRegionId', 'type': 'str'},
        'contact_person': {'key': 'contactPerson', 'type': 'ContactPersonDto'},
        'environment': {'key': 'environment', 'type': 'str'},
        'cdf_tenant': {'key': 'cdfTenant', 'type': 'str'},
        'cdf_cluster_id': {'key': 'cdfClusterId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword description:
        :paramtype description: str
        :keyword azure_region_id: Required.
        :paramtype azure_region_id: str
        :keyword contact_person:
        :paramtype contact_person: ~ignos.api.client.models.ContactPersonDto
        :keyword environment: Required. Known values are: "Prod", "QA", "Test", "Dev".
        :paramtype environment: str or ~ignos.api.client.models.TenantEnvironment
        :keyword cdf_tenant:
        :paramtype cdf_tenant: str
        :keyword cdf_cluster_id: Required.
        :paramtype cdf_cluster_id: str
        """
        super(CreateTenantRequest, self).__init__(**kwargs)
        self.description = kwargs.get('description', None)
        self.azure_region_id = kwargs['azure_region_id']
        self.contact_person = kwargs.get('contact_person', None)
        self.environment = kwargs['environment']
        self.cdf_tenant = kwargs.get('cdf_tenant', None)
        self.cdf_cluster_id = kwargs['cdf_cluster_id']


class CustomerAppDto(msrest.serialization.Model):
    """CustomerAppDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar key: Required.
    :vartype key: str
    :ivar name: Required.
    :vartype name: str
    :ivar description: Required.
    :vartype description: str
    :ivar private_app: Required.
    :vartype private_app: bool
    """

    _validation = {
        'id': {'required': True},
        'key': {'required': True},
        'name': {'required': True},
        'description': {'required': True},
        'private_app': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'key': {'key': 'key', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'private_app': {'key': 'privateApp', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword key: Required.
        :paramtype key: str
        :keyword name: Required.
        :paramtype name: str
        :keyword description: Required.
        :paramtype description: str
        :keyword private_app: Required.
        :paramtype private_app: bool
        """
        super(CustomerAppDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.key = kwargs['key']
        self.name = kwargs['name']
        self.description = kwargs['description']
        self.private_app = kwargs['private_app']


class CustomerDto(msrest.serialization.Model):
    """CustomerDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    :ivar group_id:
    :vartype group_id: str
    :ivar group_name:
    :vartype group_name: str
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'group_id': {'key': 'groupId', 'type': 'str'},
        'group_name': {'key': 'groupName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword group_id:
        :paramtype group_id: str
        :keyword group_name:
        :paramtype group_name: str
        """
        super(CustomerDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']
        self.group_id = kwargs.get('group_id', None)
        self.group_name = kwargs.get('group_name', None)


class CustomerOrderConsumptionRequest(msrest.serialization.Model):
    """CustomerOrderConsumptionRequest.

    :ivar customer_order_lines:
    :vartype customer_order_lines: list[int]
    """

    _attribute_map = {
        'customer_order_lines': {'key': 'customerOrderLines', 'type': '[int]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_order_lines:
        :paramtype customer_order_lines: list[int]
        """
        super(CustomerOrderConsumptionRequest, self).__init__(**kwargs)
        self.customer_order_lines = kwargs.get('customer_order_lines', None)


class CustomerOrderInfoDto(msrest.serialization.Model):
    """CustomerOrderInfoDto.

    :ivar id:
    :vartype id: str
    :ivar customer_id:
    :vartype customer_id: str
    :ivar customer_name:
    :vartype customer_name: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'customer_name': {'key': 'customerName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword customer_name:
        :paramtype customer_name: str
        """
        super(CustomerOrderInfoDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.customer_id = kwargs.get('customer_id', None)
        self.customer_name = kwargs.get('customer_name', None)


class CustomerOrderLineDto(msrest.serialization.Model):
    """CustomerOrderLineDto.

    All required parameters must be populated in order to send to Azure.

    :ivar line: Required.
    :vartype line: int
    :ivar quantity: Required.
    :vartype quantity: float
    :ivar remaining_quantity: Required.
    :vartype remaining_quantity: float
    :ivar delivered_quantity: Required.
    :vartype delivered_quantity: float
    :ivar unit: Required.
    :vartype unit: str
    :ivar status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed", "Deleted".
    :vartype status: str or ~ignos.api.client.models.CustomerOrderLineStatus
    :ivar part: Required.
    :vartype part: ~ignos.api.client.models.PartDto
    :ivar delivery_date:
    :vartype delivery_date: ~datetime.datetime
    :ivar workorder_hiearchy: Required.
    :vartype workorder_hiearchy: list[~ignos.api.client.models.WorkorderHierarchyDto]
    """

    _validation = {
        'line': {'required': True},
        'quantity': {'required': True},
        'remaining_quantity': {'required': True},
        'delivered_quantity': {'required': True},
        'unit': {'required': True},
        'status': {'required': True},
        'part': {'required': True},
        'workorder_hiearchy': {'required': True},
    }

    _attribute_map = {
        'line': {'key': 'line', 'type': 'int'},
        'quantity': {'key': 'quantity', 'type': 'float'},
        'remaining_quantity': {'key': 'remainingQuantity', 'type': 'float'},
        'delivered_quantity': {'key': 'deliveredQuantity', 'type': 'float'},
        'unit': {'key': 'unit', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'part': {'key': 'part', 'type': 'PartDto'},
        'delivery_date': {'key': 'deliveryDate', 'type': 'iso-8601'},
        'workorder_hiearchy': {'key': 'workorderHiearchy', 'type': '[WorkorderHierarchyDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword line: Required.
        :paramtype line: int
        :keyword quantity: Required.
        :paramtype quantity: float
        :keyword remaining_quantity: Required.
        :paramtype remaining_quantity: float
        :keyword delivered_quantity: Required.
        :paramtype delivered_quantity: float
        :keyword unit: Required.
        :paramtype unit: str
        :keyword status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed",
         "Deleted".
        :paramtype status: str or ~ignos.api.client.models.CustomerOrderLineStatus
        :keyword part: Required.
        :paramtype part: ~ignos.api.client.models.PartDto
        :keyword delivery_date:
        :paramtype delivery_date: ~datetime.datetime
        :keyword workorder_hiearchy: Required.
        :paramtype workorder_hiearchy: list[~ignos.api.client.models.WorkorderHierarchyDto]
        """
        super(CustomerOrderLineDto, self).__init__(**kwargs)
        self.line = kwargs['line']
        self.quantity = kwargs['quantity']
        self.remaining_quantity = kwargs['remaining_quantity']
        self.delivered_quantity = kwargs['delivered_quantity']
        self.unit = kwargs['unit']
        self.status = kwargs['status']
        self.part = kwargs['part']
        self.delivery_date = kwargs.get('delivery_date', None)
        self.workorder_hiearchy = kwargs['workorder_hiearchy']


class DeprecateToolRequest(msrest.serialization.Model):
    """DeprecateToolRequest.

    :ivar date:
    :vartype date: ~datetime.datetime
    """

    _attribute_map = {
        'date': {'key': 'date', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword date:
        :paramtype date: ~datetime.datetime
        """
        super(DeprecateToolRequest, self).__init__(**kwargs)
        self.date = kwargs.get('date', None)


class DownloadDto(msrest.serialization.Model):
    """DownloadDto.

    All required parameters must be populated in order to send to Azure.

    :ivar url: Required.
    :vartype url: str
    :ivar expires: Required.
    :vartype expires: ~datetime.datetime
    """

    _validation = {
        'url': {'required': True},
        'expires': {'required': True},
    }

    _attribute_map = {
        'url': {'key': 'url', 'type': 'str'},
        'expires': {'key': 'expires', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword url: Required.
        :paramtype url: str
        :keyword expires: Required.
        :paramtype expires: ~datetime.datetime
        """
        super(DownloadDto, self).__init__(**kwargs)
        self.url = kwargs['url']
        self.expires = kwargs['expires']


class ElectricalIotConfigDto(msrest.serialization.Model):
    """ElectricalIotConfigDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar type_id: Required.
    :vartype type_id: str
    :ivar serial_number:
    :vartype serial_number: str
    :ivar asset_id: Required.
    :vartype asset_id: long
    :ivar asset_external_id:
    :vartype asset_external_id: str
    :ivar phases:
    :vartype phases: int
    :ivar electrical_asset_id:
    :vartype electrical_asset_id: long
    :ivar electrical_asset_external_id:
    :vartype electrical_asset_external_id: str
    :ivar electrical_timeseries_id:
    :vartype electrical_timeseries_id: long
    :ivar electrical_timeseries_external_id:
    :vartype electrical_timeseries_external_id: str
    """

    _validation = {
        'id': {'required': True},
        'type_id': {'required': True},
        'asset_id': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'type_id': {'key': 'typeId', 'type': 'str'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_external_id': {'key': 'assetExternalId', 'type': 'str'},
        'phases': {'key': 'phases', 'type': 'int'},
        'electrical_asset_id': {'key': 'electricalAssetId', 'type': 'long'},
        'electrical_asset_external_id': {'key': 'electricalAssetExternalId', 'type': 'str'},
        'electrical_timeseries_id': {'key': 'electricalTimeseriesId', 'type': 'long'},
        'electrical_timeseries_external_id': {'key': 'electricalTimeseriesExternalId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword type_id: Required.
        :paramtype type_id: str
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword asset_id: Required.
        :paramtype asset_id: long
        :keyword asset_external_id:
        :paramtype asset_external_id: str
        :keyword phases:
        :paramtype phases: int
        :keyword electrical_asset_id:
        :paramtype electrical_asset_id: long
        :keyword electrical_asset_external_id:
        :paramtype electrical_asset_external_id: str
        :keyword electrical_timeseries_id:
        :paramtype electrical_timeseries_id: long
        :keyword electrical_timeseries_external_id:
        :paramtype electrical_timeseries_external_id: str
        """
        super(ElectricalIotConfigDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.type_id = kwargs['type_id']
        self.serial_number = kwargs.get('serial_number', None)
        self.asset_id = kwargs['asset_id']
        self.asset_external_id = kwargs.get('asset_external_id', None)
        self.phases = kwargs.get('phases', None)
        self.electrical_asset_id = kwargs.get('electrical_asset_id', None)
        self.electrical_asset_external_id = kwargs.get('electrical_asset_external_id', None)
        self.electrical_timeseries_id = kwargs.get('electrical_timeseries_id', None)
        self.electrical_timeseries_external_id = kwargs.get('electrical_timeseries_external_id', None)


class EmployeeDto(msrest.serialization.Model):
    """EmployeeDto.

    :ivar id:
    :vartype id: str
    :ivar name:
    :vartype name: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword name:
        :paramtype name: str
        """
        super(EmployeeDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.name = kwargs.get('name', None)


class ExternalRoleDto(msrest.serialization.Model):
    """ExternalRoleDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        """
        super(ExternalRoleDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']


class ExternalSupplierDto(msrest.serialization.Model):
    """ExternalSupplierDto.

    :ivar id:
    :vartype id: str
    :ivar name:
    :vartype name: str
    :ivar company_id:
    :vartype company_id: str
    :ivar active:
    :vartype active: bool
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'company_id': {'key': 'companyId', 'type': 'str'},
        'active': {'key': 'active', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword name:
        :paramtype name: str
        :keyword company_id:
        :paramtype company_id: str
        :keyword active:
        :paramtype active: bool
        """
        super(ExternalSupplierDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.name = kwargs.get('name', None)
        self.company_id = kwargs.get('company_id', None)
        self.active = kwargs.get('active', None)


class GetConsumption(msrest.serialization.Model):
    """GetConsumption.

    :ivar asset_id:
    :vartype asset_id: long
    :ivar start:
    :vartype start: ~datetime.datetime
    :ivar end:
    :vartype end: ~datetime.datetime
    """

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'start': {'key': 'start', 'type': 'iso-8601'},
        'end': {'key': 'end', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword start:
        :paramtype start: ~datetime.datetime
        :keyword end:
        :paramtype end: ~datetime.datetime
        """
        super(GetConsumption, self).__init__(**kwargs)
        self.asset_id = kwargs.get('asset_id', None)
        self.start = kwargs.get('start', None)
        self.end = kwargs.get('end', None)


class GetConsumptionAutoGranularity(msrest.serialization.Model):
    """GetConsumptionAutoGranularity.

    :ivar asset_id:
    :vartype asset_id: long
    :ivar start:
    :vartype start: ~datetime.datetime
    :ivar end:
    :vartype end: ~datetime.datetime
    """

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'start': {'key': 'start', 'type': 'iso-8601'},
        'end': {'key': 'end', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword start:
        :paramtype start: ~datetime.datetime
        :keyword end:
        :paramtype end: ~datetime.datetime
        """
        super(GetConsumptionAutoGranularity, self).__init__(**kwargs)
        self.asset_id = kwargs.get('asset_id', None)
        self.start = kwargs.get('start', None)
        self.end = kwargs.get('end', None)


class GetPower(msrest.serialization.Model):
    """GetPower.

    All required parameters must be populated in order to send to Azure.

    :ivar asset_id: Required.
    :vartype asset_id: long
    :ivar granularity:
    :vartype granularity: str
    :ivar start:
    :vartype start: ~datetime.datetime
    :ivar end:
    :vartype end: ~datetime.datetime
    """

    _validation = {
        'asset_id': {'required': True},
    }

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'granularity': {'key': 'granularity', 'type': 'str'},
        'start': {'key': 'start', 'type': 'iso-8601'},
        'end': {'key': 'end', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_id: Required.
        :paramtype asset_id: long
        :keyword granularity:
        :paramtype granularity: str
        :keyword start:
        :paramtype start: ~datetime.datetime
        :keyword end:
        :paramtype end: ~datetime.datetime
        """
        super(GetPower, self).__init__(**kwargs)
        self.asset_id = kwargs['asset_id']
        self.granularity = kwargs.get('granularity', None)
        self.start = kwargs.get('start', None)
        self.end = kwargs.get('end', None)


class GranluarConsumptionDto(msrest.serialization.Model):
    """GranluarConsumptionDto.

    :ivar asset_id:
    :vartype asset_id: long
    :ivar asset_name:
    :vartype asset_name: str
    :ivar granularity:
    :vartype granularity: str
    :ivar consumption:
    :vartype consumption: list[~ignos.api.client.models.SubConsumptionDto]
    """

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'granularity': {'key': 'granularity', 'type': 'str'},
        'consumption': {'key': 'consumption', 'type': '[SubConsumptionDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword asset_name:
        :paramtype asset_name: str
        :keyword granularity:
        :paramtype granularity: str
        :keyword consumption:
        :paramtype consumption: list[~ignos.api.client.models.SubConsumptionDto]
        """
        super(GranluarConsumptionDto, self).__init__(**kwargs)
        self.asset_id = kwargs.get('asset_id', None)
        self.asset_name = kwargs.get('asset_name', None)
        self.granularity = kwargs.get('granularity', None)
        self.consumption = kwargs.get('consumption', None)


class IgnosCustomerDto(msrest.serialization.Model):
    """IgnosCustomerDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar short_name: Required.
    :vartype short_name: str
    :ivar name: Required.
    :vartype name: str
    :ivar azure_region_id: Required.
    :vartype azure_region_id: str
    :ivar azure_region_name: Required.
    :vartype azure_region_name: str
    :ivar azure_ad_tenant_id:
    :vartype azure_ad_tenant_id: str
    :ivar contact_person: Required.
    :vartype contact_person: ~ignos.api.client.models.ContactPersonDto
    :ivar number_of_tenants: Required.
    :vartype number_of_tenants: int
    :ivar external_reference:
    :vartype external_reference: str
    :ivar status: Required. Known values are: "Draft", "Active", "Deactivated".
    :vartype status: str or ~ignos.api.client.models.CustomerStatusDto
    :ivar three_letter_iso_country: Required.
    :vartype three_letter_iso_country: str
    :ivar country: Required.
    :vartype country: str
    :ivar logo_url:
    :vartype logo_url: str
    :ivar company_url:
    :vartype company_url: str
    :ivar domain:
    :vartype domain: str
    :ivar customer_managed_cdf: Required.
    :vartype customer_managed_cdf: bool
    """

    _validation = {
        'id': {'required': True},
        'short_name': {'required': True},
        'name': {'required': True},
        'azure_region_id': {'required': True},
        'azure_region_name': {'required': True},
        'contact_person': {'required': True},
        'number_of_tenants': {'required': True},
        'status': {'required': True},
        'three_letter_iso_country': {'required': True},
        'country': {'required': True},
        'customer_managed_cdf': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'short_name': {'key': 'shortName', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'azure_region_id': {'key': 'azureRegionId', 'type': 'str'},
        'azure_region_name': {'key': 'azureRegionName', 'type': 'str'},
        'azure_ad_tenant_id': {'key': 'azureAdTenantId', 'type': 'str'},
        'contact_person': {'key': 'contactPerson', 'type': 'ContactPersonDto'},
        'number_of_tenants': {'key': 'numberOfTenants', 'type': 'int'},
        'external_reference': {'key': 'externalReference', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'three_letter_iso_country': {'key': 'threeLetterIsoCountry', 'type': 'str'},
        'country': {'key': 'country', 'type': 'str'},
        'logo_url': {'key': 'logoUrl', 'type': 'str'},
        'company_url': {'key': 'companyUrl', 'type': 'str'},
        'domain': {'key': 'domain', 'type': 'str'},
        'customer_managed_cdf': {'key': 'customerManagedCdf', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword short_name: Required.
        :paramtype short_name: str
        :keyword name: Required.
        :paramtype name: str
        :keyword azure_region_id: Required.
        :paramtype azure_region_id: str
        :keyword azure_region_name: Required.
        :paramtype azure_region_name: str
        :keyword azure_ad_tenant_id:
        :paramtype azure_ad_tenant_id: str
        :keyword contact_person: Required.
        :paramtype contact_person: ~ignos.api.client.models.ContactPersonDto
        :keyword number_of_tenants: Required.
        :paramtype number_of_tenants: int
        :keyword external_reference:
        :paramtype external_reference: str
        :keyword status: Required. Known values are: "Draft", "Active", "Deactivated".
        :paramtype status: str or ~ignos.api.client.models.CustomerStatusDto
        :keyword three_letter_iso_country: Required.
        :paramtype three_letter_iso_country: str
        :keyword country: Required.
        :paramtype country: str
        :keyword logo_url:
        :paramtype logo_url: str
        :keyword company_url:
        :paramtype company_url: str
        :keyword domain:
        :paramtype domain: str
        :keyword customer_managed_cdf: Required.
        :paramtype customer_managed_cdf: bool
        """
        super(IgnosCustomerDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.short_name = kwargs['short_name']
        self.name = kwargs['name']
        self.azure_region_id = kwargs['azure_region_id']
        self.azure_region_name = kwargs['azure_region_name']
        self.azure_ad_tenant_id = kwargs.get('azure_ad_tenant_id', None)
        self.contact_person = kwargs['contact_person']
        self.number_of_tenants = kwargs['number_of_tenants']
        self.external_reference = kwargs.get('external_reference', None)
        self.status = kwargs['status']
        self.three_letter_iso_country = kwargs['three_letter_iso_country']
        self.country = kwargs['country']
        self.logo_url = kwargs.get('logo_url', None)
        self.company_url = kwargs.get('company_url', None)
        self.domain = kwargs.get('domain', None)
        self.customer_managed_cdf = kwargs['customer_managed_cdf']


class ImportMeasurementFormSchema(msrest.serialization.Model):
    """ImportMeasurementFormSchema.

    All required parameters must be populated in order to send to Azure.

    :ivar customer_id:
    :vartype customer_id: str
    :ivar part_number: Required.
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar created:
    :vartype created: ~datetime.datetime
    :ivar created_by:
    :vartype created_by: str
    :ivar updated_by:
    :vartype updated_by: str
    :ivar exclude_from_customer_documentation: Required.
    :vartype exclude_from_customer_documentation: bool
    :ivar source: Required. Known values are: "Unknown", "InspectionXpert", "Excel", "Manual".
    :vartype source: str or ~ignos.api.client.models.MeasurementFormSource
    :ivar extra_schemas:
    :vartype extra_schemas: list[~ignos.api.client.models.MeasurementFormLinkedSchemaDto]
    :ivar versions: Required.
    :vartype versions: list[~ignos.api.client.models.MeasurementFormVersionImportDto]
    """

    _validation = {
        'part_number': {'required': True},
        'exclude_from_customer_documentation': {'required': True},
        'source': {'required': True},
        'versions': {'required': True},
    }

    _attribute_map = {
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'created': {'key': 'created', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
        'updated_by': {'key': 'updatedBy', 'type': 'str'},
        'exclude_from_customer_documentation': {'key': 'excludeFromCustomerDocumentation', 'type': 'bool'},
        'source': {'key': 'source', 'type': 'str'},
        'extra_schemas': {'key': 'extraSchemas', 'type': '[MeasurementFormLinkedSchemaDto]'},
        'versions': {'key': 'versions', 'type': '[MeasurementFormVersionImportDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword part_number: Required.
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword created:
        :paramtype created: ~datetime.datetime
        :keyword created_by:
        :paramtype created_by: str
        :keyword updated_by:
        :paramtype updated_by: str
        :keyword exclude_from_customer_documentation: Required.
        :paramtype exclude_from_customer_documentation: bool
        :keyword source: Required. Known values are: "Unknown", "InspectionXpert", "Excel", "Manual".
        :paramtype source: str or ~ignos.api.client.models.MeasurementFormSource
        :keyword extra_schemas:
        :paramtype extra_schemas: list[~ignos.api.client.models.MeasurementFormLinkedSchemaDto]
        :keyword versions: Required.
        :paramtype versions: list[~ignos.api.client.models.MeasurementFormVersionImportDto]
        """
        super(ImportMeasurementFormSchema, self).__init__(**kwargs)
        self.customer_id = kwargs.get('customer_id', None)
        self.part_number = kwargs['part_number']
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.created = kwargs.get('created', None)
        self.created_by = kwargs.get('created_by', None)
        self.updated_by = kwargs.get('updated_by', None)
        self.exclude_from_customer_documentation = kwargs['exclude_from_customer_documentation']
        self.source = kwargs['source']
        self.extra_schemas = kwargs.get('extra_schemas', None)
        self.versions = kwargs['versions']


class ImportMeasuringTool(msrest.serialization.Model):
    """ImportMeasuringTool.

    All required parameters must be populated in order to send to Azure.

    :ivar tool_id: Required.
    :vartype tool_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar manufacturer: Required.
    :vartype manufacturer: str
    :ivar type_id: Required.
    :vartype type_id: str
    :ivar sub_type_id:
    :vartype sub_type_id: str
    :ivar unit_id:
    :vartype unit_id: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar non_calibration_tool: Required.
    :vartype non_calibration_tool: bool
    :ivar min:
    :vartype min: float
    :ivar max:
    :vartype max: float
    :ivar serial_number:
    :vartype serial_number: str
    :ivar default_location:
    :vartype default_location: str
    :ivar precision:
    :vartype precision: str
    :ivar last_calibration_date:
    :vartype last_calibration_date: ~datetime.datetime
    :ivar deprecated_date:
    :vartype deprecated_date: ~datetime.datetime
    :ivar last_location:
    :vartype last_location: str
    :ivar last_location_date:
    :vartype last_location_date: ~datetime.datetime
    :ivar calibrations: Required.
    :vartype calibrations: list[~ignos.api.client.models.MeasuringToolCalibrationImportDto]
    :ivar created: Required.
    :vartype created: ~datetime.datetime
    :ivar created_by: Required.
    :vartype created_by: str
    :ivar updated:
    :vartype updated: ~datetime.datetime
    :ivar updated_by:
    :vartype updated_by: str
    """

    _validation = {
        'tool_id': {'required': True},
        'name': {'required': True},
        'manufacturer': {'required': True},
        'type_id': {'required': True},
        'non_calibration_tool': {'required': True},
        'calibrations': {'required': True},
        'created': {'required': True},
        'created_by': {'required': True},
    }

    _attribute_map = {
        'tool_id': {'key': 'toolId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'manufacturer': {'key': 'manufacturer', 'type': 'str'},
        'type_id': {'key': 'typeId', 'type': 'str'},
        'sub_type_id': {'key': 'subTypeId', 'type': 'str'},
        'unit_id': {'key': 'unitId', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'non_calibration_tool': {'key': 'nonCalibrationTool', 'type': 'bool'},
        'min': {'key': 'min', 'type': 'float'},
        'max': {'key': 'max', 'type': 'float'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'default_location': {'key': 'defaultLocation', 'type': 'str'},
        'precision': {'key': 'precision', 'type': 'str'},
        'last_calibration_date': {'key': 'lastCalibrationDate', 'type': 'iso-8601'},
        'deprecated_date': {'key': 'deprecatedDate', 'type': 'iso-8601'},
        'last_location': {'key': 'lastLocation', 'type': 'str'},
        'last_location_date': {'key': 'lastLocationDate', 'type': 'iso-8601'},
        'calibrations': {'key': 'calibrations', 'type': '[MeasuringToolCalibrationImportDto]'},
        'created': {'key': 'created', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
        'updated': {'key': 'updated', 'type': 'iso-8601'},
        'updated_by': {'key': 'updatedBy', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tool_id: Required.
        :paramtype tool_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword manufacturer: Required.
        :paramtype manufacturer: str
        :keyword type_id: Required.
        :paramtype type_id: str
        :keyword sub_type_id:
        :paramtype sub_type_id: str
        :keyword unit_id:
        :paramtype unit_id: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword non_calibration_tool: Required.
        :paramtype non_calibration_tool: bool
        :keyword min:
        :paramtype min: float
        :keyword max:
        :paramtype max: float
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword default_location:
        :paramtype default_location: str
        :keyword precision:
        :paramtype precision: str
        :keyword last_calibration_date:
        :paramtype last_calibration_date: ~datetime.datetime
        :keyword deprecated_date:
        :paramtype deprecated_date: ~datetime.datetime
        :keyword last_location:
        :paramtype last_location: str
        :keyword last_location_date:
        :paramtype last_location_date: ~datetime.datetime
        :keyword calibrations: Required.
        :paramtype calibrations: list[~ignos.api.client.models.MeasuringToolCalibrationImportDto]
        :keyword created: Required.
        :paramtype created: ~datetime.datetime
        :keyword created_by: Required.
        :paramtype created_by: str
        :keyword updated:
        :paramtype updated: ~datetime.datetime
        :keyword updated_by:
        :paramtype updated_by: str
        """
        super(ImportMeasuringTool, self).__init__(**kwargs)
        self.tool_id = kwargs['tool_id']
        self.name = kwargs['name']
        self.manufacturer = kwargs['manufacturer']
        self.type_id = kwargs['type_id']
        self.sub_type_id = kwargs.get('sub_type_id', None)
        self.unit_id = kwargs.get('unit_id', None)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.non_calibration_tool = kwargs['non_calibration_tool']
        self.min = kwargs.get('min', None)
        self.max = kwargs.get('max', None)
        self.serial_number = kwargs.get('serial_number', None)
        self.default_location = kwargs.get('default_location', None)
        self.precision = kwargs.get('precision', None)
        self.last_calibration_date = kwargs.get('last_calibration_date', None)
        self.deprecated_date = kwargs.get('deprecated_date', None)
        self.last_location = kwargs.get('last_location', None)
        self.last_location_date = kwargs.get('last_location_date', None)
        self.calibrations = kwargs['calibrations']
        self.created = kwargs['created']
        self.created_by = kwargs['created_by']
        self.updated = kwargs.get('updated', None)
        self.updated_by = kwargs.get('updated_by', None)


class InviteDto(msrest.serialization.Model):
    """InviteDto.

    All required parameters must be populated in order to send to Azure.

    :ivar tenant_id: Required.
    :vartype tenant_id: str
    :ivar company_name: Required.
    :vartype company_name: str
    :ivar id: Required.
    :vartype id: str
    :ivar supplier_id: Required.
    :vartype supplier_id: str
    :ivar supplier_name: Required.
    :vartype supplier_name: str
    :ivar username: Required.
    :vartype username: str
    :ivar deadline: Required.
    :vartype deadline: ~datetime.datetime
    :ivar created_time: Required.
    :vartype created_time: ~datetime.datetime
    :ivar created_by: Required.
    :vartype created_by: str
    """

    _validation = {
        'tenant_id': {'required': True},
        'company_name': {'required': True},
        'id': {'required': True},
        'supplier_id': {'required': True},
        'supplier_name': {'required': True},
        'username': {'required': True},
        'deadline': {'required': True},
        'created_time': {'required': True},
        'created_by': {'required': True},
    }

    _attribute_map = {
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'company_name': {'key': 'companyName', 'type': 'str'},
        'id': {'key': 'id', 'type': 'str'},
        'supplier_id': {'key': 'supplierId', 'type': 'str'},
        'supplier_name': {'key': 'supplierName', 'type': 'str'},
        'username': {'key': 'username', 'type': 'str'},
        'deadline': {'key': 'deadline', 'type': 'iso-8601'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tenant_id: Required.
        :paramtype tenant_id: str
        :keyword company_name: Required.
        :paramtype company_name: str
        :keyword id: Required.
        :paramtype id: str
        :keyword supplier_id: Required.
        :paramtype supplier_id: str
        :keyword supplier_name: Required.
        :paramtype supplier_name: str
        :keyword username: Required.
        :paramtype username: str
        :keyword deadline: Required.
        :paramtype deadline: ~datetime.datetime
        :keyword created_time: Required.
        :paramtype created_time: ~datetime.datetime
        :keyword created_by: Required.
        :paramtype created_by: str
        """
        super(InviteDto, self).__init__(**kwargs)
        self.tenant_id = kwargs['tenant_id']
        self.company_name = kwargs['company_name']
        self.id = kwargs['id']
        self.supplier_id = kwargs['supplier_id']
        self.supplier_name = kwargs['supplier_name']
        self.username = kwargs['username']
        self.deadline = kwargs['deadline']
        self.created_time = kwargs['created_time']
        self.created_by = kwargs['created_by']


class IotTypeSourceDto(msrest.serialization.Model):
    """IotTypeSourceDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        """
        super(IotTypeSourceDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']


class LinkDto(msrest.serialization.Model):
    """LinkDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar uri: Required.
    :vartype uri: str
    :ivar name: Required.
    :vartype name: str
    :ivar description:
    :vartype description: str
    :ivar new_tab:
    :vartype new_tab: bool
    :ivar color:
    :vartype color: str
    :ivar icon_name:
    :vartype icon_name: str
    """

    _validation = {
        'id': {'required': True},
        'uri': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'uri': {'key': 'uri', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'new_tab': {'key': 'newTab', 'type': 'bool'},
        'color': {'key': 'color', 'type': 'str'},
        'icon_name': {'key': 'iconName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword uri: Required.
        :paramtype uri: str
        :keyword name: Required.
        :paramtype name: str
        :keyword description:
        :paramtype description: str
        :keyword new_tab:
        :paramtype new_tab: bool
        :keyword color:
        :paramtype color: str
        :keyword icon_name:
        :paramtype icon_name: str
        """
        super(LinkDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.uri = kwargs['uri']
        self.name = kwargs['name']
        self.description = kwargs.get('description', None)
        self.new_tab = kwargs.get('new_tab', None)
        self.color = kwargs.get('color', None)
        self.icon_name = kwargs.get('icon_name', None)


class MachineAlarmDetailsDto(msrest.serialization.Model):
    """MachineAlarmDetailsDto.

    Variables are only populated by the server, and will be ignored when sending a request.

    :ivar id:
    :vartype id: long
    :ivar start_time:
    :vartype start_time: ~datetime.datetime
    :ivar native_code:
    :vartype native_code: str
    :ivar native_severity:
    :vartype native_severity: int
    :ivar description:
    :vartype description: str
    :ivar name:
    :vartype name: str
    :ivar type:
    :vartype type: str
    :ivar timeseries_groups:
    :vartype timeseries_groups: list[~ignos.api.client.models.MachineAlarmTimeseriesGroupDto]
    """

    _validation = {
        'id': {'readonly': True},
        'start_time': {'readonly': True},
        'native_code': {'readonly': True},
        'native_severity': {'readonly': True},
        'description': {'readonly': True},
        'name': {'readonly': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'long'},
        'start_time': {'key': 'startTime', 'type': 'iso-8601'},
        'native_code': {'key': 'nativeCode', 'type': 'str'},
        'native_severity': {'key': 'nativeSeverity', 'type': 'int'},
        'description': {'key': 'description', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'timeseries_groups': {'key': 'timeseriesGroups', 'type': '[MachineAlarmTimeseriesGroupDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword type:
        :paramtype type: str
        :keyword timeseries_groups:
        :paramtype timeseries_groups: list[~ignos.api.client.models.MachineAlarmTimeseriesGroupDto]
        """
        super(MachineAlarmDetailsDto, self).__init__(**kwargs)
        self.id = None
        self.start_time = None
        self.native_code = None
        self.native_severity = None
        self.description = None
        self.name = None
        self.type = kwargs.get('type', None)
        self.timeseries_groups = kwargs.get('timeseries_groups', None)


class MachineAlarmDto(msrest.serialization.Model):
    """MachineAlarmDto.

    All required parameters must be populated in order to send to Azure.

    :ivar alarm_type: Required. Known values are: "Fault", "Warning".
    :vartype alarm_type: str or ~ignos.api.client.models.MachineAlarmType
    :ivar id: Required.
    :vartype id: long
    :ivar type: Required.
    :vartype type: str
    :ivar sub_type: Required.
    :vartype sub_type: str
    :ivar description:
    :vartype description: str
    :ivar native_code: Required.
    :vartype native_code: str
    :ivar native_severity:
    :vartype native_severity: int
    :ivar name:
    :vartype name: str
    :ivar sequence:
    :vartype sequence: str
    :ivar start_time:
    :vartype start_time: ~datetime.datetime
    :ivar end_time:
    :vartype end_time: ~datetime.datetime
    """

    _validation = {
        'alarm_type': {'required': True},
        'id': {'required': True},
        'type': {'required': True},
        'sub_type': {'required': True},
        'native_code': {'required': True},
    }

    _attribute_map = {
        'alarm_type': {'key': 'alarmType', 'type': 'str'},
        'id': {'key': 'id', 'type': 'long'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'native_code': {'key': 'nativeCode', 'type': 'str'},
        'native_severity': {'key': 'nativeSeverity', 'type': 'int'},
        'name': {'key': 'name', 'type': 'str'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'start_time': {'key': 'startTime', 'type': 'iso-8601'},
        'end_time': {'key': 'endTime', 'type': 'iso-8601'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword alarm_type: Required. Known values are: "Fault", "Warning".
        :paramtype alarm_type: str or ~ignos.api.client.models.MachineAlarmType
        :keyword id: Required.
        :paramtype id: long
        :keyword type: Required.
        :paramtype type: str
        :keyword sub_type: Required.
        :paramtype sub_type: str
        :keyword description:
        :paramtype description: str
        :keyword native_code: Required.
        :paramtype native_code: str
        :keyword native_severity:
        :paramtype native_severity: int
        :keyword name:
        :paramtype name: str
        :keyword sequence:
        :paramtype sequence: str
        :keyword start_time:
        :paramtype start_time: ~datetime.datetime
        :keyword end_time:
        :paramtype end_time: ~datetime.datetime
        """
        super(MachineAlarmDto, self).__init__(**kwargs)
        self.alarm_type = kwargs['alarm_type']
        self.id = kwargs['id']
        self.type = kwargs['type']
        self.sub_type = kwargs['sub_type']
        self.description = kwargs.get('description', None)
        self.native_code = kwargs['native_code']
        self.native_severity = kwargs.get('native_severity', None)
        self.name = kwargs.get('name', None)
        self.sequence = kwargs.get('sequence', None)
        self.start_time = kwargs.get('start_time', None)
        self.end_time = kwargs.get('end_time', None)


class MachineAlarmSeverityOccurenceDto(msrest.serialization.Model):
    """MachineAlarmSeverityOccurenceDto.

    All required parameters must be populated in order to send to Azure.

    :ivar native_severity: Required.
    :vartype native_severity: int
    :ivar quantity: Required.
    :vartype quantity: int
    :ivar alarm_type: Required. Known values are: "Fault", "Warning".
    :vartype alarm_type: str or ~ignos.api.client.models.MachineAlarmType
    """

    _validation = {
        'native_severity': {'required': True},
        'quantity': {'required': True},
        'alarm_type': {'required': True},
    }

    _attribute_map = {
        'native_severity': {'key': 'nativeSeverity', 'type': 'int'},
        'quantity': {'key': 'quantity', 'type': 'int'},
        'alarm_type': {'key': 'alarmType', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword native_severity: Required.
        :paramtype native_severity: int
        :keyword quantity: Required.
        :paramtype quantity: int
        :keyword alarm_type: Required. Known values are: "Fault", "Warning".
        :paramtype alarm_type: str or ~ignos.api.client.models.MachineAlarmType
        """
        super(MachineAlarmSeverityOccurenceDto, self).__init__(**kwargs)
        self.native_severity = kwargs['native_severity']
        self.quantity = kwargs['quantity']
        self.alarm_type = kwargs['alarm_type']


class MachineAlarmSummaryDto(msrest.serialization.Model):
    """MachineAlarmSummaryDto.

    Variables are only populated by the server, and will be ignored when sending a request.

    All required parameters must be populated in order to send to Azure.

    :ivar asset_id: Required.
    :vartype asset_id: long
    :ivar asset_name: Required.
    :vartype asset_name: str
    :ivar asset_external_id:
    :vartype asset_external_id: str
    :ivar warning_duration: Required.
    :vartype warning_duration: int
    :ivar warning_quantity: Required.
    :vartype warning_quantity: int
    :ivar warning_quantity_open: Required.
    :vartype warning_quantity_open: int
    :ivar fault_duration: Required.
    :vartype fault_duration: int
    :ivar fault_quantity: Required.
    :vartype fault_quantity: int
    :ivar fault_quantity_open: Required.
    :vartype fault_quantity_open: int
    """

    _validation = {
        'asset_id': {'required': True, 'readonly': True},
        'asset_name': {'required': True, 'readonly': True},
        'asset_external_id': {'readonly': True},
        'warning_duration': {'required': True, 'readonly': True},
        'warning_quantity': {'required': True, 'readonly': True},
        'warning_quantity_open': {'required': True, 'readonly': True},
        'fault_duration': {'required': True, 'readonly': True},
        'fault_quantity': {'required': True, 'readonly': True},
        'fault_quantity_open': {'required': True, 'readonly': True},
    }

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'asset_external_id': {'key': 'assetExternalId', 'type': 'str'},
        'warning_duration': {'key': 'warningDuration', 'type': 'int'},
        'warning_quantity': {'key': 'warningQuantity', 'type': 'int'},
        'warning_quantity_open': {'key': 'warningQuantityOpen', 'type': 'int'},
        'fault_duration': {'key': 'faultDuration', 'type': 'int'},
        'fault_quantity': {'key': 'faultQuantity', 'type': 'int'},
        'fault_quantity_open': {'key': 'faultQuantityOpen', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        """
        super(MachineAlarmSummaryDto, self).__init__(**kwargs)
        self.asset_id = None
        self.asset_name = None
        self.asset_external_id = None
        self.warning_duration = None
        self.warning_quantity = None
        self.warning_quantity_open = None
        self.fault_duration = None
        self.fault_quantity = None
        self.fault_quantity_open = None


class MachineAlarmTimeserieDto(msrest.serialization.Model):
    """MachineAlarmTimeserieDto.

    :ivar label:
    :vartype label: str
    :ivar unit:
    :vartype unit: str
    :ivar data_points:
    :vartype data_points: list[~ignos.api.client.models.NumericDataPointDto]
    """

    _attribute_map = {
        'label': {'key': 'label', 'type': 'str'},
        'unit': {'key': 'unit', 'type': 'str'},
        'data_points': {'key': 'dataPoints', 'type': '[NumericDataPointDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword label:
        :paramtype label: str
        :keyword unit:
        :paramtype unit: str
        :keyword data_points:
        :paramtype data_points: list[~ignos.api.client.models.NumericDataPointDto]
        """
        super(MachineAlarmTimeserieDto, self).__init__(**kwargs)
        self.label = kwargs.get('label', None)
        self.unit = kwargs.get('unit', None)
        self.data_points = kwargs.get('data_points', None)


class MachineAlarmTimeseriesGroupDto(msrest.serialization.Model):
    """MachineAlarmTimeseriesGroupDto.

    All required parameters must be populated in order to send to Azure.

    :ivar title: Required.
    :vartype title: str
    :ivar timeseries:
    :vartype timeseries: list[~ignos.api.client.models.MachineAlarmTimeserieDto]
    """

    _validation = {
        'title': {'required': True},
    }

    _attribute_map = {
        'title': {'key': 'title', 'type': 'str'},
        'timeseries': {'key': 'timeseries', 'type': '[MachineAlarmTimeserieDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword title: Required.
        :paramtype title: str
        :keyword timeseries:
        :paramtype timeseries: list[~ignos.api.client.models.MachineAlarmTimeserieDto]
        """
        super(MachineAlarmTimeseriesGroupDto, self).__init__(**kwargs)
        self.title = kwargs['title']
        self.timeseries = kwargs.get('timeseries', None)


class MachineDto(msrest.serialization.Model):
    """MachineDto.

    :ivar id:
    :vartype id: long
    :ivar external_id:
    :vartype external_id: str
    :ivar name:
    :vartype name: str
    :ivar description:
    :vartype description: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'long'},
        'external_id': {'key': 'externalId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: long
        :keyword external_id:
        :paramtype external_id: str
        :keyword name:
        :paramtype name: str
        :keyword description:
        :paramtype description: str
        """
        super(MachineDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.external_id = kwargs.get('external_id', None)
        self.name = kwargs.get('name', None)
        self.description = kwargs.get('description', None)


class MachineUtilizationDto(msrest.serialization.Model):
    """MachineUtilizationDto.

    All required parameters must be populated in order to send to Azure.

    :ivar asset_id: Required.
    :vartype asset_id: long
    :ivar name: Required.
    :vartype name: str
    :ivar description:
    :vartype description: str
    :ivar state: Required.
    :vartype state: str
    :ivar machine_state: Required. Known values are: "InCycle", "MasterCam", "MdiCycle",
     "CamCycle", "Idle", "OptionalStop", "ProgramStop", "M0", "AtcStopped", "FeedHold", "MdiMode",
     "ManualMode", "EStop", "Alarm", "PowerOff".
    :vartype machine_state: str or ~ignos.api.client.models.MachineState
    :ivar start_time:
    :vartype start_time: ~datetime.datetime
    :ivar workorder:
    :vartype workorder: ~ignos.api.client.models.UtilizationWorkorderDto
    :ivar power_on:
    :vartype power_on: ~ignos.api.client.models.PowerOnUtilizationDto
    """

    _validation = {
        'asset_id': {'required': True},
        'name': {'required': True},
        'state': {'required': True},
        'machine_state': {'required': True},
    }

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'state': {'key': 'state', 'type': 'str'},
        'machine_state': {'key': 'machineState', 'type': 'str'},
        'start_time': {'key': 'startTime', 'type': 'iso-8601'},
        'workorder': {'key': 'workorder', 'type': 'UtilizationWorkorderDto'},
        'power_on': {'key': 'powerOn', 'type': 'PowerOnUtilizationDto'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_id: Required.
        :paramtype asset_id: long
        :keyword name: Required.
        :paramtype name: str
        :keyword description:
        :paramtype description: str
        :keyword state: Required.
        :paramtype state: str
        :keyword machine_state: Required. Known values are: "InCycle", "MasterCam", "MdiCycle",
         "CamCycle", "Idle", "OptionalStop", "ProgramStop", "M0", "AtcStopped", "FeedHold", "MdiMode",
         "ManualMode", "EStop", "Alarm", "PowerOff".
        :paramtype machine_state: str or ~ignos.api.client.models.MachineState
        :keyword start_time:
        :paramtype start_time: ~datetime.datetime
        :keyword workorder:
        :paramtype workorder: ~ignos.api.client.models.UtilizationWorkorderDto
        :keyword power_on:
        :paramtype power_on: ~ignos.api.client.models.PowerOnUtilizationDto
        """
        super(MachineUtilizationDto, self).__init__(**kwargs)
        self.asset_id = kwargs['asset_id']
        self.name = kwargs['name']
        self.description = kwargs.get('description', None)
        self.state = kwargs['state']
        self.machine_state = kwargs['machine_state']
        self.start_time = kwargs.get('start_time', None)
        self.workorder = kwargs.get('workorder', None)
        self.power_on = kwargs.get('power_on', None)


class ManufacturerDto(msrest.serialization.Model):
    """ManufacturerDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        """
        super(ManufacturerDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']


class MeasurementFormDto(msrest.serialization.Model):
    """MeasurementFormDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar schema_id: Required.
    :vartype schema_id: str
    :ivar version_id: Required.
    :vartype version_id: int
    :ivar customer_id:
    :vartype customer_id: str
    :ivar part_number: Required.
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar created_by: Required.
    :vartype created_by: str
    :ivar created: Required.
    :vartype created: ~datetime.datetime
    :ivar status: Required. Known values are: "Draft", "Released", "Revoked".
    :vartype status: str or ~ignos.api.client.models.MeasurementFormStatus
    :ivar source: Required. Known values are: "Unknown", "InspectionXpert", "Excel", "Manual".
    :vartype source: str or ~ignos.api.client.models.MeasurementFormSource
    :ivar extra_schemas: Required.
    :vartype extra_schemas: list[~ignos.api.client.models.MeasurementFormLinkedSchemaDto]
    """

    _validation = {
        'id': {'required': True},
        'schema_id': {'required': True},
        'version_id': {'required': True},
        'part_number': {'required': True},
        'created_by': {'required': True},
        'created': {'required': True},
        'status': {'required': True},
        'source': {'required': True},
        'extra_schemas': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'schema_id': {'key': 'schemaId', 'type': 'str'},
        'version_id': {'key': 'versionId', 'type': 'int'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
        'created': {'key': 'created', 'type': 'iso-8601'},
        'status': {'key': 'status', 'type': 'str'},
        'source': {'key': 'source', 'type': 'str'},
        'extra_schemas': {'key': 'extraSchemas', 'type': '[MeasurementFormLinkedSchemaDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword schema_id: Required.
        :paramtype schema_id: str
        :keyword version_id: Required.
        :paramtype version_id: int
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword part_number: Required.
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword created_by: Required.
        :paramtype created_by: str
        :keyword created: Required.
        :paramtype created: ~datetime.datetime
        :keyword status: Required. Known values are: "Draft", "Released", "Revoked".
        :paramtype status: str or ~ignos.api.client.models.MeasurementFormStatus
        :keyword source: Required. Known values are: "Unknown", "InspectionXpert", "Excel", "Manual".
        :paramtype source: str or ~ignos.api.client.models.MeasurementFormSource
        :keyword extra_schemas: Required.
        :paramtype extra_schemas: list[~ignos.api.client.models.MeasurementFormLinkedSchemaDto]
        """
        super(MeasurementFormDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.schema_id = kwargs['schema_id']
        self.version_id = kwargs['version_id']
        self.customer_id = kwargs.get('customer_id', None)
        self.part_number = kwargs['part_number']
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.created_by = kwargs['created_by']
        self.created = kwargs['created']
        self.status = kwargs['status']
        self.source = kwargs['source']
        self.extra_schemas = kwargs['extra_schemas']


class MeasurementFormDtoPagedResult(msrest.serialization.Model):
    """MeasurementFormDtoPagedResult.

    All required parameters must be populated in order to send to Azure.

    :ivar results: Required.
    :vartype results: list[~ignos.api.client.models.MeasurementFormDto]
    :ivar continuation_token:
    :vartype continuation_token: str
    """

    _validation = {
        'results': {'required': True},
    }

    _attribute_map = {
        'results': {'key': 'results', 'type': '[MeasurementFormDto]'},
        'continuation_token': {'key': 'continuationToken', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword results: Required.
        :paramtype results: list[~ignos.api.client.models.MeasurementFormDto]
        :keyword continuation_token:
        :paramtype continuation_token: str
        """
        super(MeasurementFormDtoPagedResult, self).__init__(**kwargs)
        self.results = kwargs['results']
        self.continuation_token = kwargs.get('continuation_token', None)


class MeasurementFormElementDto(msrest.serialization.Model):
    """MeasurementFormElementDto.

    :ivar id:
    :vartype id: str
    :ivar image_url:
    :vartype image_url: str
    :ivar thumbnail_url:
    :vartype thumbnail_url: str
    :ivar balloon_id:
    :vartype balloon_id: str
    :ivar section:
    :vartype section: str
    :ivar page_number:
    :vartype page_number: int
    :ivar sheet_zone:
    :vartype sheet_zone: str
    :ivar places:
    :vartype places: int
    :ivar nominal:
    :vartype nominal: float
    :ivar nominal_text:
    :vartype nominal_text: str
    :ivar type:
    :vartype type: str
    :ivar sub_type:
    :vartype sub_type: str
    :ivar unit_of_measure:
    :vartype unit_of_measure: str
    :ivar type_character:
    :vartype type_character: str
    :ivar plus_tolerance:
    :vartype plus_tolerance: float
    :ivar minus_tolerance:
    :vartype minus_tolerance: float
    :ivar upper_limit:
    :vartype upper_limit: float
    :ivar lower_limit:
    :vartype lower_limit: float
    :ivar comments:
    :vartype comments: str
    :ivar updated_by_user:
    :vartype updated_by_user: str
    :ivar updated_date:
    :vartype updated_date: ~datetime.datetime
    :ivar created_by_user:
    :vartype created_by_user: str
    :ivar created_date:
    :vartype created_date: ~datetime.datetime
    :ivar frequency: Known values are: "All", "FirstArticle", "NFirst", "NPercent", "ISO2859",
     "Nth", "None".
    :vartype frequency: str or ~ignos.api.client.models.MeasurementFrequency
    :ivar frequency_parameter:
    :vartype frequency_parameter: int
    :ivar include_in_customer_documentation:
    :vartype include_in_customer_documentation: bool
    :ivar balloon_sequence:
    :vartype balloon_sequence: int
    :ivar balloon_quantity:
    :vartype balloon_quantity: int
    :ivar plus_tolerance_text:
    :vartype plus_tolerance_text: str
    :ivar minus_tolerance_text:
    :vartype minus_tolerance_text: str
    :ivar coating_thickness:
    :vartype coating_thickness: int
    :ivar can_copy:
    :vartype can_copy: bool
    :ivar value_type: Known values are: "None", "Bool", "Decimal", "String".
    :vartype value_type: str or ~ignos.api.client.models.MeasurementFormValueType
    :ivar bonus_type: Known values are: "None", "Positive", "PositiveAndNegative".
    :vartype bonus_type: str or ~ignos.api.client.models.BonusType
    :ivar lower_warning_threshold:
    :vartype lower_warning_threshold: float
    :ivar upper_warning_threshold:
    :vartype upper_warning_threshold: float
    :ivar machining_dimension:
    :vartype machining_dimension: float
    :ivar nominal_inch:
    :vartype nominal_inch: float
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'image_url': {'key': 'imageUrl', 'type': 'str'},
        'thumbnail_url': {'key': 'thumbnailUrl', 'type': 'str'},
        'balloon_id': {'key': 'balloonId', 'type': 'str'},
        'section': {'key': 'section', 'type': 'str'},
        'page_number': {'key': 'pageNumber', 'type': 'int'},
        'sheet_zone': {'key': 'sheetZone', 'type': 'str'},
        'places': {'key': 'places', 'type': 'int'},
        'nominal': {'key': 'nominal', 'type': 'float'},
        'nominal_text': {'key': 'nominalText', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'unit_of_measure': {'key': 'unitOfMeasure', 'type': 'str'},
        'type_character': {'key': 'typeCharacter', 'type': 'str'},
        'plus_tolerance': {'key': 'plusTolerance', 'type': 'float'},
        'minus_tolerance': {'key': 'minusTolerance', 'type': 'float'},
        'upper_limit': {'key': 'upperLimit', 'type': 'float'},
        'lower_limit': {'key': 'lowerLimit', 'type': 'float'},
        'comments': {'key': 'comments', 'type': 'str'},
        'updated_by_user': {'key': 'updatedByUser', 'type': 'str'},
        'updated_date': {'key': 'updatedDate', 'type': 'iso-8601'},
        'created_by_user': {'key': 'createdByUser', 'type': 'str'},
        'created_date': {'key': 'createdDate', 'type': 'iso-8601'},
        'frequency': {'key': 'frequency', 'type': 'str'},
        'frequency_parameter': {'key': 'frequencyParameter', 'type': 'int'},
        'include_in_customer_documentation': {'key': 'includeInCustomerDocumentation', 'type': 'bool'},
        'balloon_sequence': {'key': 'balloonSequence', 'type': 'int'},
        'balloon_quantity': {'key': 'balloonQuantity', 'type': 'int'},
        'plus_tolerance_text': {'key': 'plusToleranceText', 'type': 'str'},
        'minus_tolerance_text': {'key': 'minusToleranceText', 'type': 'str'},
        'coating_thickness': {'key': 'coatingThickness', 'type': 'int'},
        'can_copy': {'key': 'canCopy', 'type': 'bool'},
        'value_type': {'key': 'valueType', 'type': 'str'},
        'bonus_type': {'key': 'bonusType', 'type': 'str'},
        'lower_warning_threshold': {'key': 'lowerWarningThreshold', 'type': 'float'},
        'upper_warning_threshold': {'key': 'upperWarningThreshold', 'type': 'float'},
        'machining_dimension': {'key': 'machiningDimension', 'type': 'float'},
        'nominal_inch': {'key': 'nominalInch', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword image_url:
        :paramtype image_url: str
        :keyword thumbnail_url:
        :paramtype thumbnail_url: str
        :keyword balloon_id:
        :paramtype balloon_id: str
        :keyword section:
        :paramtype section: str
        :keyword page_number:
        :paramtype page_number: int
        :keyword sheet_zone:
        :paramtype sheet_zone: str
        :keyword places:
        :paramtype places: int
        :keyword nominal:
        :paramtype nominal: float
        :keyword nominal_text:
        :paramtype nominal_text: str
        :keyword type:
        :paramtype type: str
        :keyword sub_type:
        :paramtype sub_type: str
        :keyword unit_of_measure:
        :paramtype unit_of_measure: str
        :keyword type_character:
        :paramtype type_character: str
        :keyword plus_tolerance:
        :paramtype plus_tolerance: float
        :keyword minus_tolerance:
        :paramtype minus_tolerance: float
        :keyword upper_limit:
        :paramtype upper_limit: float
        :keyword lower_limit:
        :paramtype lower_limit: float
        :keyword comments:
        :paramtype comments: str
        :keyword updated_by_user:
        :paramtype updated_by_user: str
        :keyword updated_date:
        :paramtype updated_date: ~datetime.datetime
        :keyword created_by_user:
        :paramtype created_by_user: str
        :keyword created_date:
        :paramtype created_date: ~datetime.datetime
        :keyword frequency: Known values are: "All", "FirstArticle", "NFirst", "NPercent", "ISO2859",
         "Nth", "None".
        :paramtype frequency: str or ~ignos.api.client.models.MeasurementFrequency
        :keyword frequency_parameter:
        :paramtype frequency_parameter: int
        :keyword include_in_customer_documentation:
        :paramtype include_in_customer_documentation: bool
        :keyword balloon_sequence:
        :paramtype balloon_sequence: int
        :keyword balloon_quantity:
        :paramtype balloon_quantity: int
        :keyword plus_tolerance_text:
        :paramtype plus_tolerance_text: str
        :keyword minus_tolerance_text:
        :paramtype minus_tolerance_text: str
        :keyword coating_thickness:
        :paramtype coating_thickness: int
        :keyword can_copy:
        :paramtype can_copy: bool
        :keyword value_type: Known values are: "None", "Bool", "Decimal", "String".
        :paramtype value_type: str or ~ignos.api.client.models.MeasurementFormValueType
        :keyword bonus_type: Known values are: "None", "Positive", "PositiveAndNegative".
        :paramtype bonus_type: str or ~ignos.api.client.models.BonusType
        :keyword lower_warning_threshold:
        :paramtype lower_warning_threshold: float
        :keyword upper_warning_threshold:
        :paramtype upper_warning_threshold: float
        :keyword machining_dimension:
        :paramtype machining_dimension: float
        :keyword nominal_inch:
        :paramtype nominal_inch: float
        """
        super(MeasurementFormElementDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.image_url = kwargs.get('image_url', None)
        self.thumbnail_url = kwargs.get('thumbnail_url', None)
        self.balloon_id = kwargs.get('balloon_id', None)
        self.section = kwargs.get('section', None)
        self.page_number = kwargs.get('page_number', None)
        self.sheet_zone = kwargs.get('sheet_zone', None)
        self.places = kwargs.get('places', None)
        self.nominal = kwargs.get('nominal', None)
        self.nominal_text = kwargs.get('nominal_text', None)
        self.type = kwargs.get('type', None)
        self.sub_type = kwargs.get('sub_type', None)
        self.unit_of_measure = kwargs.get('unit_of_measure', None)
        self.type_character = kwargs.get('type_character', None)
        self.plus_tolerance = kwargs.get('plus_tolerance', None)
        self.minus_tolerance = kwargs.get('minus_tolerance', None)
        self.upper_limit = kwargs.get('upper_limit', None)
        self.lower_limit = kwargs.get('lower_limit', None)
        self.comments = kwargs.get('comments', None)
        self.updated_by_user = kwargs.get('updated_by_user', None)
        self.updated_date = kwargs.get('updated_date', None)
        self.created_by_user = kwargs.get('created_by_user', None)
        self.created_date = kwargs.get('created_date', None)
        self.frequency = kwargs.get('frequency', None)
        self.frequency_parameter = kwargs.get('frequency_parameter', None)
        self.include_in_customer_documentation = kwargs.get('include_in_customer_documentation', None)
        self.balloon_sequence = kwargs.get('balloon_sequence', None)
        self.balloon_quantity = kwargs.get('balloon_quantity', None)
        self.plus_tolerance_text = kwargs.get('plus_tolerance_text', None)
        self.minus_tolerance_text = kwargs.get('minus_tolerance_text', None)
        self.coating_thickness = kwargs.get('coating_thickness', None)
        self.can_copy = kwargs.get('can_copy', None)
        self.value_type = kwargs.get('value_type', None)
        self.bonus_type = kwargs.get('bonus_type', None)
        self.lower_warning_threshold = kwargs.get('lower_warning_threshold', None)
        self.upper_warning_threshold = kwargs.get('upper_warning_threshold', None)
        self.machining_dimension = kwargs.get('machining_dimension', None)
        self.nominal_inch = kwargs.get('nominal_inch', None)


class MeasurementFormElementImportDto(msrest.serialization.Model):
    """MeasurementFormElementImportDto.

    :ivar id:
    :vartype id: str
    :ivar image_url:
    :vartype image_url: str
    :ivar thumbnail_url:
    :vartype thumbnail_url: str
    :ivar balloon_id:
    :vartype balloon_id: str
    :ivar section:
    :vartype section: str
    :ivar page_number:
    :vartype page_number: int
    :ivar sheet_zone:
    :vartype sheet_zone: str
    :ivar places:
    :vartype places: int
    :ivar nominal:
    :vartype nominal: float
    :ivar nominal_text:
    :vartype nominal_text: str
    :ivar type:
    :vartype type: str
    :ivar sub_type:
    :vartype sub_type: str
    :ivar unit_of_measure:
    :vartype unit_of_measure: str
    :ivar type_character:
    :vartype type_character: str
    :ivar plus_tolerance:
    :vartype plus_tolerance: float
    :ivar minus_tolerance:
    :vartype minus_tolerance: float
    :ivar upper_limit:
    :vartype upper_limit: float
    :ivar lower_limit:
    :vartype lower_limit: float
    :ivar comments:
    :vartype comments: str
    :ivar updated_by_user:
    :vartype updated_by_user: str
    :ivar updated_date:
    :vartype updated_date: ~datetime.datetime
    :ivar created_by_user:
    :vartype created_by_user: str
    :ivar created_date:
    :vartype created_date: ~datetime.datetime
    :ivar frequency: Known values are: "All", "FirstArticle", "NFirst", "NPercent", "ISO2859",
     "Nth", "None".
    :vartype frequency: str or ~ignos.api.client.models.MeasurementFrequency
    :ivar frequency_parameter:
    :vartype frequency_parameter: int
    :ivar include_in_customer_documentation:
    :vartype include_in_customer_documentation: bool
    :ivar balloon_sequence:
    :vartype balloon_sequence: int
    :ivar balloon_quantity:
    :vartype balloon_quantity: int
    :ivar plus_tolerance_text:
    :vartype plus_tolerance_text: str
    :ivar minus_tolerance_text:
    :vartype minus_tolerance_text: str
    :ivar coating_thickness:
    :vartype coating_thickness: int
    :ivar can_copy:
    :vartype can_copy: bool
    :ivar value_type: Known values are: "None", "Bool", "Decimal", "String".
    :vartype value_type: str or ~ignos.api.client.models.MeasurementFormValueType
    :ivar inspection_method:
    :vartype inspection_method: str
    :ivar process:
    :vartype process: str
    :ivar classification:
    :vartype classification: str
    :ivar fit_grade:
    :vartype fit_grade: str
    :ivar fit_type:
    :vartype fit_type: int
    :ivar for_reference:
    :vartype for_reference: bool
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'image_url': {'key': 'imageUrl', 'type': 'str'},
        'thumbnail_url': {'key': 'thumbnailUrl', 'type': 'str'},
        'balloon_id': {'key': 'balloonId', 'type': 'str'},
        'section': {'key': 'section', 'type': 'str'},
        'page_number': {'key': 'pageNumber', 'type': 'int'},
        'sheet_zone': {'key': 'sheetZone', 'type': 'str'},
        'places': {'key': 'places', 'type': 'int'},
        'nominal': {'key': 'nominal', 'type': 'float'},
        'nominal_text': {'key': 'nominalText', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'unit_of_measure': {'key': 'unitOfMeasure', 'type': 'str'},
        'type_character': {'key': 'typeCharacter', 'type': 'str'},
        'plus_tolerance': {'key': 'plusTolerance', 'type': 'float'},
        'minus_tolerance': {'key': 'minusTolerance', 'type': 'float'},
        'upper_limit': {'key': 'upperLimit', 'type': 'float'},
        'lower_limit': {'key': 'lowerLimit', 'type': 'float'},
        'comments': {'key': 'comments', 'type': 'str'},
        'updated_by_user': {'key': 'updatedByUser', 'type': 'str'},
        'updated_date': {'key': 'updatedDate', 'type': 'iso-8601'},
        'created_by_user': {'key': 'createdByUser', 'type': 'str'},
        'created_date': {'key': 'createdDate', 'type': 'iso-8601'},
        'frequency': {'key': 'frequency', 'type': 'str'},
        'frequency_parameter': {'key': 'frequencyParameter', 'type': 'int'},
        'include_in_customer_documentation': {'key': 'includeInCustomerDocumentation', 'type': 'bool'},
        'balloon_sequence': {'key': 'balloonSequence', 'type': 'int'},
        'balloon_quantity': {'key': 'balloonQuantity', 'type': 'int'},
        'plus_tolerance_text': {'key': 'plusToleranceText', 'type': 'str'},
        'minus_tolerance_text': {'key': 'minusToleranceText', 'type': 'str'},
        'coating_thickness': {'key': 'coatingThickness', 'type': 'int'},
        'can_copy': {'key': 'canCopy', 'type': 'bool'},
        'value_type': {'key': 'valueType', 'type': 'str'},
        'inspection_method': {'key': 'inspectionMethod', 'type': 'str'},
        'process': {'key': 'process', 'type': 'str'},
        'classification': {'key': 'classification', 'type': 'str'},
        'fit_grade': {'key': 'fitGrade', 'type': 'str'},
        'fit_type': {'key': 'fitType', 'type': 'int'},
        'for_reference': {'key': 'forReference', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword image_url:
        :paramtype image_url: str
        :keyword thumbnail_url:
        :paramtype thumbnail_url: str
        :keyword balloon_id:
        :paramtype balloon_id: str
        :keyword section:
        :paramtype section: str
        :keyword page_number:
        :paramtype page_number: int
        :keyword sheet_zone:
        :paramtype sheet_zone: str
        :keyword places:
        :paramtype places: int
        :keyword nominal:
        :paramtype nominal: float
        :keyword nominal_text:
        :paramtype nominal_text: str
        :keyword type:
        :paramtype type: str
        :keyword sub_type:
        :paramtype sub_type: str
        :keyword unit_of_measure:
        :paramtype unit_of_measure: str
        :keyword type_character:
        :paramtype type_character: str
        :keyword plus_tolerance:
        :paramtype plus_tolerance: float
        :keyword minus_tolerance:
        :paramtype minus_tolerance: float
        :keyword upper_limit:
        :paramtype upper_limit: float
        :keyword lower_limit:
        :paramtype lower_limit: float
        :keyword comments:
        :paramtype comments: str
        :keyword updated_by_user:
        :paramtype updated_by_user: str
        :keyword updated_date:
        :paramtype updated_date: ~datetime.datetime
        :keyword created_by_user:
        :paramtype created_by_user: str
        :keyword created_date:
        :paramtype created_date: ~datetime.datetime
        :keyword frequency: Known values are: "All", "FirstArticle", "NFirst", "NPercent", "ISO2859",
         "Nth", "None".
        :paramtype frequency: str or ~ignos.api.client.models.MeasurementFrequency
        :keyword frequency_parameter:
        :paramtype frequency_parameter: int
        :keyword include_in_customer_documentation:
        :paramtype include_in_customer_documentation: bool
        :keyword balloon_sequence:
        :paramtype balloon_sequence: int
        :keyword balloon_quantity:
        :paramtype balloon_quantity: int
        :keyword plus_tolerance_text:
        :paramtype plus_tolerance_text: str
        :keyword minus_tolerance_text:
        :paramtype minus_tolerance_text: str
        :keyword coating_thickness:
        :paramtype coating_thickness: int
        :keyword can_copy:
        :paramtype can_copy: bool
        :keyword value_type: Known values are: "None", "Bool", "Decimal", "String".
        :paramtype value_type: str or ~ignos.api.client.models.MeasurementFormValueType
        :keyword inspection_method:
        :paramtype inspection_method: str
        :keyword process:
        :paramtype process: str
        :keyword classification:
        :paramtype classification: str
        :keyword fit_grade:
        :paramtype fit_grade: str
        :keyword fit_type:
        :paramtype fit_type: int
        :keyword for_reference:
        :paramtype for_reference: bool
        """
        super(MeasurementFormElementImportDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.image_url = kwargs.get('image_url', None)
        self.thumbnail_url = kwargs.get('thumbnail_url', None)
        self.balloon_id = kwargs.get('balloon_id', None)
        self.section = kwargs.get('section', None)
        self.page_number = kwargs.get('page_number', None)
        self.sheet_zone = kwargs.get('sheet_zone', None)
        self.places = kwargs.get('places', None)
        self.nominal = kwargs.get('nominal', None)
        self.nominal_text = kwargs.get('nominal_text', None)
        self.type = kwargs.get('type', None)
        self.sub_type = kwargs.get('sub_type', None)
        self.unit_of_measure = kwargs.get('unit_of_measure', None)
        self.type_character = kwargs.get('type_character', None)
        self.plus_tolerance = kwargs.get('plus_tolerance', None)
        self.minus_tolerance = kwargs.get('minus_tolerance', None)
        self.upper_limit = kwargs.get('upper_limit', None)
        self.lower_limit = kwargs.get('lower_limit', None)
        self.comments = kwargs.get('comments', None)
        self.updated_by_user = kwargs.get('updated_by_user', None)
        self.updated_date = kwargs.get('updated_date', None)
        self.created_by_user = kwargs.get('created_by_user', None)
        self.created_date = kwargs.get('created_date', None)
        self.frequency = kwargs.get('frequency', None)
        self.frequency_parameter = kwargs.get('frequency_parameter', None)
        self.include_in_customer_documentation = kwargs.get('include_in_customer_documentation', None)
        self.balloon_sequence = kwargs.get('balloon_sequence', None)
        self.balloon_quantity = kwargs.get('balloon_quantity', None)
        self.plus_tolerance_text = kwargs.get('plus_tolerance_text', None)
        self.minus_tolerance_text = kwargs.get('minus_tolerance_text', None)
        self.coating_thickness = kwargs.get('coating_thickness', None)
        self.can_copy = kwargs.get('can_copy', None)
        self.value_type = kwargs.get('value_type', None)
        self.inspection_method = kwargs.get('inspection_method', None)
        self.process = kwargs.get('process', None)
        self.classification = kwargs.get('classification', None)
        self.fit_grade = kwargs.get('fit_grade', None)
        self.fit_type = kwargs.get('fit_type', None)
        self.for_reference = kwargs.get('for_reference', None)


class MeasurementFormElementValueAuditDto(msrest.serialization.Model):
    """MeasurementFormElementValueAuditDto.

    All required parameters must be populated in order to send to Azure.

    :ivar workorder:
    :vartype workorder: str
    :ivar operation:
    :vartype operation: int
    :ivar schema_id: Required.
    :vartype schema_id: str
    :ivar value:
    :vartype value: str
    :ivar bonus:
    :vartype bonus: float
    :ivar sequence: Required.
    :vartype sequence: str
    :ivar element_id: Required.
    :vartype element_id: str
    :ivar updated_by_user: Required.
    :vartype updated_by_user: str
    :ivar updated_date: Required.
    :vartype updated_date: ~datetime.datetime
    :ivar tools: Required.
    :vartype tools: list[~ignos.api.client.models.MeasurementFormToolValueDto]
    """

    _validation = {
        'schema_id': {'required': True},
        'sequence': {'required': True},
        'element_id': {'required': True},
        'updated_by_user': {'required': True},
        'updated_date': {'required': True},
        'tools': {'required': True},
    }

    _attribute_map = {
        'workorder': {'key': 'workorder', 'type': 'str'},
        'operation': {'key': 'operation', 'type': 'int'},
        'schema_id': {'key': 'schemaId', 'type': 'str'},
        'value': {'key': 'value', 'type': 'str'},
        'bonus': {'key': 'bonus', 'type': 'float'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'element_id': {'key': 'elementId', 'type': 'str'},
        'updated_by_user': {'key': 'updatedByUser', 'type': 'str'},
        'updated_date': {'key': 'updatedDate', 'type': 'iso-8601'},
        'tools': {'key': 'tools', 'type': '[MeasurementFormToolValueDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword workorder:
        :paramtype workorder: str
        :keyword operation:
        :paramtype operation: int
        :keyword schema_id: Required.
        :paramtype schema_id: str
        :keyword value:
        :paramtype value: str
        :keyword bonus:
        :paramtype bonus: float
        :keyword sequence: Required.
        :paramtype sequence: str
        :keyword element_id: Required.
        :paramtype element_id: str
        :keyword updated_by_user: Required.
        :paramtype updated_by_user: str
        :keyword updated_date: Required.
        :paramtype updated_date: ~datetime.datetime
        :keyword tools: Required.
        :paramtype tools: list[~ignos.api.client.models.MeasurementFormToolValueDto]
        """
        super(MeasurementFormElementValueAuditDto, self).__init__(**kwargs)
        self.workorder = kwargs.get('workorder', None)
        self.operation = kwargs.get('operation', None)
        self.schema_id = kwargs['schema_id']
        self.value = kwargs.get('value', None)
        self.bonus = kwargs.get('bonus', None)
        self.sequence = kwargs['sequence']
        self.element_id = kwargs['element_id']
        self.updated_by_user = kwargs['updated_by_user']
        self.updated_date = kwargs['updated_date']
        self.tools = kwargs['tools']


class MeasurementFormElementValueDto(msrest.serialization.Model):
    """MeasurementFormElementValueDto.

    All required parameters must be populated in order to send to Azure.

    :ivar bonus:
    :vartype bonus: str
    :ivar completed: Required.
    :vartype completed: bool
    :ivar sequence: Required.
    :vartype sequence: str
    :ivar value:
    :vartype value: str
    :ivar updated_by_user: Required.
    :vartype updated_by_user: str
    :ivar updated_date: Required.
    :vartype updated_date: ~datetime.datetime
    :ivar tools: Required.
    :vartype tools: list[~ignos.api.client.models.MeasurementFormToolValueDto]
    :ivar comment:
    :vartype comment: str
    """

    _validation = {
        'completed': {'required': True},
        'sequence': {'required': True},
        'updated_by_user': {'required': True},
        'updated_date': {'required': True},
        'tools': {'required': True},
    }

    _attribute_map = {
        'bonus': {'key': 'bonus', 'type': 'str'},
        'completed': {'key': 'completed', 'type': 'bool'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'value': {'key': 'value', 'type': 'str'},
        'updated_by_user': {'key': 'updatedByUser', 'type': 'str'},
        'updated_date': {'key': 'updatedDate', 'type': 'iso-8601'},
        'tools': {'key': 'tools', 'type': '[MeasurementFormToolValueDto]'},
        'comment': {'key': 'comment', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword bonus:
        :paramtype bonus: str
        :keyword completed: Required.
        :paramtype completed: bool
        :keyword sequence: Required.
        :paramtype sequence: str
        :keyword value:
        :paramtype value: str
        :keyword updated_by_user: Required.
        :paramtype updated_by_user: str
        :keyword updated_date: Required.
        :paramtype updated_date: ~datetime.datetime
        :keyword tools: Required.
        :paramtype tools: list[~ignos.api.client.models.MeasurementFormToolValueDto]
        :keyword comment:
        :paramtype comment: str
        """
        super(MeasurementFormElementValueDto, self).__init__(**kwargs)
        self.bonus = kwargs.get('bonus', None)
        self.completed = kwargs['completed']
        self.sequence = kwargs['sequence']
        self.value = kwargs.get('value', None)
        self.updated_by_user = kwargs['updated_by_user']
        self.updated_date = kwargs['updated_date']
        self.tools = kwargs['tools']
        self.comment = kwargs.get('comment', None)


class MeasurementFormInstanceDto(msrest.serialization.Model):
    """MeasurementFormInstanceDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar readonly: Required.
    :vartype readonly: bool
    :ivar part_number:
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar customer_id:
    :vartype customer_id: str
    :ivar quantity: Required.
    :vartype quantity: int
    :ivar validation_rule_id:
    :vartype validation_rule_id: str
    :ivar status: Required. Known values are: "Active", "Cancelled", "Completed", "Approved".
    :vartype status: str or ~ignos.api.client.models.MeasurementFormInstanceStatus
    :ivar schemas: Required.
    :vartype schemas: list[~ignos.api.client.models.MeasurementFormWorkorderSchemaDto]
    :ivar sequences: Required.
    :vartype sequences: list[~ignos.api.client.models.MeasurementFormWorkorderSequenceDto]
    :ivar suppliers: Required.
    :vartype suppliers: list[~ignos.api.client.models.MeasurementFormWorkorderSupplierDto]
    :ivar progress: Required.
    :vartype progress: ~ignos.api.client.models.MeasurementFormProgressDto
    """

    _validation = {
        'id': {'required': True},
        'readonly': {'required': True},
        'quantity': {'required': True},
        'status': {'required': True},
        'schemas': {'required': True},
        'sequences': {'required': True},
        'suppliers': {'required': True},
        'progress': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'readonly': {'key': 'readonly', 'type': 'bool'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'quantity': {'key': 'quantity', 'type': 'int'},
        'validation_rule_id': {'key': 'validationRuleId', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'schemas': {'key': 'schemas', 'type': '[MeasurementFormWorkorderSchemaDto]'},
        'sequences': {'key': 'sequences', 'type': '[MeasurementFormWorkorderSequenceDto]'},
        'suppliers': {'key': 'suppliers', 'type': '[MeasurementFormWorkorderSupplierDto]'},
        'progress': {'key': 'progress', 'type': 'MeasurementFormProgressDto'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword readonly: Required.
        :paramtype readonly: bool
        :keyword part_number:
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword quantity: Required.
        :paramtype quantity: int
        :keyword validation_rule_id:
        :paramtype validation_rule_id: str
        :keyword status: Required. Known values are: "Active", "Cancelled", "Completed", "Approved".
        :paramtype status: str or ~ignos.api.client.models.MeasurementFormInstanceStatus
        :keyword schemas: Required.
        :paramtype schemas: list[~ignos.api.client.models.MeasurementFormWorkorderSchemaDto]
        :keyword sequences: Required.
        :paramtype sequences: list[~ignos.api.client.models.MeasurementFormWorkorderSequenceDto]
        :keyword suppliers: Required.
        :paramtype suppliers: list[~ignos.api.client.models.MeasurementFormWorkorderSupplierDto]
        :keyword progress: Required.
        :paramtype progress: ~ignos.api.client.models.MeasurementFormProgressDto
        """
        super(MeasurementFormInstanceDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.readonly = kwargs['readonly']
        self.part_number = kwargs.get('part_number', None)
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.customer_id = kwargs.get('customer_id', None)
        self.quantity = kwargs['quantity']
        self.validation_rule_id = kwargs.get('validation_rule_id', None)
        self.status = kwargs['status']
        self.schemas = kwargs['schemas']
        self.sequences = kwargs['sequences']
        self.suppliers = kwargs['suppliers']
        self.progress = kwargs['progress']


class MeasurementFormInstanceDtoPagedResult(msrest.serialization.Model):
    """MeasurementFormInstanceDtoPagedResult.

    All required parameters must be populated in order to send to Azure.

    :ivar results: Required.
    :vartype results: list[~ignos.api.client.models.MeasurementFormInstanceDto]
    :ivar continuation_token:
    :vartype continuation_token: str
    """

    _validation = {
        'results': {'required': True},
    }

    _attribute_map = {
        'results': {'key': 'results', 'type': '[MeasurementFormInstanceDto]'},
        'continuation_token': {'key': 'continuationToken', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword results: Required.
        :paramtype results: list[~ignos.api.client.models.MeasurementFormInstanceDto]
        :keyword continuation_token:
        :paramtype continuation_token: str
        """
        super(MeasurementFormInstanceDtoPagedResult, self).__init__(**kwargs)
        self.results = kwargs['results']
        self.continuation_token = kwargs.get('continuation_token', None)


class MeasurementFormInstanceElementDto(msrest.serialization.Model):
    """MeasurementFormInstanceElementDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar image_url:
    :vartype image_url: str
    :ivar thumbnail_url:
    :vartype thumbnail_url: str
    :ivar balloon_id:
    :vartype balloon_id: str
    :ivar section:
    :vartype section: str
    :ivar page_number:
    :vartype page_number: int
    :ivar sheet_zone:
    :vartype sheet_zone: str
    :ivar completed: Required.
    :vartype completed: bool
    :ivar places:
    :vartype places: int
    :ivar nominal:
    :vartype nominal: str
    :ivar type:
    :vartype type: str
    :ivar sub_type:
    :vartype sub_type: str
    :ivar unit_of_measure:
    :vartype unit_of_measure: str
    :ivar type_character:
    :vartype type_character: str
    :ivar upper_limit:
    :vartype upper_limit: float
    :ivar lower_limit:
    :vartype lower_limit: float
    :ivar comments:
    :vartype comments: str
    :ivar updated_by_user:
    :vartype updated_by_user: str
    :ivar updated_date:
    :vartype updated_date: ~datetime.datetime
    :ivar created_by_user:
    :vartype created_by_user: str
    :ivar created_date:
    :vartype created_date: ~datetime.datetime
    :ivar frequency: Required. Known values are: "All", "FirstArticle", "NFirst", "NPercent",
     "ISO2859", "Nth", "None".
    :vartype frequency: str or ~ignos.api.client.models.MeasurementFrequency
    :ivar frequency_parameter:
    :vartype frequency_parameter: int
    :ivar include_in_customer_documentation: Required.
    :vartype include_in_customer_documentation: bool
    :ivar balloon_sequence:
    :vartype balloon_sequence: int
    :ivar balloon_quantity:
    :vartype balloon_quantity: int
    :ivar plus_tolerance:
    :vartype plus_tolerance: str
    :ivar minus_tolerance:
    :vartype minus_tolerance: str
    :ivar coating_thickness:
    :vartype coating_thickness: int
    :ivar can_copy: Required.
    :vartype can_copy: bool
    :ivar value_type: Required. Known values are: "None", "Bool", "Decimal", "String".
    :vartype value_type: str or ~ignos.api.client.models.MeasurementFormValueType
    :ivar bonus_type: Required. Known values are: "None", "Positive", "PositiveAndNegative".
    :vartype bonus_type: str or ~ignos.api.client.models.BonusType
    :ivar lower_warning_threshold:
    :vartype lower_warning_threshold: float
    :ivar upper_warning_threshold:
    :vartype upper_warning_threshold: float
    :ivar machining_dimension:
    :vartype machining_dimension: float
    :ivar minimum_decimals: Required.
    :vartype minimum_decimals: int
    :ivar maximum_decimals: Required.
    :vartype maximum_decimals: int
    :ivar machining_dimensions:
    :vartype machining_dimensions: float
    :ivar values: Required.
    :vartype values: list[~ignos.api.client.models.MeasurementFormElementValueDto]
    """

    _validation = {
        'id': {'required': True},
        'completed': {'required': True},
        'frequency': {'required': True},
        'include_in_customer_documentation': {'required': True},
        'can_copy': {'required': True},
        'value_type': {'required': True},
        'bonus_type': {'required': True},
        'minimum_decimals': {'required': True},
        'maximum_decimals': {'required': True},
        'values': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'image_url': {'key': 'imageUrl', 'type': 'str'},
        'thumbnail_url': {'key': 'thumbnailUrl', 'type': 'str'},
        'balloon_id': {'key': 'balloonId', 'type': 'str'},
        'section': {'key': 'section', 'type': 'str'},
        'page_number': {'key': 'pageNumber', 'type': 'int'},
        'sheet_zone': {'key': 'sheetZone', 'type': 'str'},
        'completed': {'key': 'completed', 'type': 'bool'},
        'places': {'key': 'places', 'type': 'int'},
        'nominal': {'key': 'nominal', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'unit_of_measure': {'key': 'unitOfMeasure', 'type': 'str'},
        'type_character': {'key': 'typeCharacter', 'type': 'str'},
        'upper_limit': {'key': 'upperLimit', 'type': 'float'},
        'lower_limit': {'key': 'lowerLimit', 'type': 'float'},
        'comments': {'key': 'comments', 'type': 'str'},
        'updated_by_user': {'key': 'updatedByUser', 'type': 'str'},
        'updated_date': {'key': 'updatedDate', 'type': 'iso-8601'},
        'created_by_user': {'key': 'createdByUser', 'type': 'str'},
        'created_date': {'key': 'createdDate', 'type': 'iso-8601'},
        'frequency': {'key': 'frequency', 'type': 'str'},
        'frequency_parameter': {'key': 'frequencyParameter', 'type': 'int'},
        'include_in_customer_documentation': {'key': 'includeInCustomerDocumentation', 'type': 'bool'},
        'balloon_sequence': {'key': 'balloonSequence', 'type': 'int'},
        'balloon_quantity': {'key': 'balloonQuantity', 'type': 'int'},
        'plus_tolerance': {'key': 'plusTolerance', 'type': 'str'},
        'minus_tolerance': {'key': 'minusTolerance', 'type': 'str'},
        'coating_thickness': {'key': 'coatingThickness', 'type': 'int'},
        'can_copy': {'key': 'canCopy', 'type': 'bool'},
        'value_type': {'key': 'valueType', 'type': 'str'},
        'bonus_type': {'key': 'bonusType', 'type': 'str'},
        'lower_warning_threshold': {'key': 'lowerWarningThreshold', 'type': 'float'},
        'upper_warning_threshold': {'key': 'upperWarningThreshold', 'type': 'float'},
        'machining_dimension': {'key': 'machiningDimension', 'type': 'float'},
        'minimum_decimals': {'key': 'minimumDecimals', 'type': 'int'},
        'maximum_decimals': {'key': 'maximumDecimals', 'type': 'int'},
        'machining_dimensions': {'key': 'machiningDimensions', 'type': 'float'},
        'values': {'key': 'values', 'type': '[MeasurementFormElementValueDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword image_url:
        :paramtype image_url: str
        :keyword thumbnail_url:
        :paramtype thumbnail_url: str
        :keyword balloon_id:
        :paramtype balloon_id: str
        :keyword section:
        :paramtype section: str
        :keyword page_number:
        :paramtype page_number: int
        :keyword sheet_zone:
        :paramtype sheet_zone: str
        :keyword completed: Required.
        :paramtype completed: bool
        :keyword places:
        :paramtype places: int
        :keyword nominal:
        :paramtype nominal: str
        :keyword type:
        :paramtype type: str
        :keyword sub_type:
        :paramtype sub_type: str
        :keyword unit_of_measure:
        :paramtype unit_of_measure: str
        :keyword type_character:
        :paramtype type_character: str
        :keyword upper_limit:
        :paramtype upper_limit: float
        :keyword lower_limit:
        :paramtype lower_limit: float
        :keyword comments:
        :paramtype comments: str
        :keyword updated_by_user:
        :paramtype updated_by_user: str
        :keyword updated_date:
        :paramtype updated_date: ~datetime.datetime
        :keyword created_by_user:
        :paramtype created_by_user: str
        :keyword created_date:
        :paramtype created_date: ~datetime.datetime
        :keyword frequency: Required. Known values are: "All", "FirstArticle", "NFirst", "NPercent",
         "ISO2859", "Nth", "None".
        :paramtype frequency: str or ~ignos.api.client.models.MeasurementFrequency
        :keyword frequency_parameter:
        :paramtype frequency_parameter: int
        :keyword include_in_customer_documentation: Required.
        :paramtype include_in_customer_documentation: bool
        :keyword balloon_sequence:
        :paramtype balloon_sequence: int
        :keyword balloon_quantity:
        :paramtype balloon_quantity: int
        :keyword plus_tolerance:
        :paramtype plus_tolerance: str
        :keyword minus_tolerance:
        :paramtype minus_tolerance: str
        :keyword coating_thickness:
        :paramtype coating_thickness: int
        :keyword can_copy: Required.
        :paramtype can_copy: bool
        :keyword value_type: Required. Known values are: "None", "Bool", "Decimal", "String".
        :paramtype value_type: str or ~ignos.api.client.models.MeasurementFormValueType
        :keyword bonus_type: Required. Known values are: "None", "Positive", "PositiveAndNegative".
        :paramtype bonus_type: str or ~ignos.api.client.models.BonusType
        :keyword lower_warning_threshold:
        :paramtype lower_warning_threshold: float
        :keyword upper_warning_threshold:
        :paramtype upper_warning_threshold: float
        :keyword machining_dimension:
        :paramtype machining_dimension: float
        :keyword minimum_decimals: Required.
        :paramtype minimum_decimals: int
        :keyword maximum_decimals: Required.
        :paramtype maximum_decimals: int
        :keyword machining_dimensions:
        :paramtype machining_dimensions: float
        :keyword values: Required.
        :paramtype values: list[~ignos.api.client.models.MeasurementFormElementValueDto]
        """
        super(MeasurementFormInstanceElementDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.image_url = kwargs.get('image_url', None)
        self.thumbnail_url = kwargs.get('thumbnail_url', None)
        self.balloon_id = kwargs.get('balloon_id', None)
        self.section = kwargs.get('section', None)
        self.page_number = kwargs.get('page_number', None)
        self.sheet_zone = kwargs.get('sheet_zone', None)
        self.completed = kwargs['completed']
        self.places = kwargs.get('places', None)
        self.nominal = kwargs.get('nominal', None)
        self.type = kwargs.get('type', None)
        self.sub_type = kwargs.get('sub_type', None)
        self.unit_of_measure = kwargs.get('unit_of_measure', None)
        self.type_character = kwargs.get('type_character', None)
        self.upper_limit = kwargs.get('upper_limit', None)
        self.lower_limit = kwargs.get('lower_limit', None)
        self.comments = kwargs.get('comments', None)
        self.updated_by_user = kwargs.get('updated_by_user', None)
        self.updated_date = kwargs.get('updated_date', None)
        self.created_by_user = kwargs.get('created_by_user', None)
        self.created_date = kwargs.get('created_date', None)
        self.frequency = kwargs['frequency']
        self.frequency_parameter = kwargs.get('frequency_parameter', None)
        self.include_in_customer_documentation = kwargs['include_in_customer_documentation']
        self.balloon_sequence = kwargs.get('balloon_sequence', None)
        self.balloon_quantity = kwargs.get('balloon_quantity', None)
        self.plus_tolerance = kwargs.get('plus_tolerance', None)
        self.minus_tolerance = kwargs.get('minus_tolerance', None)
        self.coating_thickness = kwargs.get('coating_thickness', None)
        self.can_copy = kwargs['can_copy']
        self.value_type = kwargs['value_type']
        self.bonus_type = kwargs['bonus_type']
        self.lower_warning_threshold = kwargs.get('lower_warning_threshold', None)
        self.upper_warning_threshold = kwargs.get('upper_warning_threshold', None)
        self.machining_dimension = kwargs.get('machining_dimension', None)
        self.minimum_decimals = kwargs['minimum_decimals']
        self.maximum_decimals = kwargs['maximum_decimals']
        self.machining_dimensions = kwargs.get('machining_dimensions', None)
        self.values = kwargs['values']


class MeasurementFormInstanceProgressDto(msrest.serialization.Model):
    """MeasurementFormInstanceProgressDto.

    :ivar progress:
    :vartype progress: ~ignos.api.client.models.MeasurementFormProgressDto
    :ivar schemas:
    :vartype schemas: list[~ignos.api.client.models.MeasurementFormProgressDto]
    """

    _attribute_map = {
        'progress': {'key': 'progress', 'type': 'MeasurementFormProgressDto'},
        'schemas': {'key': 'schemas', 'type': '[MeasurementFormProgressDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword progress:
        :paramtype progress: ~ignos.api.client.models.MeasurementFormProgressDto
        :keyword schemas:
        :paramtype schemas: list[~ignos.api.client.models.MeasurementFormProgressDto]
        """
        super(MeasurementFormInstanceProgressDto, self).__init__(**kwargs)
        self.progress = kwargs.get('progress', None)
        self.schemas = kwargs.get('schemas', None)


class MeasurementFormInstanceSchemaDto(msrest.serialization.Model):
    """MeasurementFormInstanceSchemaDto.

    All required parameters must be populated in order to send to Azure.

    :ivar elements: Required.
    :vartype elements: list[~ignos.api.client.models.MeasurementFormInstanceElementDto]
    :ivar is_completed: Required.
    :vartype is_completed: bool
    :ivar comment:
    :vartype comment: str
    """

    _validation = {
        'elements': {'required': True},
        'is_completed': {'required': True},
    }

    _attribute_map = {
        'elements': {'key': 'elements', 'type': '[MeasurementFormInstanceElementDto]'},
        'is_completed': {'key': 'isCompleted', 'type': 'bool'},
        'comment': {'key': 'comment', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword elements: Required.
        :paramtype elements: list[~ignos.api.client.models.MeasurementFormInstanceElementDto]
        :keyword is_completed: Required.
        :paramtype is_completed: bool
        :keyword comment:
        :paramtype comment: str
        """
        super(MeasurementFormInstanceSchemaDto, self).__init__(**kwargs)
        self.elements = kwargs['elements']
        self.is_completed = kwargs['is_completed']
        self.comment = kwargs.get('comment', None)


class MeasurementFormLinkedSchemaDto(msrest.serialization.Model):
    """MeasurementFormLinkedSchemaDto.

    :ivar customer_id:
    :vartype customer_id: str
    :ivar part_number:
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar schema_id:
    :vartype schema_id: str
    """

    _attribute_map = {
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'schema_id': {'key': 'schemaId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword part_number:
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword schema_id:
        :paramtype schema_id: str
        """
        super(MeasurementFormLinkedSchemaDto, self).__init__(**kwargs)
        self.customer_id = kwargs.get('customer_id', None)
        self.part_number = kwargs.get('part_number', None)
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.schema_id = kwargs.get('schema_id', None)


class MeasurementFormProgressDto(msrest.serialization.Model):
    """MeasurementFormProgressDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar required_values: Required.
    :vartype required_values: int
    :ivar values: Required.
    :vartype values: int
    :ivar progress: Required.
    :vartype progress: float
    """

    _validation = {
        'id': {'required': True},
        'required_values': {'required': True},
        'values': {'required': True},
        'progress': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'required_values': {'key': 'requiredValues', 'type': 'int'},
        'values': {'key': 'values', 'type': 'int'},
        'progress': {'key': 'progress', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword required_values: Required.
        :paramtype required_values: int
        :keyword values: Required.
        :paramtype values: int
        :keyword progress: Required.
        :paramtype progress: float
        """
        super(MeasurementFormProgressDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.required_values = kwargs['required_values']
        self.values = kwargs['values']
        self.progress = kwargs['progress']


class MeasurementFormSchemaDto(msrest.serialization.Model):
    """MeasurementFormSchemaDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar version_id: Required.
    :vartype version_id: int
    :ivar part_number: Required.
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar drawing_url:
    :vartype drawing_url: str
    :ivar customer_id:
    :vartype customer_id: str
    :ivar exclude_from_customer_documentation: Required.
    :vartype exclude_from_customer_documentation: bool
    :ivar specification:
    :vartype specification: str
    :ivar is_used: Required.
    :vartype is_used: bool
    :ivar status: Required. Known values are: "Draft", "Released", "Revoked".
    :vartype status: str or ~ignos.api.client.models.MeasurementFormStatus
    :ivar source: Required. Known values are: "Unknown", "InspectionXpert", "Excel", "Manual".
    :vartype source: str or ~ignos.api.client.models.MeasurementFormSource
    :ivar marked_drawing_url:
    :vartype marked_drawing_url: str
    :ivar project_file_url:
    :vartype project_file_url: str
    :ivar elements: Required.
    :vartype elements: list[~ignos.api.client.models.MeasurementFormElementDto]
    :ivar extra_schemas: Required.
    :vartype extra_schemas: list[~ignos.api.client.models.MeasurementFormLinkedSchemaDto]
    """

    _validation = {
        'id': {'required': True},
        'version_id': {'required': True},
        'part_number': {'required': True},
        'exclude_from_customer_documentation': {'required': True},
        'is_used': {'required': True},
        'status': {'required': True},
        'source': {'required': True},
        'elements': {'required': True},
        'extra_schemas': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'version_id': {'key': 'versionId', 'type': 'int'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'drawing_url': {'key': 'drawingUrl', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'exclude_from_customer_documentation': {'key': 'excludeFromCustomerDocumentation', 'type': 'bool'},
        'specification': {'key': 'specification', 'type': 'str'},
        'is_used': {'key': 'isUsed', 'type': 'bool'},
        'status': {'key': 'status', 'type': 'str'},
        'source': {'key': 'source', 'type': 'str'},
        'marked_drawing_url': {'key': 'markedDrawingUrl', 'type': 'str'},
        'project_file_url': {'key': 'projectFileUrl', 'type': 'str'},
        'elements': {'key': 'elements', 'type': '[MeasurementFormElementDto]'},
        'extra_schemas': {'key': 'extraSchemas', 'type': '[MeasurementFormLinkedSchemaDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword version_id: Required.
        :paramtype version_id: int
        :keyword part_number: Required.
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword drawing_url:
        :paramtype drawing_url: str
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword exclude_from_customer_documentation: Required.
        :paramtype exclude_from_customer_documentation: bool
        :keyword specification:
        :paramtype specification: str
        :keyword is_used: Required.
        :paramtype is_used: bool
        :keyword status: Required. Known values are: "Draft", "Released", "Revoked".
        :paramtype status: str or ~ignos.api.client.models.MeasurementFormStatus
        :keyword source: Required. Known values are: "Unknown", "InspectionXpert", "Excel", "Manual".
        :paramtype source: str or ~ignos.api.client.models.MeasurementFormSource
        :keyword marked_drawing_url:
        :paramtype marked_drawing_url: str
        :keyword project_file_url:
        :paramtype project_file_url: str
        :keyword elements: Required.
        :paramtype elements: list[~ignos.api.client.models.MeasurementFormElementDto]
        :keyword extra_schemas: Required.
        :paramtype extra_schemas: list[~ignos.api.client.models.MeasurementFormLinkedSchemaDto]
        """
        super(MeasurementFormSchemaDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.version_id = kwargs['version_id']
        self.part_number = kwargs['part_number']
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.drawing_url = kwargs.get('drawing_url', None)
        self.customer_id = kwargs.get('customer_id', None)
        self.exclude_from_customer_documentation = kwargs['exclude_from_customer_documentation']
        self.specification = kwargs.get('specification', None)
        self.is_used = kwargs['is_used']
        self.status = kwargs['status']
        self.source = kwargs['source']
        self.marked_drawing_url = kwargs.get('marked_drawing_url', None)
        self.project_file_url = kwargs.get('project_file_url', None)
        self.elements = kwargs['elements']
        self.extra_schemas = kwargs['extra_schemas']


class MeasurementFormSettingsDto(msrest.serialization.Model):
    """MeasurementFormSettingsDto.

    All required parameters must be populated in order to send to Azure.

    :ivar convert_inch_to_mm: Required.
    :vartype convert_inch_to_mm: bool
    :ivar validate_measuring_tools: Required.
    :vartype validate_measuring_tools: bool
    :ivar validate_measuring_tools_for_suppliers: Required.
    :vartype validate_measuring_tools_for_suppliers: bool
    """

    _validation = {
        'convert_inch_to_mm': {'required': True},
        'validate_measuring_tools': {'required': True},
        'validate_measuring_tools_for_suppliers': {'required': True},
    }

    _attribute_map = {
        'convert_inch_to_mm': {'key': 'convertInchToMm', 'type': 'bool'},
        'validate_measuring_tools': {'key': 'validateMeasuringTools', 'type': 'bool'},
        'validate_measuring_tools_for_suppliers': {'key': 'validateMeasuringToolsForSuppliers', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword convert_inch_to_mm: Required.
        :paramtype convert_inch_to_mm: bool
        :keyword validate_measuring_tools: Required.
        :paramtype validate_measuring_tools: bool
        :keyword validate_measuring_tools_for_suppliers: Required.
        :paramtype validate_measuring_tools_for_suppliers: bool
        """
        super(MeasurementFormSettingsDto, self).__init__(**kwargs)
        self.convert_inch_to_mm = kwargs['convert_inch_to_mm']
        self.validate_measuring_tools = kwargs['validate_measuring_tools']
        self.validate_measuring_tools_for_suppliers = kwargs['validate_measuring_tools_for_suppliers']


class MeasurementFormToolValueDto(msrest.serialization.Model):
    """MeasurementFormToolValueDto.

    All required parameters must be populated in order to send to Azure.

    :ivar tool: Required.
    :vartype tool: str
    :ivar type:
    :vartype type: str
    :ivar sub_type:
    :vartype sub_type: str
    """

    _validation = {
        'tool': {'required': True},
    }

    _attribute_map = {
        'tool': {'key': 'tool', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tool: Required.
        :paramtype tool: str
        :keyword type:
        :paramtype type: str
        :keyword sub_type:
        :paramtype sub_type: str
        """
        super(MeasurementFormToolValueDto, self).__init__(**kwargs)
        self.tool = kwargs['tool']
        self.type = kwargs.get('type', None)
        self.sub_type = kwargs.get('sub_type', None)


class MeasurementFormVersionImportDto(msrest.serialization.Model):
    """MeasurementFormVersionImportDto.

    All required parameters must be populated in order to send to Azure.

    :ivar specification:
    :vartype specification: str
    :ivar drawing_url:
    :vartype drawing_url: str
    :ivar marked_drawing_url:
    :vartype marked_drawing_url: str
    :ivar xml_url:
    :vartype xml_url: str
    :ivar inspection_xpert_project_url:
    :vartype inspection_xpert_project_url: str
    :ivar created:
    :vartype created: ~datetime.datetime
    :ivar created_by:
    :vartype created_by: str
    :ivar updated:
    :vartype updated: ~datetime.datetime
    :ivar updated_by:
    :vartype updated_by: str
    :ivar elements: Required.
    :vartype elements: list[~ignos.api.client.models.MeasurementFormElementImportDto]
    """

    _validation = {
        'elements': {'required': True},
    }

    _attribute_map = {
        'specification': {'key': 'specification', 'type': 'str'},
        'drawing_url': {'key': 'drawingUrl', 'type': 'str'},
        'marked_drawing_url': {'key': 'markedDrawingUrl', 'type': 'str'},
        'xml_url': {'key': 'xmlUrl', 'type': 'str'},
        'inspection_xpert_project_url': {'key': 'inspectionXpertProjectUrl', 'type': 'str'},
        'created': {'key': 'created', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
        'updated': {'key': 'updated', 'type': 'iso-8601'},
        'updated_by': {'key': 'updatedBy', 'type': 'str'},
        'elements': {'key': 'elements', 'type': '[MeasurementFormElementImportDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword specification:
        :paramtype specification: str
        :keyword drawing_url:
        :paramtype drawing_url: str
        :keyword marked_drawing_url:
        :paramtype marked_drawing_url: str
        :keyword xml_url:
        :paramtype xml_url: str
        :keyword inspection_xpert_project_url:
        :paramtype inspection_xpert_project_url: str
        :keyword created:
        :paramtype created: ~datetime.datetime
        :keyword created_by:
        :paramtype created_by: str
        :keyword updated:
        :paramtype updated: ~datetime.datetime
        :keyword updated_by:
        :paramtype updated_by: str
        :keyword elements: Required.
        :paramtype elements: list[~ignos.api.client.models.MeasurementFormElementImportDto]
        """
        super(MeasurementFormVersionImportDto, self).__init__(**kwargs)
        self.specification = kwargs.get('specification', None)
        self.drawing_url = kwargs.get('drawing_url', None)
        self.marked_drawing_url = kwargs.get('marked_drawing_url', None)
        self.xml_url = kwargs.get('xml_url', None)
        self.inspection_xpert_project_url = kwargs.get('inspection_xpert_project_url', None)
        self.created = kwargs.get('created', None)
        self.created_by = kwargs.get('created_by', None)
        self.updated = kwargs.get('updated', None)
        self.updated_by = kwargs.get('updated_by', None)
        self.elements = kwargs['elements']


class MeasurementFormWorkorderSchemaDto(msrest.serialization.Model):
    """MeasurementFormWorkorderSchemaDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar part_number:
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    :ivar customer_id:
    :vartype customer_id: str
    :ivar drawing_url:
    :vartype drawing_url: str
    :ivar marked_drawing_url:
    :vartype marked_drawing_url: str
    :ivar exclude_from_customer_documentation: Required.
    :vartype exclude_from_customer_documentation: bool
    :ivar version_id: Required.
    :vartype version_id: int
    :ivar specification:
    :vartype specification: str
    :ivar progress: Required.
    :vartype progress: ~ignos.api.client.models.MeasurementFormProgressDto
    """

    _validation = {
        'id': {'required': True},
        'exclude_from_customer_documentation': {'required': True},
        'version_id': {'required': True},
        'progress': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'drawing_url': {'key': 'drawingUrl', 'type': 'str'},
        'marked_drawing_url': {'key': 'markedDrawingUrl', 'type': 'str'},
        'exclude_from_customer_documentation': {'key': 'excludeFromCustomerDocumentation', 'type': 'bool'},
        'version_id': {'key': 'versionId', 'type': 'int'},
        'specification': {'key': 'specification', 'type': 'str'},
        'progress': {'key': 'progress', 'type': 'MeasurementFormProgressDto'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword part_number:
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword drawing_url:
        :paramtype drawing_url: str
        :keyword marked_drawing_url:
        :paramtype marked_drawing_url: str
        :keyword exclude_from_customer_documentation: Required.
        :paramtype exclude_from_customer_documentation: bool
        :keyword version_id: Required.
        :paramtype version_id: int
        :keyword specification:
        :paramtype specification: str
        :keyword progress: Required.
        :paramtype progress: ~ignos.api.client.models.MeasurementFormProgressDto
        """
        super(MeasurementFormWorkorderSchemaDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.part_number = kwargs.get('part_number', None)
        self.part_revision = kwargs.get('part_revision', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)
        self.customer_id = kwargs.get('customer_id', None)
        self.drawing_url = kwargs.get('drawing_url', None)
        self.marked_drawing_url = kwargs.get('marked_drawing_url', None)
        self.exclude_from_customer_documentation = kwargs['exclude_from_customer_documentation']
        self.version_id = kwargs['version_id']
        self.specification = kwargs.get('specification', None)
        self.progress = kwargs['progress']


class MeasurementFormWorkorderSequenceDto(msrest.serialization.Model):
    """MeasurementFormWorkorderSequenceDto.

    All required parameters must be populated in order to send to Azure.

    :ivar lot:
    :vartype lot: str
    :ivar sequence: Required.
    :vartype sequence: str
    :ivar serial_number:
    :vartype serial_number: str
    """

    _validation = {
        'sequence': {'required': True},
    }

    _attribute_map = {
        'lot': {'key': 'lot', 'type': 'str'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword lot:
        :paramtype lot: str
        :keyword sequence: Required.
        :paramtype sequence: str
        :keyword serial_number:
        :paramtype serial_number: str
        """
        super(MeasurementFormWorkorderSequenceDto, self).__init__(**kwargs)
        self.lot = kwargs.get('lot', None)
        self.sequence = kwargs['sequence']
        self.serial_number = kwargs.get('serial_number', None)


class MeasurementFormWorkorderSupplierDto(msrest.serialization.Model):
    """MeasurementFormWorkorderSupplierDto.

    All required parameters must be populated in order to send to Azure.

    :ivar supplier_id: Required.
    :vartype supplier_id: str
    :ivar supplier_name:
    :vartype supplier_name: str
    :ivar available:
    :vartype available: bool
    """

    _validation = {
        'supplier_id': {'required': True},
    }

    _attribute_map = {
        'supplier_id': {'key': 'supplierId', 'type': 'str'},
        'supplier_name': {'key': 'supplierName', 'type': 'str'},
        'available': {'key': 'available', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword supplier_id: Required.
        :paramtype supplier_id: str
        :keyword supplier_name:
        :paramtype supplier_name: str
        :keyword available:
        :paramtype available: bool
        """
        super(MeasurementFormWorkorderSupplierDto, self).__init__(**kwargs)
        self.supplier_id = kwargs['supplier_id']
        self.supplier_name = kwargs.get('supplier_name', None)
        self.available = kwargs.get('available', None)


class MeasuringToolCalibrationDto(msrest.serialization.Model):
    """MeasuringToolCalibrationDto.

    All required parameters must be populated in order to send to Azure.

    :ivar calibration_date: Required.
    :vartype calibration_date: ~datetime.datetime
    :ivar next_calibration_date: Required.
    :vartype next_calibration_date: ~datetime.datetime
    :ivar report_type:
    :vartype report_type: str
    :ivar calibration_location:
    :vartype calibration_location: str
    :ivar calibration_certificate_number:
    :vartype calibration_certificate_number: str
    :ivar adjusted: Required.
    :vartype adjusted: bool
    :ivar calibration_certificate_url:
    :vartype calibration_certificate_url: str
    """

    _validation = {
        'calibration_date': {'required': True},
        'next_calibration_date': {'required': True},
        'adjusted': {'required': True},
    }

    _attribute_map = {
        'calibration_date': {'key': 'calibrationDate', 'type': 'iso-8601'},
        'next_calibration_date': {'key': 'nextCalibrationDate', 'type': 'iso-8601'},
        'report_type': {'key': 'reportType', 'type': 'str'},
        'calibration_location': {'key': 'calibrationLocation', 'type': 'str'},
        'calibration_certificate_number': {'key': 'calibrationCertificateNumber', 'type': 'str'},
        'adjusted': {'key': 'adjusted', 'type': 'bool'},
        'calibration_certificate_url': {'key': 'calibrationCertificateUrl', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword calibration_date: Required.
        :paramtype calibration_date: ~datetime.datetime
        :keyword next_calibration_date: Required.
        :paramtype next_calibration_date: ~datetime.datetime
        :keyword report_type:
        :paramtype report_type: str
        :keyword calibration_location:
        :paramtype calibration_location: str
        :keyword calibration_certificate_number:
        :paramtype calibration_certificate_number: str
        :keyword adjusted: Required.
        :paramtype adjusted: bool
        :keyword calibration_certificate_url:
        :paramtype calibration_certificate_url: str
        """
        super(MeasuringToolCalibrationDto, self).__init__(**kwargs)
        self.calibration_date = kwargs['calibration_date']
        self.next_calibration_date = kwargs['next_calibration_date']
        self.report_type = kwargs.get('report_type', None)
        self.calibration_location = kwargs.get('calibration_location', None)
        self.calibration_certificate_number = kwargs.get('calibration_certificate_number', None)
        self.adjusted = kwargs['adjusted']
        self.calibration_certificate_url = kwargs.get('calibration_certificate_url', None)


class MeasuringToolCalibrationImportDto(msrest.serialization.Model):
    """MeasuringToolCalibrationImportDto.

    All required parameters must be populated in order to send to Azure.

    :ivar created: Required.
    :vartype created: ~datetime.datetime
    :ivar created_by: Required.
    :vartype created_by: str
    :ivar calibration_date: Required.
    :vartype calibration_date: ~datetime.datetime
    :ivar next_calibration_date: Required.
    :vartype next_calibration_date: ~datetime.datetime
    :ivar report_type:
    :vartype report_type: str
    :ivar calibration_location:
    :vartype calibration_location: str
    :ivar calibration_certificate_number:
    :vartype calibration_certificate_number: str
    :ivar adjusted: Required.
    :vartype adjusted: bool
    :ivar calibration_certificate_url:
    :vartype calibration_certificate_url: str
    """

    _validation = {
        'created': {'required': True},
        'created_by': {'required': True},
        'calibration_date': {'required': True},
        'next_calibration_date': {'required': True},
        'adjusted': {'required': True},
    }

    _attribute_map = {
        'created': {'key': 'created', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
        'calibration_date': {'key': 'calibrationDate', 'type': 'iso-8601'},
        'next_calibration_date': {'key': 'nextCalibrationDate', 'type': 'iso-8601'},
        'report_type': {'key': 'reportType', 'type': 'str'},
        'calibration_location': {'key': 'calibrationLocation', 'type': 'str'},
        'calibration_certificate_number': {'key': 'calibrationCertificateNumber', 'type': 'str'},
        'adjusted': {'key': 'adjusted', 'type': 'bool'},
        'calibration_certificate_url': {'key': 'calibrationCertificateUrl', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword created: Required.
        :paramtype created: ~datetime.datetime
        :keyword created_by: Required.
        :paramtype created_by: str
        :keyword calibration_date: Required.
        :paramtype calibration_date: ~datetime.datetime
        :keyword next_calibration_date: Required.
        :paramtype next_calibration_date: ~datetime.datetime
        :keyword report_type:
        :paramtype report_type: str
        :keyword calibration_location:
        :paramtype calibration_location: str
        :keyword calibration_certificate_number:
        :paramtype calibration_certificate_number: str
        :keyword adjusted: Required.
        :paramtype adjusted: bool
        :keyword calibration_certificate_url:
        :paramtype calibration_certificate_url: str
        """
        super(MeasuringToolCalibrationImportDto, self).__init__(**kwargs)
        self.created = kwargs['created']
        self.created_by = kwargs['created_by']
        self.calibration_date = kwargs['calibration_date']
        self.next_calibration_date = kwargs['next_calibration_date']
        self.report_type = kwargs.get('report_type', None)
        self.calibration_location = kwargs.get('calibration_location', None)
        self.calibration_certificate_number = kwargs.get('calibration_certificate_number', None)
        self.adjusted = kwargs['adjusted']
        self.calibration_certificate_url = kwargs.get('calibration_certificate_url', None)


class MeasuringToolDetailDto(msrest.serialization.Model):
    """MeasuringToolDetailDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar tool_id: Required.
    :vartype tool_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar manufacturer: Required.
    :vartype manufacturer: ~ignos.api.client.models.ManufacturerDto
    :ivar type: Required.
    :vartype type: ~ignos.api.client.models.MeasuringToolTypeDto
    :ivar sub_type:
    :vartype sub_type: ~ignos.api.client.models.MeasuringToolSubTypeDto
    :ivar unit:
    :vartype unit: ~ignos.api.client.models.MeasuringUnitDto
    :ivar default_location:
    :vartype default_location: str
    :ivar min:
    :vartype min: float
    :ivar max:
    :vartype max: float
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar serial_number:
    :vartype serial_number: str
    :ivar precision:
    :vartype precision: str
    :ivar last_calibration_date:
    :vartype last_calibration_date: ~datetime.datetime
    :ivar next_calibration_date:
    :vartype next_calibration_date: ~datetime.datetime
    :ivar deprecated_date:
    :vartype deprecated_date: ~datetime.datetime
    :ivar last_location:
    :vartype last_location: str
    :ivar last_location_date:
    :vartype last_location_date: ~datetime.datetime
    :ivar calibration_status: Required. Known values are: "Uncalibrated", "Deprecated", "Expired",
     "SoonDue", "Valid".
    :vartype calibration_status: str or ~ignos.api.client.models.CalibrationStatusDto
    """

    _validation = {
        'id': {'required': True},
        'tool_id': {'required': True},
        'name': {'required': True},
        'manufacturer': {'required': True},
        'type': {'required': True},
        'calibration_status': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'tool_id': {'key': 'toolId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'manufacturer': {'key': 'manufacturer', 'type': 'ManufacturerDto'},
        'type': {'key': 'type', 'type': 'MeasuringToolTypeDto'},
        'sub_type': {'key': 'subType', 'type': 'MeasuringToolSubTypeDto'},
        'unit': {'key': 'unit', 'type': 'MeasuringUnitDto'},
        'default_location': {'key': 'defaultLocation', 'type': 'str'},
        'min': {'key': 'min', 'type': 'float'},
        'max': {'key': 'max', 'type': 'float'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'precision': {'key': 'precision', 'type': 'str'},
        'last_calibration_date': {'key': 'lastCalibrationDate', 'type': 'iso-8601'},
        'next_calibration_date': {'key': 'nextCalibrationDate', 'type': 'iso-8601'},
        'deprecated_date': {'key': 'deprecatedDate', 'type': 'iso-8601'},
        'last_location': {'key': 'lastLocation', 'type': 'str'},
        'last_location_date': {'key': 'lastLocationDate', 'type': 'iso-8601'},
        'calibration_status': {'key': 'calibrationStatus', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword tool_id: Required.
        :paramtype tool_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword manufacturer: Required.
        :paramtype manufacturer: ~ignos.api.client.models.ManufacturerDto
        :keyword type: Required.
        :paramtype type: ~ignos.api.client.models.MeasuringToolTypeDto
        :keyword sub_type:
        :paramtype sub_type: ~ignos.api.client.models.MeasuringToolSubTypeDto
        :keyword unit:
        :paramtype unit: ~ignos.api.client.models.MeasuringUnitDto
        :keyword default_location:
        :paramtype default_location: str
        :keyword min:
        :paramtype min: float
        :keyword max:
        :paramtype max: float
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword precision:
        :paramtype precision: str
        :keyword last_calibration_date:
        :paramtype last_calibration_date: ~datetime.datetime
        :keyword next_calibration_date:
        :paramtype next_calibration_date: ~datetime.datetime
        :keyword deprecated_date:
        :paramtype deprecated_date: ~datetime.datetime
        :keyword last_location:
        :paramtype last_location: str
        :keyword last_location_date:
        :paramtype last_location_date: ~datetime.datetime
        :keyword calibration_status: Required. Known values are: "Uncalibrated", "Deprecated",
         "Expired", "SoonDue", "Valid".
        :paramtype calibration_status: str or ~ignos.api.client.models.CalibrationStatusDto
        """
        super(MeasuringToolDetailDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.tool_id = kwargs['tool_id']
        self.name = kwargs['name']
        self.manufacturer = kwargs['manufacturer']
        self.type = kwargs['type']
        self.sub_type = kwargs.get('sub_type', None)
        self.unit = kwargs.get('unit', None)
        self.default_location = kwargs.get('default_location', None)
        self.min = kwargs.get('min', None)
        self.max = kwargs.get('max', None)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.serial_number = kwargs.get('serial_number', None)
        self.precision = kwargs.get('precision', None)
        self.last_calibration_date = kwargs.get('last_calibration_date', None)
        self.next_calibration_date = kwargs.get('next_calibration_date', None)
        self.deprecated_date = kwargs.get('deprecated_date', None)
        self.last_location = kwargs.get('last_location', None)
        self.last_location_date = kwargs.get('last_location_date', None)
        self.calibration_status = kwargs['calibration_status']


class MeasuringToolDto(msrest.serialization.Model):
    """MeasuringToolDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar tool_id: Required.
    :vartype tool_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar manufacturer: Required.
    :vartype manufacturer: str
    :ivar type: Required.
    :vartype type: str
    :ivar type_id: Required.
    :vartype type_id: str
    :ivar sub_type:
    :vartype sub_type: str
    :ivar sub_type_id:
    :vartype sub_type_id: str
    :ivar unit:
    :vartype unit: str
    :ivar min:
    :vartype min: float
    :ivar max:
    :vartype max: float
    :ivar last_calibration_date:
    :vartype last_calibration_date: ~datetime.datetime
    :ivar next_calibration_date:
    :vartype next_calibration_date: ~datetime.datetime
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar deprecated_date:
    :vartype deprecated_date: ~datetime.datetime
    :ivar last_location:
    :vartype last_location: str
    :ivar last_location_date:
    :vartype last_location_date: ~datetime.datetime
    :ivar calibration_status: Required. Known values are: "Uncalibrated", "Deprecated", "Expired",
     "SoonDue", "Valid".
    :vartype calibration_status: str or ~ignos.api.client.models.CalibrationStatusDto
    """

    _validation = {
        'id': {'required': True},
        'tool_id': {'required': True},
        'name': {'required': True},
        'manufacturer': {'required': True},
        'type': {'required': True},
        'type_id': {'required': True},
        'calibration_status': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'tool_id': {'key': 'toolId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'manufacturer': {'key': 'manufacturer', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'type_id': {'key': 'typeId', 'type': 'str'},
        'sub_type': {'key': 'subType', 'type': 'str'},
        'sub_type_id': {'key': 'subTypeId', 'type': 'str'},
        'unit': {'key': 'unit', 'type': 'str'},
        'min': {'key': 'min', 'type': 'float'},
        'max': {'key': 'max', 'type': 'float'},
        'last_calibration_date': {'key': 'lastCalibrationDate', 'type': 'iso-8601'},
        'next_calibration_date': {'key': 'nextCalibrationDate', 'type': 'iso-8601'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'deprecated_date': {'key': 'deprecatedDate', 'type': 'iso-8601'},
        'last_location': {'key': 'lastLocation', 'type': 'str'},
        'last_location_date': {'key': 'lastLocationDate', 'type': 'iso-8601'},
        'calibration_status': {'key': 'calibrationStatus', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword tool_id: Required.
        :paramtype tool_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword manufacturer: Required.
        :paramtype manufacturer: str
        :keyword type: Required.
        :paramtype type: str
        :keyword type_id: Required.
        :paramtype type_id: str
        :keyword sub_type:
        :paramtype sub_type: str
        :keyword sub_type_id:
        :paramtype sub_type_id: str
        :keyword unit:
        :paramtype unit: str
        :keyword min:
        :paramtype min: float
        :keyword max:
        :paramtype max: float
        :keyword last_calibration_date:
        :paramtype last_calibration_date: ~datetime.datetime
        :keyword next_calibration_date:
        :paramtype next_calibration_date: ~datetime.datetime
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword deprecated_date:
        :paramtype deprecated_date: ~datetime.datetime
        :keyword last_location:
        :paramtype last_location: str
        :keyword last_location_date:
        :paramtype last_location_date: ~datetime.datetime
        :keyword calibration_status: Required. Known values are: "Uncalibrated", "Deprecated",
         "Expired", "SoonDue", "Valid".
        :paramtype calibration_status: str or ~ignos.api.client.models.CalibrationStatusDto
        """
        super(MeasuringToolDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.tool_id = kwargs['tool_id']
        self.name = kwargs['name']
        self.manufacturer = kwargs['manufacturer']
        self.type = kwargs['type']
        self.type_id = kwargs['type_id']
        self.sub_type = kwargs.get('sub_type', None)
        self.sub_type_id = kwargs.get('sub_type_id', None)
        self.unit = kwargs.get('unit', None)
        self.min = kwargs.get('min', None)
        self.max = kwargs.get('max', None)
        self.last_calibration_date = kwargs.get('last_calibration_date', None)
        self.next_calibration_date = kwargs.get('next_calibration_date', None)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.deprecated_date = kwargs.get('deprecated_date', None)
        self.last_location = kwargs.get('last_location', None)
        self.last_location_date = kwargs.get('last_location_date', None)
        self.calibration_status = kwargs['calibration_status']


class MeasuringToolDtoPagedData(msrest.serialization.Model):
    """MeasuringToolDtoPagedData.

    All required parameters must be populated in order to send to Azure.

    :ivar page_number: Required.
    :vartype page_number: int
    :ivar page_size: Required.
    :vartype page_size: int
    :ivar total_number_of_pages: Required.
    :vartype total_number_of_pages: int
    :ivar total_number_of_records: Required.
    :vartype total_number_of_records: int
    :ivar next_page_url:
    :vartype next_page_url: str
    :ivar value: Required.
    :vartype value: list[~ignos.api.client.models.MeasuringToolDto]
    """

    _validation = {
        'page_number': {'required': True},
        'page_size': {'required': True},
        'total_number_of_pages': {'required': True},
        'total_number_of_records': {'required': True},
        'value': {'required': True},
    }

    _attribute_map = {
        'page_number': {'key': 'pageNumber', 'type': 'int'},
        'page_size': {'key': 'pageSize', 'type': 'int'},
        'total_number_of_pages': {'key': 'totalNumberOfPages', 'type': 'int'},
        'total_number_of_records': {'key': 'totalNumberOfRecords', 'type': 'int'},
        'next_page_url': {'key': 'nextPageUrl', 'type': 'str'},
        'value': {'key': 'value', 'type': '[MeasuringToolDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword page_number: Required.
        :paramtype page_number: int
        :keyword page_size: Required.
        :paramtype page_size: int
        :keyword total_number_of_pages: Required.
        :paramtype total_number_of_pages: int
        :keyword total_number_of_records: Required.
        :paramtype total_number_of_records: int
        :keyword next_page_url:
        :paramtype next_page_url: str
        :keyword value: Required.
        :paramtype value: list[~ignos.api.client.models.MeasuringToolDto]
        """
        super(MeasuringToolDtoPagedData, self).__init__(**kwargs)
        self.page_number = kwargs['page_number']
        self.page_size = kwargs['page_size']
        self.total_number_of_pages = kwargs['total_number_of_pages']
        self.total_number_of_records = kwargs['total_number_of_records']
        self.next_page_url = kwargs.get('next_page_url', None)
        self.value = kwargs['value']


class MeasuringToolSubTypeDto(msrest.serialization.Model):
    """MeasuringToolSubTypeDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar max_number_of_usages_between_calibration:
    :vartype max_number_of_usages_between_calibration: int
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'max_number_of_usages_between_calibration': {'key': 'maxNumberOfUsagesBetweenCalibration', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword max_number_of_usages_between_calibration:
        :paramtype max_number_of_usages_between_calibration: int
        """
        super(MeasuringToolSubTypeDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.max_number_of_usages_between_calibration = kwargs.get('max_number_of_usages_between_calibration', None)


class MeasuringToolTypeDto(msrest.serialization.Model):
    """MeasuringToolTypeDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar max_number_of_usages_between_calibration:
    :vartype max_number_of_usages_between_calibration: int
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'max_number_of_usages_between_calibration': {'key': 'maxNumberOfUsagesBetweenCalibration', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword max_number_of_usages_between_calibration:
        :paramtype max_number_of_usages_between_calibration: int
        """
        super(MeasuringToolTypeDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.max_number_of_usages_between_calibration = kwargs.get('max_number_of_usages_between_calibration', None)


class MeasuringToolWhitelistDto(msrest.serialization.Model):
    """MeasuringToolWhitelistDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar value: Required.
    :vartype value: str
    :ivar description: Required.
    :vartype description: str
    """

    _validation = {
        'id': {'required': True},
        'value': {'required': True},
        'description': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'value': {'key': 'value', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword value: Required.
        :paramtype value: str
        :keyword description: Required.
        :paramtype description: str
        """
        super(MeasuringToolWhitelistDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.value = kwargs['value']
        self.description = kwargs['description']


class MeasuringToolWhitelistDtoPagedData(msrest.serialization.Model):
    """MeasuringToolWhitelistDtoPagedData.

    All required parameters must be populated in order to send to Azure.

    :ivar page_number: Required.
    :vartype page_number: int
    :ivar page_size: Required.
    :vartype page_size: int
    :ivar total_number_of_pages: Required.
    :vartype total_number_of_pages: int
    :ivar total_number_of_records: Required.
    :vartype total_number_of_records: int
    :ivar next_page_url:
    :vartype next_page_url: str
    :ivar value: Required.
    :vartype value: list[~ignos.api.client.models.MeasuringToolWhitelistDto]
    """

    _validation = {
        'page_number': {'required': True},
        'page_size': {'required': True},
        'total_number_of_pages': {'required': True},
        'total_number_of_records': {'required': True},
        'value': {'required': True},
    }

    _attribute_map = {
        'page_number': {'key': 'pageNumber', 'type': 'int'},
        'page_size': {'key': 'pageSize', 'type': 'int'},
        'total_number_of_pages': {'key': 'totalNumberOfPages', 'type': 'int'},
        'total_number_of_records': {'key': 'totalNumberOfRecords', 'type': 'int'},
        'next_page_url': {'key': 'nextPageUrl', 'type': 'str'},
        'value': {'key': 'value', 'type': '[MeasuringToolWhitelistDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword page_number: Required.
        :paramtype page_number: int
        :keyword page_size: Required.
        :paramtype page_size: int
        :keyword total_number_of_pages: Required.
        :paramtype total_number_of_pages: int
        :keyword total_number_of_records: Required.
        :paramtype total_number_of_records: int
        :keyword next_page_url:
        :paramtype next_page_url: str
        :keyword value: Required.
        :paramtype value: list[~ignos.api.client.models.MeasuringToolWhitelistDto]
        """
        super(MeasuringToolWhitelistDtoPagedData, self).__init__(**kwargs)
        self.page_number = kwargs['page_number']
        self.page_size = kwargs['page_size']
        self.total_number_of_pages = kwargs['total_number_of_pages']
        self.total_number_of_records = kwargs['total_number_of_records']
        self.next_page_url = kwargs.get('next_page_url', None)
        self.value = kwargs['value']


class MeasuringUnitDto(msrest.serialization.Model):
    """MeasuringUnitDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar unit: Required.
    :vartype unit: str
    """

    _validation = {
        'id': {'required': True},
        'unit': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'unit': {'key': 'unit', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword unit: Required.
        :paramtype unit: str
        """
        super(MeasuringUnitDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.unit = kwargs['unit']


class NumericDataPointDto(msrest.serialization.Model):
    """NumericDataPointDto.

    :ivar timestamp:
    :vartype timestamp: long
    :ivar value:
    :vartype value: float
    :ivar average:
    :vartype average: float
    :ivar min:
    :vartype min: float
    :ivar max:
    :vartype max: float
    """

    _attribute_map = {
        'timestamp': {'key': 'timestamp', 'type': 'long'},
        'value': {'key': 'value', 'type': 'float'},
        'average': {'key': 'average', 'type': 'float'},
        'min': {'key': 'min', 'type': 'float'},
        'max': {'key': 'max', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword timestamp:
        :paramtype timestamp: long
        :keyword value:
        :paramtype value: float
        :keyword average:
        :paramtype average: float
        :keyword min:
        :paramtype min: float
        :keyword max:
        :paramtype max: float
        """
        super(NumericDataPointDto, self).__init__(**kwargs)
        self.timestamp = kwargs.get('timestamp', None)
        self.value = kwargs.get('value', None)
        self.average = kwargs.get('average', None)
        self.min = kwargs.get('min', None)
        self.max = kwargs.get('max', None)


class PartDto(msrest.serialization.Model):
    """PartDto.

    All required parameters must be populated in order to send to Azure.

    :ivar part_number: Required.
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar part_name:
    :vartype part_name: str
    :ivar drawing:
    :vartype drawing: str
    :ivar drawing_revision:
    :vartype drawing_revision: str
    """

    _validation = {
        'part_number': {'required': True},
    }

    _attribute_map = {
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'part_name': {'key': 'partName', 'type': 'str'},
        'drawing': {'key': 'drawing', 'type': 'str'},
        'drawing_revision': {'key': 'drawingRevision', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword part_number: Required.
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword part_name:
        :paramtype part_name: str
        :keyword drawing:
        :paramtype drawing: str
        :keyword drawing_revision:
        :paramtype drawing_revision: str
        """
        super(PartDto, self).__init__(**kwargs)
        self.part_number = kwargs['part_number']
        self.part_revision = kwargs.get('part_revision', None)
        self.part_name = kwargs.get('part_name', None)
        self.drawing = kwargs.get('drawing', None)
        self.drawing_revision = kwargs.get('drawing_revision', None)


class PowerDto(msrest.serialization.Model):
    """PowerDto.

    :ivar asset_name:
    :vartype asset_name: str
    :ivar assets:
    :vartype assets: list[~ignos.api.client.models.AssetPowerDto]
    """

    _attribute_map = {
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'assets': {'key': 'assets', 'type': '[AssetPowerDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_name:
        :paramtype asset_name: str
        :keyword assets:
        :paramtype assets: list[~ignos.api.client.models.AssetPowerDto]
        """
        super(PowerDto, self).__init__(**kwargs)
        self.asset_name = kwargs.get('asset_name', None)
        self.assets = kwargs.get('assets', None)


class PowerOnUtilizationDto(msrest.serialization.Model):
    """PowerOnUtilizationDto.

    :ivar average_utilization90_days:
    :vartype average_utilization90_days: float
    :ivar average_utilization30_days:
    :vartype average_utilization30_days: float
    :ivar average_utilization7_days:
    :vartype average_utilization7_days: float
    :ivar average_utilization_year_to_date:
    :vartype average_utilization_year_to_date: float
    :ivar power_on_utilization:
    :vartype power_on_utilization: float
    :ivar compared_to_average:
    :vartype compared_to_average: float
    """

    _attribute_map = {
        'average_utilization90_days': {'key': 'averageUtilization90Days', 'type': 'float'},
        'average_utilization30_days': {'key': 'averageUtilization30Days', 'type': 'float'},
        'average_utilization7_days': {'key': 'averageUtilization7Days', 'type': 'float'},
        'average_utilization_year_to_date': {'key': 'averageUtilizationYearToDate', 'type': 'float'},
        'power_on_utilization': {'key': 'powerOnUtilization', 'type': 'float'},
        'compared_to_average': {'key': 'comparedToAverage', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword average_utilization90_days:
        :paramtype average_utilization90_days: float
        :keyword average_utilization30_days:
        :paramtype average_utilization30_days: float
        :keyword average_utilization7_days:
        :paramtype average_utilization7_days: float
        :keyword average_utilization_year_to_date:
        :paramtype average_utilization_year_to_date: float
        :keyword power_on_utilization:
        :paramtype power_on_utilization: float
        :keyword compared_to_average:
        :paramtype compared_to_average: float
        """
        super(PowerOnUtilizationDto, self).__init__(**kwargs)
        self.average_utilization90_days = kwargs.get('average_utilization90_days', None)
        self.average_utilization30_days = kwargs.get('average_utilization30_days', None)
        self.average_utilization7_days = kwargs.get('average_utilization7_days', None)
        self.average_utilization_year_to_date = kwargs.get('average_utilization_year_to_date', None)
        self.power_on_utilization = kwargs.get('power_on_utilization', None)
        self.compared_to_average = kwargs.get('compared_to_average', None)


class PowerRegionDto(msrest.serialization.Model):
    """PowerRegionDto.

    :ivar id:
    :vartype id: str
    :ivar country:
    :vartype country: str
    :ivar region:
    :vartype region: str
    :ivar description:
    :vartype description: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'country': {'key': 'country', 'type': 'str'},
        'region': {'key': 'region', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword country:
        :paramtype country: str
        :keyword region:
        :paramtype region: str
        :keyword description:
        :paramtype description: str
        """
        super(PowerRegionDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.country = kwargs.get('country', None)
        self.region = kwargs.get('region', None)
        self.description = kwargs.get('description', None)


class ProblemDetails(msrest.serialization.Model):
    """ProblemDetails.

    :ivar additional_properties: Unmatched properties from the message are deserialized to this
     collection.
    :vartype additional_properties: dict[str, any]
    :ivar type:
    :vartype type: str
    :ivar title:
    :vartype title: str
    :ivar status:
    :vartype status: int
    :ivar detail:
    :vartype detail: str
    :ivar instance:
    :vartype instance: str
    """

    _attribute_map = {
        'additional_properties': {'key': '', 'type': '{object}'},
        'type': {'key': 'type', 'type': 'str'},
        'title': {'key': 'title', 'type': 'str'},
        'status': {'key': 'status', 'type': 'int'},
        'detail': {'key': 'detail', 'type': 'str'},
        'instance': {'key': 'instance', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword additional_properties: Unmatched properties from the message are deserialized to this
         collection.
        :paramtype additional_properties: dict[str, any]
        :keyword type:
        :paramtype type: str
        :keyword title:
        :paramtype title: str
        :keyword status:
        :paramtype status: int
        :keyword detail:
        :paramtype detail: str
        :keyword instance:
        :paramtype instance: str
        """
        super(ProblemDetails, self).__init__(**kwargs)
        self.additional_properties = kwargs.get('additional_properties', None)
        self.type = kwargs.get('type', None)
        self.title = kwargs.get('title', None)
        self.status = kwargs.get('status', None)
        self.detail = kwargs.get('detail', None)
        self.instance = kwargs.get('instance', None)


class RegisterMeasuringToolCalibrationRequest(msrest.serialization.Model):
    """RegisterMeasuringToolCalibrationRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar calibration_certificate_number:
    :vartype calibration_certificate_number: str
    :ivar adjusted: Required.
    :vartype adjusted: bool
    :ivar calibration_date: Required.
    :vartype calibration_date: ~datetime.datetime
    :ivar calibration_location:
    :vartype calibration_location: str
    :ivar report_type:
    :vartype report_type: str
    :ivar upload_key:
    :vartype upload_key: str
    :ivar filename:
    :vartype filename: str
    """

    _validation = {
        'adjusted': {'required': True},
        'calibration_date': {'required': True},
    }

    _attribute_map = {
        'calibration_certificate_number': {'key': 'calibrationCertificateNumber', 'type': 'str'},
        'adjusted': {'key': 'adjusted', 'type': 'bool'},
        'calibration_date': {'key': 'calibrationDate', 'type': 'iso-8601'},
        'calibration_location': {'key': 'calibrationLocation', 'type': 'str'},
        'report_type': {'key': 'reportType', 'type': 'str'},
        'upload_key': {'key': 'uploadKey', 'type': 'str'},
        'filename': {'key': 'filename', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword calibration_certificate_number:
        :paramtype calibration_certificate_number: str
        :keyword adjusted: Required.
        :paramtype adjusted: bool
        :keyword calibration_date: Required.
        :paramtype calibration_date: ~datetime.datetime
        :keyword calibration_location:
        :paramtype calibration_location: str
        :keyword report_type:
        :paramtype report_type: str
        :keyword upload_key:
        :paramtype upload_key: str
        :keyword filename:
        :paramtype filename: str
        """
        super(RegisterMeasuringToolCalibrationRequest, self).__init__(**kwargs)
        self.calibration_certificate_number = kwargs.get('calibration_certificate_number', None)
        self.adjusted = kwargs['adjusted']
        self.calibration_date = kwargs['calibration_date']
        self.calibration_location = kwargs.get('calibration_location', None)
        self.report_type = kwargs.get('report_type', None)
        self.upload_key = kwargs.get('upload_key', None)
        self.filename = kwargs.get('filename', None)


class ResourceDto(msrest.serialization.Model):
    """ResourceDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name:
    :vartype name: str
    :ivar external: Required.
    :vartype external: bool
    :ivar description:
    :vartype description: str
    """

    _validation = {
        'id': {'required': True},
        'external': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'external': {'key': 'external', 'type': 'bool'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name:
        :paramtype name: str
        :keyword external: Required.
        :paramtype external: bool
        :keyword description:
        :paramtype description: str
        """
        super(ResourceDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs.get('name', None)
        self.external = kwargs['external']
        self.description = kwargs.get('description', None)


class ResourceExistDto(msrest.serialization.Model):
    """ResourceExistDto.

    All required parameters must be populated in order to send to Azure.

    :ivar exists: Required.
    :vartype exists: bool
    :ivar id:
    :vartype id: str
    :ivar external_id:
    :vartype external_id: str
    """

    _validation = {
        'exists': {'required': True},
    }

    _attribute_map = {
        'exists': {'key': 'exists', 'type': 'bool'},
        'id': {'key': 'id', 'type': 'str'},
        'external_id': {'key': 'externalId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword exists: Required.
        :paramtype exists: bool
        :keyword id:
        :paramtype id: str
        :keyword external_id:
        :paramtype external_id: str
        """
        super(ResourceExistDto, self).__init__(**kwargs)
        self.exists = kwargs['exists']
        self.id = kwargs.get('id', None)
        self.external_id = kwargs.get('external_id', None)


class SaveCommentRequest(msrest.serialization.Model):
    """SaveCommentRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar schema_id: Required.
    :vartype schema_id: str
    :ivar element_id: Required.
    :vartype element_id: str
    :ivar sequence: Required.
    :vartype sequence: str
    :ivar comment:
    :vartype comment: str
    """

    _validation = {
        'schema_id': {'required': True},
        'element_id': {'required': True},
        'sequence': {'required': True},
    }

    _attribute_map = {
        'schema_id': {'key': 'schemaId', 'type': 'str'},
        'element_id': {'key': 'elementId', 'type': 'str'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'comment': {'key': 'comment', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword schema_id: Required.
        :paramtype schema_id: str
        :keyword element_id: Required.
        :paramtype element_id: str
        :keyword sequence: Required.
        :paramtype sequence: str
        :keyword comment:
        :paramtype comment: str
        """
        super(SaveCommentRequest, self).__init__(**kwargs)
        self.schema_id = kwargs['schema_id']
        self.element_id = kwargs['element_id']
        self.sequence = kwargs['sequence']
        self.comment = kwargs.get('comment', None)


class SaveMeasurementFormInstanceSchemaCommentRequest(msrest.serialization.Model):
    """SaveMeasurementFormInstanceSchemaCommentRequest.

    :ivar comment:
    :vartype comment: str
    """

    _attribute_map = {
        'comment': {'key': 'comment', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword comment:
        :paramtype comment: str
        """
        super(SaveMeasurementFormInstanceSchemaCommentRequest, self).__init__(**kwargs)
        self.comment = kwargs.get('comment', None)


class SaveToolRequest(msrest.serialization.Model):
    """SaveToolRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar schema_id: Required.
    :vartype schema_id: str
    :ivar element_id: Required.
    :vartype element_id: str
    :ivar sequence: Required.
    :vartype sequence: str
    :ivar tools: Null for last used tools on this instance.
    :vartype tools: list[str]
    """

    _validation = {
        'schema_id': {'required': True},
        'element_id': {'required': True},
        'sequence': {'required': True},
    }

    _attribute_map = {
        'schema_id': {'key': 'schemaId', 'type': 'str'},
        'element_id': {'key': 'elementId', 'type': 'str'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'tools': {'key': 'tools', 'type': '[str]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword schema_id: Required.
        :paramtype schema_id: str
        :keyword element_id: Required.
        :paramtype element_id: str
        :keyword sequence: Required.
        :paramtype sequence: str
        :keyword tools: Null for last used tools on this instance.
        :paramtype tools: list[str]
        """
        super(SaveToolRequest, self).__init__(**kwargs)
        self.schema_id = kwargs['schema_id']
        self.element_id = kwargs['element_id']
        self.sequence = kwargs['sequence']
        self.tools = kwargs.get('tools', None)


class SaveValueRequest(msrest.serialization.Model):
    """SaveValueRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar operation:
    :vartype operation: int
    :ivar schema_id: Required.
    :vartype schema_id: str
    :ivar element_id: Required.
    :vartype element_id: str
    :ivar sequence: Required.
    :vartype sequence: str
    :ivar value:
    :vartype value: str
    :ivar bonus:
    :vartype bonus: str
    :ivar tools: Null for last used tools on this instance.
    :vartype tools: list[str]
    :ivar comment:
    :vartype comment: str
    """

    _validation = {
        'schema_id': {'required': True},
        'element_id': {'required': True},
        'sequence': {'required': True},
    }

    _attribute_map = {
        'operation': {'key': 'operation', 'type': 'int'},
        'schema_id': {'key': 'schemaId', 'type': 'str'},
        'element_id': {'key': 'elementId', 'type': 'str'},
        'sequence': {'key': 'sequence', 'type': 'str'},
        'value': {'key': 'value', 'type': 'str'},
        'bonus': {'key': 'bonus', 'type': 'str'},
        'tools': {'key': 'tools', 'type': '[str]'},
        'comment': {'key': 'comment', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword operation:
        :paramtype operation: int
        :keyword schema_id: Required.
        :paramtype schema_id: str
        :keyword element_id: Required.
        :paramtype element_id: str
        :keyword sequence: Required.
        :paramtype sequence: str
        :keyword value:
        :paramtype value: str
        :keyword bonus:
        :paramtype bonus: str
        :keyword tools: Null for last used tools on this instance.
        :paramtype tools: list[str]
        :keyword comment:
        :paramtype comment: str
        """
        super(SaveValueRequest, self).__init__(**kwargs)
        self.operation = kwargs.get('operation', None)
        self.schema_id = kwargs['schema_id']
        self.element_id = kwargs['element_id']
        self.sequence = kwargs['sequence']
        self.value = kwargs.get('value', None)
        self.bonus = kwargs.get('bonus', None)
        self.tools = kwargs.get('tools', None)
        self.comment = kwargs.get('comment', None)


class SaveValueResponseDto(msrest.serialization.Model):
    """SaveValueResponseDto.

    All required parameters must be populated in order to send to Azure.

    :ivar element_completed: Required.
    :vartype element_completed: bool
    :ivar warning:
    :vartype warning: str
    :ivar tools: Required.
    :vartype tools: list[~ignos.api.client.models.MeasurementFormToolValueDto]
    """

    _validation = {
        'element_completed': {'required': True},
        'tools': {'required': True},
    }

    _attribute_map = {
        'element_completed': {'key': 'elementCompleted', 'type': 'bool'},
        'warning': {'key': 'warning', 'type': 'str'},
        'tools': {'key': 'tools', 'type': '[MeasurementFormToolValueDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword element_completed: Required.
        :paramtype element_completed: bool
        :keyword warning:
        :paramtype warning: str
        :keyword tools: Required.
        :paramtype tools: list[~ignos.api.client.models.MeasurementFormToolValueDto]
        """
        super(SaveValueResponseDto, self).__init__(**kwargs)
        self.element_completed = kwargs['element_completed']
        self.warning = kwargs.get('warning', None)
        self.tools = kwargs['tools']


class StartWorkOperationRequest(msrest.serialization.Model):
    """StartWorkOperationRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar is_setup:
    :vartype is_setup: bool
    :ivar employee:
    :vartype employee: ~ignos.api.client.models.EmployeeDto
    :ivar resource_id: Required.
    :vartype resource_id: str
    :ivar customer_order:
    :vartype customer_order: ~ignos.api.client.models.CustomerOrderInfoDto
    :ivar part:
    :vartype part: ~ignos.api.client.models.PartDto
    :ivar workorder_quantity:
    :vartype workorder_quantity: float
    :ivar time:
    :vartype time: ~datetime.datetime
    :ivar material_part_number:
    :vartype material_part_number: str
    :ivar material_part_name:
    :vartype material_part_name: str
    :ivar material_item_group:
    :vartype material_item_group: str
    :ivar workorder_description:
    :vartype workorder_description: str
    :ivar operation_description:
    :vartype operation_description: str
    :ivar external_id:
    :vartype external_id: str
    """

    _validation = {
        'resource_id': {'required': True},
    }

    _attribute_map = {
        'is_setup': {'key': 'isSetup', 'type': 'bool'},
        'employee': {'key': 'employee', 'type': 'EmployeeDto'},
        'resource_id': {'key': 'resourceId', 'type': 'str'},
        'customer_order': {'key': 'customerOrder', 'type': 'CustomerOrderInfoDto'},
        'part': {'key': 'part', 'type': 'PartDto'},
        'workorder_quantity': {'key': 'workorderQuantity', 'type': 'float'},
        'time': {'key': 'time', 'type': 'iso-8601'},
        'material_part_number': {'key': 'materialPartNumber', 'type': 'str'},
        'material_part_name': {'key': 'materialPartName', 'type': 'str'},
        'material_item_group': {'key': 'materialItemGroup', 'type': 'str'},
        'workorder_description': {'key': 'workorderDescription', 'type': 'str'},
        'operation_description': {'key': 'operationDescription', 'type': 'str'},
        'external_id': {'key': 'externalId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword is_setup:
        :paramtype is_setup: bool
        :keyword employee:
        :paramtype employee: ~ignos.api.client.models.EmployeeDto
        :keyword resource_id: Required.
        :paramtype resource_id: str
        :keyword customer_order:
        :paramtype customer_order: ~ignos.api.client.models.CustomerOrderInfoDto
        :keyword part:
        :paramtype part: ~ignos.api.client.models.PartDto
        :keyword workorder_quantity:
        :paramtype workorder_quantity: float
        :keyword time:
        :paramtype time: ~datetime.datetime
        :keyword material_part_number:
        :paramtype material_part_number: str
        :keyword material_part_name:
        :paramtype material_part_name: str
        :keyword material_item_group:
        :paramtype material_item_group: str
        :keyword workorder_description:
        :paramtype workorder_description: str
        :keyword operation_description:
        :paramtype operation_description: str
        :keyword external_id:
        :paramtype external_id: str
        """
        super(StartWorkOperationRequest, self).__init__(**kwargs)
        self.is_setup = kwargs.get('is_setup', None)
        self.employee = kwargs.get('employee', None)
        self.resource_id = kwargs['resource_id']
        self.customer_order = kwargs.get('customer_order', None)
        self.part = kwargs.get('part', None)
        self.workorder_quantity = kwargs.get('workorder_quantity', None)
        self.time = kwargs.get('time', None)
        self.material_part_number = kwargs.get('material_part_number', None)
        self.material_part_name = kwargs.get('material_part_name', None)
        self.material_item_group = kwargs.get('material_item_group', None)
        self.workorder_description = kwargs.get('workorder_description', None)
        self.operation_description = kwargs.get('operation_description', None)
        self.external_id = kwargs.get('external_id', None)


class StateDto(msrest.serialization.Model):
    """StateDto.

    All required parameters must be populated in order to send to Azure.

    :ivar state: Required.
    :vartype state: str
    :ivar machine_state: Required. Known values are: "InCycle", "MasterCam", "MdiCycle",
     "CamCycle", "Idle", "OptionalStop", "ProgramStop", "M0", "AtcStopped", "FeedHold", "MdiMode",
     "ManualMode", "EStop", "Alarm", "PowerOff".
    :vartype machine_state: str or ~ignos.api.client.models.MachineState
    :ivar seconds: Required.
    :vartype seconds: int
    """

    _validation = {
        'state': {'required': True},
        'machine_state': {'required': True},
        'seconds': {'required': True},
    }

    _attribute_map = {
        'state': {'key': 'state', 'type': 'str'},
        'machine_state': {'key': 'machineState', 'type': 'str'},
        'seconds': {'key': 'seconds', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword state: Required.
        :paramtype state: str
        :keyword machine_state: Required. Known values are: "InCycle", "MasterCam", "MdiCycle",
         "CamCycle", "Idle", "OptionalStop", "ProgramStop", "M0", "AtcStopped", "FeedHold", "MdiMode",
         "ManualMode", "EStop", "Alarm", "PowerOff".
        :paramtype machine_state: str or ~ignos.api.client.models.MachineState
        :keyword seconds: Required.
        :paramtype seconds: int
        """
        super(StateDto, self).__init__(**kwargs)
        self.state = kwargs['state']
        self.machine_state = kwargs['machine_state']
        self.seconds = kwargs['seconds']


class StopWorkOperationRequest(msrest.serialization.Model):
    """StopWorkOperationRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar is_setup:
    :vartype is_setup: bool
    :ivar employee:
    :vartype employee: ~ignos.api.client.models.EmployeeDto
    :ivar time:
    :vartype time: ~datetime.datetime
    :ivar resource_id: Required.
    :vartype resource_id: str
    """

    _validation = {
        'resource_id': {'required': True},
    }

    _attribute_map = {
        'is_setup': {'key': 'isSetup', 'type': 'bool'},
        'employee': {'key': 'employee', 'type': 'EmployeeDto'},
        'time': {'key': 'time', 'type': 'iso-8601'},
        'resource_id': {'key': 'resourceId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword is_setup:
        :paramtype is_setup: bool
        :keyword employee:
        :paramtype employee: ~ignos.api.client.models.EmployeeDto
        :keyword time:
        :paramtype time: ~datetime.datetime
        :keyword resource_id: Required.
        :paramtype resource_id: str
        """
        super(StopWorkOperationRequest, self).__init__(**kwargs)
        self.is_setup = kwargs.get('is_setup', None)
        self.employee = kwargs.get('employee', None)
        self.time = kwargs.get('time', None)
        self.resource_id = kwargs['resource_id']


class SubComsumptionResultDto(msrest.serialization.Model):
    """SubComsumptionResultDto.

    :ivar kwh:
    :vartype kwh: float
    :ivar co2_equivalent:
    :vartype co2_equivalent: float
    :ivar timestamp:
    :vartype timestamp: long
    """

    _attribute_map = {
        'kwh': {'key': 'kwh', 'type': 'float'},
        'co2_equivalent': {'key': 'co2Equivalent', 'type': 'float'},
        'timestamp': {'key': 'timestamp', 'type': 'long'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword kwh:
        :paramtype kwh: float
        :keyword co2_equivalent:
        :paramtype co2_equivalent: float
        :keyword timestamp:
        :paramtype timestamp: long
        """
        super(SubComsumptionResultDto, self).__init__(**kwargs)
        self.kwh = kwargs.get('kwh', None)
        self.co2_equivalent = kwargs.get('co2_equivalent', None)
        self.timestamp = kwargs.get('timestamp', None)


class SubConsumptionDto(msrest.serialization.Model):
    """SubConsumptionDto.

    :ivar asset_id:
    :vartype asset_id: long
    :ivar asset_name:
    :vartype asset_name: str
    :ivar timeseries_id:
    :vartype timeseries_id: long
    :ivar timeseries_name:
    :vartype timeseries_name: str
    :ivar kwh:
    :vartype kwh: float
    :ivar co2_equivalent:
    :vartype co2_equivalent: float
    :ivar first_timestamp:
    :vartype first_timestamp: long
    :ivar last_timestamp:
    :vartype last_timestamp: long
    :ivar items:
    :vartype items: list[~ignos.api.client.models.SubComsumptionResultDto]
    """

    _attribute_map = {
        'asset_id': {'key': 'assetId', 'type': 'long'},
        'asset_name': {'key': 'assetName', 'type': 'str'},
        'timeseries_id': {'key': 'timeseriesId', 'type': 'long'},
        'timeseries_name': {'key': 'timeseriesName', 'type': 'str'},
        'kwh': {'key': 'kwh', 'type': 'float'},
        'co2_equivalent': {'key': 'co2Equivalent', 'type': 'float'},
        'first_timestamp': {'key': 'firstTimestamp', 'type': 'long'},
        'last_timestamp': {'key': 'lastTimestamp', 'type': 'long'},
        'items': {'key': 'items', 'type': '[SubComsumptionResultDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword asset_id:
        :paramtype asset_id: long
        :keyword asset_name:
        :paramtype asset_name: str
        :keyword timeseries_id:
        :paramtype timeseries_id: long
        :keyword timeseries_name:
        :paramtype timeseries_name: str
        :keyword kwh:
        :paramtype kwh: float
        :keyword co2_equivalent:
        :paramtype co2_equivalent: float
        :keyword first_timestamp:
        :paramtype first_timestamp: long
        :keyword last_timestamp:
        :paramtype last_timestamp: long
        :keyword items:
        :paramtype items: list[~ignos.api.client.models.SubComsumptionResultDto]
        """
        super(SubConsumptionDto, self).__init__(**kwargs)
        self.asset_id = kwargs.get('asset_id', None)
        self.asset_name = kwargs.get('asset_name', None)
        self.timeseries_id = kwargs.get('timeseries_id', None)
        self.timeseries_name = kwargs.get('timeseries_name', None)
        self.kwh = kwargs.get('kwh', None)
        self.co2_equivalent = kwargs.get('co2_equivalent', None)
        self.first_timestamp = kwargs.get('first_timestamp', None)
        self.last_timestamp = kwargs.get('last_timestamp', None)
        self.items = kwargs.get('items', None)


class SupplierInviteDto(msrest.serialization.Model):
    """SupplierInviteDto.

    :ivar id:
    :vartype id: str
    :ivar supplier_id:
    :vartype supplier_id: str
    :ivar name:
    :vartype name: str
    :ivar username:
    :vartype username: str
    :ivar deadline:
    :vartype deadline: ~datetime.datetime
    :ivar created_time:
    :vartype created_time: ~datetime.datetime
    :ivar created_by:
    :vartype created_by: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'supplier_id': {'key': 'supplierId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'username': {'key': 'username', 'type': 'str'},
        'deadline': {'key': 'deadline', 'type': 'iso-8601'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'created_by': {'key': 'createdBy', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword supplier_id:
        :paramtype supplier_id: str
        :keyword name:
        :paramtype name: str
        :keyword username:
        :paramtype username: str
        :keyword deadline:
        :paramtype deadline: ~datetime.datetime
        :keyword created_time:
        :paramtype created_time: ~datetime.datetime
        :keyword created_by:
        :paramtype created_by: str
        """
        super(SupplierInviteDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.supplier_id = kwargs.get('supplier_id', None)
        self.name = kwargs.get('name', None)
        self.username = kwargs.get('username', None)
        self.deadline = kwargs.get('deadline', None)
        self.created_time = kwargs.get('created_time', None)
        self.created_by = kwargs.get('created_by', None)


class SustainabilityCustomerOrderDto(msrest.serialization.Model):
    """SustainabilityCustomerOrderDto.

    :ivar customer_id:
    :vartype customer_id: str
    :ivar customer_name:
    :vartype customer_name: str
    :ivar customer_order:
    :vartype customer_order: str
    :ivar customer_order_line:
    :vartype customer_order_line: int
    :ivar external_order_number:
    :vartype external_order_number: str
    """

    _attribute_map = {
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'customer_name': {'key': 'customerName', 'type': 'str'},
        'customer_order': {'key': 'customerOrder', 'type': 'str'},
        'customer_order_line': {'key': 'customerOrderLine', 'type': 'int'},
        'external_order_number': {'key': 'externalOrderNumber', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword customer_name:
        :paramtype customer_name: str
        :keyword customer_order:
        :paramtype customer_order: str
        :keyword customer_order_line:
        :paramtype customer_order_line: int
        :keyword external_order_number:
        :paramtype external_order_number: str
        """
        super(SustainabilityCustomerOrderDto, self).__init__(**kwargs)
        self.customer_id = kwargs.get('customer_id', None)
        self.customer_name = kwargs.get('customer_name', None)
        self.customer_order = kwargs.get('customer_order', None)
        self.customer_order_line = kwargs.get('customer_order_line', None)
        self.external_order_number = kwargs.get('external_order_number', None)


class SustainabilityNodeDto(msrest.serialization.Model):
    """SustainabilityNodeDto.

    All required parameters must be populated in order to send to Azure.

    :ivar part_info: Required.
    :vartype part_info: ~ignos.api.client.models.SustainabilityPartInfoDto
    :ivar serial_number:
    :vartype serial_number: str
    :ivar workorder:
    :vartype workorder: str
    :ivar procurement_info:
    :vartype procurement_info: ~ignos.api.client.models.SustainabilityNodeProcurementInfoDto
    :ivar quantity: Required.
    :vartype quantity: float
    :ivar sub_nodes:
    :vartype sub_nodes: list[~ignos.api.client.models.SustainabilityNodeDto]
    """

    _validation = {
        'part_info': {'required': True},
        'quantity': {'required': True},
    }

    _attribute_map = {
        'part_info': {'key': 'partInfo', 'type': 'SustainabilityPartInfoDto'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'workorder': {'key': 'workorder', 'type': 'str'},
        'procurement_info': {'key': 'procurementInfo', 'type': 'SustainabilityNodeProcurementInfoDto'},
        'quantity': {'key': 'quantity', 'type': 'float'},
        'sub_nodes': {'key': 'subNodes', 'type': '[SustainabilityNodeDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword part_info: Required.
        :paramtype part_info: ~ignos.api.client.models.SustainabilityPartInfoDto
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword workorder:
        :paramtype workorder: str
        :keyword procurement_info:
        :paramtype procurement_info: ~ignos.api.client.models.SustainabilityNodeProcurementInfoDto
        :keyword quantity: Required.
        :paramtype quantity: float
        :keyword sub_nodes:
        :paramtype sub_nodes: list[~ignos.api.client.models.SustainabilityNodeDto]
        """
        super(SustainabilityNodeDto, self).__init__(**kwargs)
        self.part_info = kwargs['part_info']
        self.serial_number = kwargs.get('serial_number', None)
        self.workorder = kwargs.get('workorder', None)
        self.procurement_info = kwargs.get('procurement_info', None)
        self.quantity = kwargs['quantity']
        self.sub_nodes = kwargs.get('sub_nodes', None)


class SustainabilityNodeProcurementInfoDto(msrest.serialization.Model):
    """SustainabilityNodeProcurementInfoDto.

    :ivar procurement_order:
    :vartype procurement_order: str
    :ivar procurement_order_line:
    :vartype procurement_order_line: int
    :ivar lot_number:
    :vartype lot_number: str
    :ivar heat_number:
    :vartype heat_number: str
    """

    _attribute_map = {
        'procurement_order': {'key': 'procurementOrder', 'type': 'str'},
        'procurement_order_line': {'key': 'procurementOrderLine', 'type': 'int'},
        'lot_number': {'key': 'lotNumber', 'type': 'str'},
        'heat_number': {'key': 'heatNumber', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword procurement_order:
        :paramtype procurement_order: str
        :keyword procurement_order_line:
        :paramtype procurement_order_line: int
        :keyword lot_number:
        :paramtype lot_number: str
        :keyword heat_number:
        :paramtype heat_number: str
        """
        super(SustainabilityNodeProcurementInfoDto, self).__init__(**kwargs)
        self.procurement_order = kwargs.get('procurement_order', None)
        self.procurement_order_line = kwargs.get('procurement_order_line', None)
        self.lot_number = kwargs.get('lot_number', None)
        self.heat_number = kwargs.get('heat_number', None)


class SustainabilityPartInfoDto(msrest.serialization.Model):
    """SustainabilityPartInfoDto.

    All required parameters must be populated in order to send to Azure.

    :ivar part_number: Required.
    :vartype part_number: str
    :ivar part_revision:
    :vartype part_revision: str
    :ivar part_name:
    :vartype part_name: str
    """

    _validation = {
        'part_number': {'required': True},
    }

    _attribute_map = {
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_revision': {'key': 'partRevision', 'type': 'str'},
        'part_name': {'key': 'partName', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword part_number: Required.
        :paramtype part_number: str
        :keyword part_revision:
        :paramtype part_revision: str
        :keyword part_name:
        :paramtype part_name: str
        """
        super(SustainabilityPartInfoDto, self).__init__(**kwargs)
        self.part_number = kwargs['part_number']
        self.part_revision = kwargs.get('part_revision', None)
        self.part_name = kwargs.get('part_name', None)


class TenantDetailDto(msrest.serialization.Model):
    """TenantDetailDto.

    All required parameters must be populated in order to send to Azure.

    :ivar tenant_id: Required.
    :vartype tenant_id: str
    :ivar apps: Required.
    :vartype apps: list[~ignos.api.client.models.CustomerAppDto]
    :ivar cdf:
    :vartype cdf: ~ignos.api.client.models.CdfDetailsDto
    """

    _validation = {
        'tenant_id': {'required': True},
        'apps': {'required': True},
    }

    _attribute_map = {
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'apps': {'key': 'apps', 'type': '[CustomerAppDto]'},
        'cdf': {'key': 'cdf', 'type': 'CdfDetailsDto'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tenant_id: Required.
        :paramtype tenant_id: str
        :keyword apps: Required.
        :paramtype apps: list[~ignos.api.client.models.CustomerAppDto]
        :keyword cdf:
        :paramtype cdf: ~ignos.api.client.models.CdfDetailsDto
        """
        super(TenantDetailDto, self).__init__(**kwargs)
        self.tenant_id = kwargs['tenant_id']
        self.apps = kwargs['apps']
        self.cdf = kwargs.get('cdf', None)


class TenantDto(msrest.serialization.Model):
    """TenantDto.

    All required parameters must be populated in order to send to Azure.

    :ivar tenant_id: Required.
    :vartype tenant_id: str
    :ivar name: Required.
    :vartype name: str
    :ivar environment: Required. Known values are: "Prod", "QA", "Test", "Dev".
    :vartype environment: str or ~ignos.api.client.models.TenantEnvironment
    :ivar environment_name: Required.
    :vartype environment_name: str
    :ivar description:
    :vartype description: str
    :ivar customer_id: Required.
    :vartype customer_id: str
    :ivar customer_short_name: Required.
    :vartype customer_short_name: str
    :ivar customer_name: Required.
    :vartype customer_name: str
    :ivar azure_region_id: Required.
    :vartype azure_region_id: str
    :ivar azure_region_name: Required.
    :vartype azure_region_name: str
    :ivar azure_ad_tenant_id: Required.
    :vartype azure_ad_tenant_id: str
    :ivar cosmos_database:
    :vartype cosmos_database: str
    :ivar contact_person: Required.
    :vartype contact_person: ~ignos.api.client.models.ContactPersonDto
    :ivar external_reference:
    :vartype external_reference: str
    :ivar three_letter_iso_country: Required.
    :vartype three_letter_iso_country: str
    :ivar country: Required.
    :vartype country: str
    :ivar status: Required.
    :vartype status: int
    :ivar logo_url:
    :vartype logo_url: str
    :ivar company_url:
    :vartype company_url: str
    :ivar domain:
    :vartype domain: str
    :ivar infrastructure_status: Required. Known values are: 0, 1, 2, 9.
    :vartype infrastructure_status: int or ~ignos.api.client.models.TenantInfrastructureStatus
    :ivar cdf_tenant:
    :vartype cdf_tenant: str
    :ivar cdf_tenant_client_id:
    :vartype cdf_tenant_client_id: str
    :ivar tenant_key:
    :vartype tenant_key: str
    :ivar customer_managed_cdf: Required.
    :vartype customer_managed_cdf: bool
    """

    _validation = {
        'tenant_id': {'required': True},
        'name': {'required': True},
        'environment': {'required': True},
        'environment_name': {'required': True},
        'customer_id': {'required': True},
        'customer_short_name': {'required': True},
        'customer_name': {'required': True},
        'azure_region_id': {'required': True},
        'azure_region_name': {'required': True},
        'azure_ad_tenant_id': {'required': True},
        'contact_person': {'required': True},
        'three_letter_iso_country': {'required': True},
        'country': {'required': True},
        'status': {'required': True},
        'infrastructure_status': {'required': True},
        'customer_managed_cdf': {'required': True},
    }

    _attribute_map = {
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'environment': {'key': 'environment', 'type': 'str'},
        'environment_name': {'key': 'environmentName', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'customer_short_name': {'key': 'customerShortName', 'type': 'str'},
        'customer_name': {'key': 'customerName', 'type': 'str'},
        'azure_region_id': {'key': 'azureRegionId', 'type': 'str'},
        'azure_region_name': {'key': 'azureRegionName', 'type': 'str'},
        'azure_ad_tenant_id': {'key': 'azureAdTenantId', 'type': 'str'},
        'cosmos_database': {'key': 'cosmosDatabase', 'type': 'str'},
        'contact_person': {'key': 'contactPerson', 'type': 'ContactPersonDto'},
        'external_reference': {'key': 'externalReference', 'type': 'str'},
        'three_letter_iso_country': {'key': 'threeLetterIsoCountry', 'type': 'str'},
        'country': {'key': 'country', 'type': 'str'},
        'status': {'key': 'status', 'type': 'int'},
        'logo_url': {'key': 'logoUrl', 'type': 'str'},
        'company_url': {'key': 'companyUrl', 'type': 'str'},
        'domain': {'key': 'domain', 'type': 'str'},
        'infrastructure_status': {'key': 'infrastructureStatus', 'type': 'int'},
        'cdf_tenant': {'key': 'cdfTenant', 'type': 'str'},
        'cdf_tenant_client_id': {'key': 'cdfTenantClientId', 'type': 'str'},
        'tenant_key': {'key': 'tenantKey', 'type': 'str'},
        'customer_managed_cdf': {'key': 'customerManagedCdf', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword tenant_id: Required.
        :paramtype tenant_id: str
        :keyword name: Required.
        :paramtype name: str
        :keyword environment: Required. Known values are: "Prod", "QA", "Test", "Dev".
        :paramtype environment: str or ~ignos.api.client.models.TenantEnvironment
        :keyword environment_name: Required.
        :paramtype environment_name: str
        :keyword description:
        :paramtype description: str
        :keyword customer_id: Required.
        :paramtype customer_id: str
        :keyword customer_short_name: Required.
        :paramtype customer_short_name: str
        :keyword customer_name: Required.
        :paramtype customer_name: str
        :keyword azure_region_id: Required.
        :paramtype azure_region_id: str
        :keyword azure_region_name: Required.
        :paramtype azure_region_name: str
        :keyword azure_ad_tenant_id: Required.
        :paramtype azure_ad_tenant_id: str
        :keyword cosmos_database:
        :paramtype cosmos_database: str
        :keyword contact_person: Required.
        :paramtype contact_person: ~ignos.api.client.models.ContactPersonDto
        :keyword external_reference:
        :paramtype external_reference: str
        :keyword three_letter_iso_country: Required.
        :paramtype three_letter_iso_country: str
        :keyword country: Required.
        :paramtype country: str
        :keyword status: Required.
        :paramtype status: int
        :keyword logo_url:
        :paramtype logo_url: str
        :keyword company_url:
        :paramtype company_url: str
        :keyword domain:
        :paramtype domain: str
        :keyword infrastructure_status: Required. Known values are: 0, 1, 2, 9.
        :paramtype infrastructure_status: int or ~ignos.api.client.models.TenantInfrastructureStatus
        :keyword cdf_tenant:
        :paramtype cdf_tenant: str
        :keyword cdf_tenant_client_id:
        :paramtype cdf_tenant_client_id: str
        :keyword tenant_key:
        :paramtype tenant_key: str
        :keyword customer_managed_cdf: Required.
        :paramtype customer_managed_cdf: bool
        """
        super(TenantDto, self).__init__(**kwargs)
        self.tenant_id = kwargs['tenant_id']
        self.name = kwargs['name']
        self.environment = kwargs['environment']
        self.environment_name = kwargs['environment_name']
        self.description = kwargs.get('description', None)
        self.customer_id = kwargs['customer_id']
        self.customer_short_name = kwargs['customer_short_name']
        self.customer_name = kwargs['customer_name']
        self.azure_region_id = kwargs['azure_region_id']
        self.azure_region_name = kwargs['azure_region_name']
        self.azure_ad_tenant_id = kwargs['azure_ad_tenant_id']
        self.cosmos_database = kwargs.get('cosmos_database', None)
        self.contact_person = kwargs['contact_person']
        self.external_reference = kwargs.get('external_reference', None)
        self.three_letter_iso_country = kwargs['three_letter_iso_country']
        self.country = kwargs['country']
        self.status = kwargs['status']
        self.logo_url = kwargs.get('logo_url', None)
        self.company_url = kwargs.get('company_url', None)
        self.domain = kwargs.get('domain', None)
        self.infrastructure_status = kwargs['infrastructure_status']
        self.cdf_tenant = kwargs.get('cdf_tenant', None)
        self.cdf_tenant_client_id = kwargs.get('cdf_tenant_client_id', None)
        self.tenant_key = kwargs.get('tenant_key', None)
        self.customer_managed_cdf = kwargs['customer_managed_cdf']


class TenantKeyDto(msrest.serialization.Model):
    """TenantKeyDto.

    :ivar key:
    :vartype key: str
    :ivar tenant_id:
    :vartype tenant_id: str
    :ivar tenant_row_key:
    :vartype tenant_row_key: str
    :ivar customer_short_name:
    :vartype customer_short_name: str
    :ivar customer_row_key:
    :vartype customer_row_key: str
    :ivar cdf_tenant:
    :vartype cdf_tenant: str
    """

    _attribute_map = {
        'key': {'key': 'key', 'type': 'str'},
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'tenant_row_key': {'key': 'tenantRowKey', 'type': 'str'},
        'customer_short_name': {'key': 'customerShortName', 'type': 'str'},
        'customer_row_key': {'key': 'customerRowKey', 'type': 'str'},
        'cdf_tenant': {'key': 'cdfTenant', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword key:
        :paramtype key: str
        :keyword tenant_id:
        :paramtype tenant_id: str
        :keyword tenant_row_key:
        :paramtype tenant_row_key: str
        :keyword customer_short_name:
        :paramtype customer_short_name: str
        :keyword customer_row_key:
        :paramtype customer_row_key: str
        :keyword cdf_tenant:
        :paramtype cdf_tenant: str
        """
        super(TenantKeyDto, self).__init__(**kwargs)
        self.key = kwargs.get('key', None)
        self.tenant_id = kwargs.get('tenant_id', None)
        self.tenant_row_key = kwargs.get('tenant_row_key', None)
        self.customer_short_name = kwargs.get('customer_short_name', None)
        self.customer_row_key = kwargs.get('customer_row_key', None)
        self.cdf_tenant = kwargs.get('cdf_tenant', None)


class UnregisteredToolValueDto(msrest.serialization.Model):
    """UnregisteredToolValueDto.

    All required parameters must be populated in order to send to Azure.

    :ivar unregistered_tool: Required.
    :vartype unregistered_tool: str
    :ivar count: Required.
    :vartype count: int
    """

    _validation = {
        'unregistered_tool': {'required': True},
        'count': {'required': True},
    }

    _attribute_map = {
        'unregistered_tool': {'key': 'unregisteredTool', 'type': 'str'},
        'count': {'key': 'count', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword unregistered_tool: Required.
        :paramtype unregistered_tool: str
        :keyword count: Required.
        :paramtype count: int
        """
        super(UnregisteredToolValueDto, self).__init__(**kwargs)
        self.unregistered_tool = kwargs['unregistered_tool']
        self.count = kwargs['count']


class UpdateAppRequest(msrest.serialization.Model):
    """UpdateAppRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar description: Required.
    :vartype description: str
    :ivar private_app: Required.
    :vartype private_app: bool
    :ivar accessible_by_suppliers: Required.
    :vartype accessible_by_suppliers: bool
    """

    _validation = {
        'description': {'required': True},
        'private_app': {'required': True},
        'accessible_by_suppliers': {'required': True},
    }

    _attribute_map = {
        'description': {'key': 'description', 'type': 'str'},
        'private_app': {'key': 'privateApp', 'type': 'bool'},
        'accessible_by_suppliers': {'key': 'accessibleBySuppliers', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword description: Required.
        :paramtype description: str
        :keyword private_app: Required.
        :paramtype private_app: bool
        :keyword accessible_by_suppliers: Required.
        :paramtype accessible_by_suppliers: bool
        """
        super(UpdateAppRequest, self).__init__(**kwargs)
        self.description = kwargs['description']
        self.private_app = kwargs['private_app']
        self.accessible_by_suppliers = kwargs['accessible_by_suppliers']


class UpdateCdfClusterRequest(msrest.serialization.Model):
    """UpdateCdfClusterRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar base_url: Required.
    :vartype base_url: str
    :ivar scope: Required.
    :vartype scope: str
    """

    _validation = {
        'base_url': {'required': True},
        'scope': {'required': True},
    }

    _attribute_map = {
        'base_url': {'key': 'baseUrl', 'type': 'str'},
        'scope': {'key': 'scope', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword base_url: Required.
        :paramtype base_url: str
        :keyword scope: Required.
        :paramtype scope: str
        """
        super(UpdateCdfClusterRequest, self).__init__(**kwargs)
        self.base_url = kwargs['base_url']
        self.scope = kwargs['scope']


class UpdateCdfConfig(msrest.serialization.Model):
    """UpdateCdfConfig.

    All required parameters must be populated in order to send to Azure.

    :ivar client_id: Required.
    :vartype client_id: str
    :ivar client_secret:
    :vartype client_secret: str
    """

    _validation = {
        'client_id': {'required': True},
    }

    _attribute_map = {
        'client_id': {'key': 'clientId', 'type': 'str'},
        'client_secret': {'key': 'clientSecret', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword client_id: Required.
        :paramtype client_id: str
        :keyword client_secret:
        :paramtype client_secret: str
        """
        super(UpdateCdfConfig, self).__init__(**kwargs)
        self.client_id = kwargs['client_id']
        self.client_secret = kwargs.get('client_secret', None)


class UpdateCompanyUserRequest(msrest.serialization.Model):
    """UpdateCompanyUserRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar roles: Required.
    :vartype roles: list[str]
    """

    _validation = {
        'name': {'required': True},
        'roles': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'roles': {'key': 'roles', 'type': '[str]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword roles: Required.
        :paramtype roles: list[str]
        """
        super(UpdateCompanyUserRequest, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.roles = kwargs['roles']


class UpdateCustomerRequest(msrest.serialization.Model):
    """UpdateCustomerRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar azure_ad_tenant_id:
    :vartype azure_ad_tenant_id: str
    :ivar contact_person: Required.
    :vartype contact_person: ~ignos.api.client.models.ContactPersonDto
    :ivar external_reference:
    :vartype external_reference: str
    :ivar three_letter_iso_country: Required.
    :vartype three_letter_iso_country: str
    :ivar logo_url:
    :vartype logo_url: str
    :ivar company_url:
    :vartype company_url: str
    :ivar domain:
    :vartype domain: str
    :ivar customer_managed_cdf: Required.
    :vartype customer_managed_cdf: bool
    """

    _validation = {
        'name': {'required': True},
        'contact_person': {'required': True},
        'three_letter_iso_country': {'required': True},
        'customer_managed_cdf': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'azure_ad_tenant_id': {'key': 'azureAdTenantId', 'type': 'str'},
        'contact_person': {'key': 'contactPerson', 'type': 'ContactPersonDto'},
        'external_reference': {'key': 'externalReference', 'type': 'str'},
        'three_letter_iso_country': {'key': 'threeLetterIsoCountry', 'type': 'str'},
        'logo_url': {'key': 'logoUrl', 'type': 'str'},
        'company_url': {'key': 'companyUrl', 'type': 'str'},
        'domain': {'key': 'domain', 'type': 'str'},
        'customer_managed_cdf': {'key': 'customerManagedCdf', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword azure_ad_tenant_id:
        :paramtype azure_ad_tenant_id: str
        :keyword contact_person: Required.
        :paramtype contact_person: ~ignos.api.client.models.ContactPersonDto
        :keyword external_reference:
        :paramtype external_reference: str
        :keyword three_letter_iso_country: Required.
        :paramtype three_letter_iso_country: str
        :keyword logo_url:
        :paramtype logo_url: str
        :keyword company_url:
        :paramtype company_url: str
        :keyword domain:
        :paramtype domain: str
        :keyword customer_managed_cdf: Required.
        :paramtype customer_managed_cdf: bool
        """
        super(UpdateCustomerRequest, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.azure_ad_tenant_id = kwargs.get('azure_ad_tenant_id', None)
        self.contact_person = kwargs['contact_person']
        self.external_reference = kwargs.get('external_reference', None)
        self.three_letter_iso_country = kwargs['three_letter_iso_country']
        self.logo_url = kwargs.get('logo_url', None)
        self.company_url = kwargs.get('company_url', None)
        self.domain = kwargs.get('domain', None)
        self.customer_managed_cdf = kwargs['customer_managed_cdf']


class UpdateMeasurementFormInstanceRequest(msrest.serialization.Model):
    """UpdateMeasurementFormInstanceRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar quantity: Required.
    :vartype quantity: int
    :ivar sequences: Required.
    :vartype sequences: list[~ignos.api.client.models.MeasurementFormWorkorderSequenceDto]
    :ivar suppliers: Required.
    :vartype suppliers: list[~ignos.api.client.models.MeasurementFormWorkorderSupplierDto]
    """

    _validation = {
        'quantity': {'required': True},
        'sequences': {'required': True},
        'suppliers': {'required': True},
    }

    _attribute_map = {
        'quantity': {'key': 'quantity', 'type': 'int'},
        'sequences': {'key': 'sequences', 'type': '[MeasurementFormWorkorderSequenceDto]'},
        'suppliers': {'key': 'suppliers', 'type': '[MeasurementFormWorkorderSupplierDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword quantity: Required.
        :paramtype quantity: int
        :keyword sequences: Required.
        :paramtype sequences: list[~ignos.api.client.models.MeasurementFormWorkorderSequenceDto]
        :keyword suppliers: Required.
        :paramtype suppliers: list[~ignos.api.client.models.MeasurementFormWorkorderSupplierDto]
        """
        super(UpdateMeasurementFormInstanceRequest, self).__init__(**kwargs)
        self.quantity = kwargs['quantity']
        self.sequences = kwargs['sequences']
        self.suppliers = kwargs['suppliers']


class UpdateMeasurementFormSchemaRequest(msrest.serialization.Model):
    """UpdateMeasurementFormSchemaRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar exclude_from_customer_documentation: Required.
    :vartype exclude_from_customer_documentation: bool
    :ivar specification:
    :vartype specification: str
    :ivar elements: Required.
    :vartype elements: list[~ignos.api.client.models.UpdateSchemaElementDto]
    """

    _validation = {
        'exclude_from_customer_documentation': {'required': True},
        'elements': {'required': True},
    }

    _attribute_map = {
        'exclude_from_customer_documentation': {'key': 'excludeFromCustomerDocumentation', 'type': 'bool'},
        'specification': {'key': 'specification', 'type': 'str'},
        'elements': {'key': 'elements', 'type': '[UpdateSchemaElementDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword exclude_from_customer_documentation: Required.
        :paramtype exclude_from_customer_documentation: bool
        :keyword specification:
        :paramtype specification: str
        :keyword elements: Required.
        :paramtype elements: list[~ignos.api.client.models.UpdateSchemaElementDto]
        """
        super(UpdateMeasurementFormSchemaRequest, self).__init__(**kwargs)
        self.exclude_from_customer_documentation = kwargs['exclude_from_customer_documentation']
        self.specification = kwargs.get('specification', None)
        self.elements = kwargs['elements']


class UpdateMeasurementFormSettings(msrest.serialization.Model):
    """UpdateMeasurementFormSettings.

    All required parameters must be populated in order to send to Azure.

    :ivar convert_inch_to_mm: Required.
    :vartype convert_inch_to_mm: bool
    :ivar validate_measuring_tools: Required.
    :vartype validate_measuring_tools: bool
    :ivar validate_measuring_tools_for_suppliers: Required.
    :vartype validate_measuring_tools_for_suppliers: bool
    """

    _validation = {
        'convert_inch_to_mm': {'required': True},
        'validate_measuring_tools': {'required': True},
        'validate_measuring_tools_for_suppliers': {'required': True},
    }

    _attribute_map = {
        'convert_inch_to_mm': {'key': 'convertInchToMm', 'type': 'bool'},
        'validate_measuring_tools': {'key': 'validateMeasuringTools', 'type': 'bool'},
        'validate_measuring_tools_for_suppliers': {'key': 'validateMeasuringToolsForSuppliers', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword convert_inch_to_mm: Required.
        :paramtype convert_inch_to_mm: bool
        :keyword validate_measuring_tools: Required.
        :paramtype validate_measuring_tools: bool
        :keyword validate_measuring_tools_for_suppliers: Required.
        :paramtype validate_measuring_tools_for_suppliers: bool
        """
        super(UpdateMeasurementFormSettings, self).__init__(**kwargs)
        self.convert_inch_to_mm = kwargs['convert_inch_to_mm']
        self.validate_measuring_tools = kwargs['validate_measuring_tools']
        self.validate_measuring_tools_for_suppliers = kwargs['validate_measuring_tools_for_suppliers']


class UpdateMeasuringToolRequest(msrest.serialization.Model):
    """UpdateMeasuringToolRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar name: Required.
    :vartype name: str
    :ivar manufacturer: Required.
    :vartype manufacturer: str
    :ivar type_id: Required.
    :vartype type_id: str
    :ivar sub_type_id:
    :vartype sub_type_id: str
    :ivar unit_id:
    :vartype unit_id: str
    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar min:
    :vartype min: float
    :ivar max:
    :vartype max: float
    :ivar serial_number:
    :vartype serial_number: str
    :ivar default_location:
    :vartype default_location: str
    :ivar precision:
    :vartype precision: str
    """

    _validation = {
        'name': {'required': True},
        'manufacturer': {'required': True},
        'type_id': {'required': True},
    }

    _attribute_map = {
        'name': {'key': 'name', 'type': 'str'},
        'manufacturer': {'key': 'manufacturer', 'type': 'str'},
        'type_id': {'key': 'typeId', 'type': 'str'},
        'sub_type_id': {'key': 'subTypeId', 'type': 'str'},
        'unit_id': {'key': 'unitId', 'type': 'str'},
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'min': {'key': 'min', 'type': 'float'},
        'max': {'key': 'max', 'type': 'float'},
        'serial_number': {'key': 'serialNumber', 'type': 'str'},
        'default_location': {'key': 'defaultLocation', 'type': 'str'},
        'precision': {'key': 'precision', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword name: Required.
        :paramtype name: str
        :keyword manufacturer: Required.
        :paramtype manufacturer: str
        :keyword type_id: Required.
        :paramtype type_id: str
        :keyword sub_type_id:
        :paramtype sub_type_id: str
        :keyword unit_id:
        :paramtype unit_id: str
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword min:
        :paramtype min: float
        :keyword max:
        :paramtype max: float
        :keyword serial_number:
        :paramtype serial_number: str
        :keyword default_location:
        :paramtype default_location: str
        :keyword precision:
        :paramtype precision: str
        """
        super(UpdateMeasuringToolRequest, self).__init__(**kwargs)
        self.name = kwargs['name']
        self.manufacturer = kwargs['manufacturer']
        self.type_id = kwargs['type_id']
        self.sub_type_id = kwargs.get('sub_type_id', None)
        self.unit_id = kwargs.get('unit_id', None)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.min = kwargs.get('min', None)
        self.max = kwargs.get('max', None)
        self.serial_number = kwargs.get('serial_number', None)
        self.default_location = kwargs.get('default_location', None)
        self.precision = kwargs.get('precision', None)


class UpdateMeasuringToolSubTypeRequest(msrest.serialization.Model):
    """UpdateMeasuringToolSubTypeRequest.

    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar max_number_of_usages_between_calibration:
    :vartype max_number_of_usages_between_calibration: int
    """

    _attribute_map = {
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'max_number_of_usages_between_calibration': {'key': 'maxNumberOfUsagesBetweenCalibration', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword max_number_of_usages_between_calibration:
        :paramtype max_number_of_usages_between_calibration: int
        """
        super(UpdateMeasuringToolSubTypeRequest, self).__init__(**kwargs)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.max_number_of_usages_between_calibration = kwargs.get('max_number_of_usages_between_calibration', None)


class UpdateMeasuringToolTypeRequest(msrest.serialization.Model):
    """UpdateMeasuringToolTypeRequest.

    :ivar calibration_interval:
    :vartype calibration_interval: int
    :ivar max_number_of_usages_between_calibration:
    :vartype max_number_of_usages_between_calibration: int
    """

    _attribute_map = {
        'calibration_interval': {'key': 'calibrationInterval', 'type': 'int'},
        'max_number_of_usages_between_calibration': {'key': 'maxNumberOfUsagesBetweenCalibration', 'type': 'int'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword calibration_interval:
        :paramtype calibration_interval: int
        :keyword max_number_of_usages_between_calibration:
        :paramtype max_number_of_usages_between_calibration: int
        """
        super(UpdateMeasuringToolTypeRequest, self).__init__(**kwargs)
        self.calibration_interval = kwargs.get('calibration_interval', None)
        self.max_number_of_usages_between_calibration = kwargs.get('max_number_of_usages_between_calibration', None)


class UpdateSchemaElementDto(msrest.serialization.Model):
    """UpdateSchemaElementDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar frequency: Required. Known values are: "All", "FirstArticle", "NFirst", "NPercent",
     "ISO2859", "Nth", "None".
    :vartype frequency: str or ~ignos.api.client.models.MeasurementFrequency
    :ivar frequency_parameter:
    :vartype frequency_parameter: int
    :ivar include_in_customer_documentation: Required.
    :vartype include_in_customer_documentation: bool
    """

    _validation = {
        'id': {'required': True},
        'frequency': {'required': True},
        'include_in_customer_documentation': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'frequency': {'key': 'frequency', 'type': 'str'},
        'frequency_parameter': {'key': 'frequencyParameter', 'type': 'int'},
        'include_in_customer_documentation': {'key': 'includeInCustomerDocumentation', 'type': 'bool'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword frequency: Required. Known values are: "All", "FirstArticle", "NFirst", "NPercent",
         "ISO2859", "Nth", "None".
        :paramtype frequency: str or ~ignos.api.client.models.MeasurementFrequency
        :keyword frequency_parameter:
        :paramtype frequency_parameter: int
        :keyword include_in_customer_documentation: Required.
        :paramtype include_in_customer_documentation: bool
        """
        super(UpdateSchemaElementDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.frequency = kwargs['frequency']
        self.frequency_parameter = kwargs.get('frequency_parameter', None)
        self.include_in_customer_documentation = kwargs['include_in_customer_documentation']


class UpdateTenantCdfConfigRequest(msrest.serialization.Model):
    """UpdateTenantCdfConfigRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar client_id: Required.
    :vartype client_id: str
    :ivar client_secret:
    :vartype client_secret: str
    """

    _validation = {
        'client_id': {'required': True},
    }

    _attribute_map = {
        'client_id': {'key': 'clientId', 'type': 'str'},
        'client_secret': {'key': 'clientSecret', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword client_id: Required.
        :paramtype client_id: str
        :keyword client_secret:
        :paramtype client_secret: str
        """
        super(UpdateTenantCdfConfigRequest, self).__init__(**kwargs)
        self.client_id = kwargs['client_id']
        self.client_secret = kwargs.get('client_secret', None)


class UpdateTenantRequest(msrest.serialization.Model):
    """UpdateTenantRequest.

    :ivar description:
    :vartype description: str
    :ivar contact_person:
    :vartype contact_person: ~ignos.api.client.models.ContactPersonDto
    :ivar cdf_tenant:
    :vartype cdf_tenant: str
    """

    _attribute_map = {
        'description': {'key': 'description', 'type': 'str'},
        'contact_person': {'key': 'contactPerson', 'type': 'ContactPersonDto'},
        'cdf_tenant': {'key': 'cdfTenant', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword description:
        :paramtype description: str
        :keyword contact_person:
        :paramtype contact_person: ~ignos.api.client.models.ContactPersonDto
        :keyword cdf_tenant:
        :paramtype cdf_tenant: str
        """
        super(UpdateTenantRequest, self).__init__(**kwargs)
        self.description = kwargs.get('description', None)
        self.contact_person = kwargs.get('contact_person', None)
        self.cdf_tenant = kwargs.get('cdf_tenant', None)


class UpdateWhitelistedMeasuringTool(msrest.serialization.Model):
    """UpdateWhitelistedMeasuringTool.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar value: Required.
    :vartype value: str
    :ivar description: Required.
    :vartype description: str
    """

    _validation = {
        'id': {'required': True},
        'value': {'required': True},
        'description': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'value': {'key': 'value', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword value: Required.
        :paramtype value: str
        :keyword description: Required.
        :paramtype description: str
        """
        super(UpdateWhitelistedMeasuringTool, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.value = kwargs['value']
        self.description = kwargs['description']


class UploadInfoDto(msrest.serialization.Model):
    """UploadInfoDto.

    :ivar base_url:
    :vartype base_url: str
    :ivar key:
    :vartype key: str
    :ivar access_key:
    :vartype access_key: str
    """

    _attribute_map = {
        'base_url': {'key': 'baseUrl', 'type': 'str'},
        'key': {'key': 'key', 'type': 'str'},
        'access_key': {'key': 'accessKey', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword base_url:
        :paramtype base_url: str
        :keyword key:
        :paramtype key: str
        :keyword access_key:
        :paramtype access_key: str
        """
        super(UploadInfoDto, self).__init__(**kwargs)
        self.base_url = kwargs.get('base_url', None)
        self.key = kwargs.get('key', None)
        self.access_key = kwargs.get('access_key', None)


class UploadRequest(msrest.serialization.Model):
    """UploadRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar attachment_type: Required. Known values are: "Drawing", "MarkedDrawing",
     "InspectionXpertXml", "InspectionXpertProject", "ExcelWithElements", "Attachment".
    :vartype attachment_type: str or ~ignos.api.client.models.MeasurentFormAttachmentType
    :ivar upload_key: Required.
    :vartype upload_key: str
    :ivar filename: Required.
    :vartype filename: str
    """

    _validation = {
        'attachment_type': {'required': True},
        'upload_key': {'required': True},
        'filename': {'required': True},
    }

    _attribute_map = {
        'attachment_type': {'key': 'attachmentType', 'type': 'str'},
        'upload_key': {'key': 'uploadKey', 'type': 'str'},
        'filename': {'key': 'filename', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword attachment_type: Required. Known values are: "Drawing", "MarkedDrawing",
         "InspectionXpertXml", "InspectionXpertProject", "ExcelWithElements", "Attachment".
        :paramtype attachment_type: str or ~ignos.api.client.models.MeasurentFormAttachmentType
        :keyword upload_key: Required.
        :paramtype upload_key: str
        :keyword filename: Required.
        :paramtype filename: str
        """
        super(UploadRequest, self).__init__(**kwargs)
        self.attachment_type = kwargs['attachment_type']
        self.upload_key = kwargs['upload_key']
        self.filename = kwargs['filename']


class UpsertCustomerOrderRequest(msrest.serialization.Model):
    """UpsertCustomerOrderRequest.

    All required parameters must be populated in order to send to Azure.

    :ivar external_order_number: External ordernumber. (ie: What your customer calls this order.).
    :vartype external_order_number: str
    :ivar status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed", "Deleted".
    :vartype status: str or ~ignos.api.client.models.CustomerOrderStatus
    :ivar customer: Required.
    :vartype customer: ~ignos.api.client.models.CustomerDto
    :ivar order_lines: Required.
    :vartype order_lines: list[~ignos.api.client.models.CustomerOrderLineDto]
    """

    _validation = {
        'status': {'required': True},
        'customer': {'required': True},
        'order_lines': {'required': True},
    }

    _attribute_map = {
        'external_order_number': {'key': 'externalOrderNumber', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'customer': {'key': 'customer', 'type': 'CustomerDto'},
        'order_lines': {'key': 'orderLines', 'type': '[CustomerOrderLineDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword external_order_number: External ordernumber. (ie: What your customer calls this
         order.).
        :paramtype external_order_number: str
        :keyword status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed",
         "Deleted".
        :paramtype status: str or ~ignos.api.client.models.CustomerOrderStatus
        :keyword customer: Required.
        :paramtype customer: ~ignos.api.client.models.CustomerDto
        :keyword order_lines: Required.
        :paramtype order_lines: list[~ignos.api.client.models.CustomerOrderLineDto]
        """
        super(UpsertCustomerOrderRequest, self).__init__(**kwargs)
        self.external_order_number = kwargs.get('external_order_number', None)
        self.status = kwargs['status']
        self.customer = kwargs['customer']
        self.order_lines = kwargs['order_lines']


class UpsertWorkorder(msrest.serialization.Model):
    """UpsertWorkorder.

    All required parameters must be populated in order to send to Azure.

    :ivar workorder: Required.
    :vartype workorder: str
    :ivar part: Required.
    :vartype part: ~ignos.api.client.models.PartDto
    :ivar quantity: Required.
    :vartype quantity: float
    :ivar unit:
    :vartype unit: str
    :ivar status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed", "Deleted".
    :vartype status: str or ~ignos.api.client.models.WorkorderStatus
    :ivar operations: Required.
    :vartype operations: list[~ignos.api.client.models.WorkorderOperationDto]
    :ivar planned_start:
    :vartype planned_start: ~datetime.datetime
    :ivar planned_end:
    :vartype planned_end: ~datetime.datetime
    :ivar produced_quantity:
    :vartype produced_quantity: float
    :ivar scrapped_quantity:
    :vartype scrapped_quantity: float
    :ivar customer_order_reference:
    :vartype customer_order_reference: ~ignos.api.client.models.WorkorderCustomerOrderReferenceDto
    """

    _validation = {
        'workorder': {'required': True},
        'part': {'required': True},
        'quantity': {'required': True},
        'status': {'required': True},
        'operations': {'required': True},
    }

    _attribute_map = {
        'workorder': {'key': 'workorder', 'type': 'str'},
        'part': {'key': 'part', 'type': 'PartDto'},
        'quantity': {'key': 'quantity', 'type': 'float'},
        'unit': {'key': 'unit', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'operations': {'key': 'operations', 'type': '[WorkorderOperationDto]'},
        'planned_start': {'key': 'plannedStart', 'type': 'iso-8601'},
        'planned_end': {'key': 'plannedEnd', 'type': 'iso-8601'},
        'produced_quantity': {'key': 'producedQuantity', 'type': 'float'},
        'scrapped_quantity': {'key': 'scrappedQuantity', 'type': 'float'},
        'customer_order_reference': {'key': 'customerOrderReference', 'type': 'WorkorderCustomerOrderReferenceDto'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword workorder: Required.
        :paramtype workorder: str
        :keyword part: Required.
        :paramtype part: ~ignos.api.client.models.PartDto
        :keyword quantity: Required.
        :paramtype quantity: float
        :keyword unit:
        :paramtype unit: str
        :keyword status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed",
         "Deleted".
        :paramtype status: str or ~ignos.api.client.models.WorkorderStatus
        :keyword operations: Required.
        :paramtype operations: list[~ignos.api.client.models.WorkorderOperationDto]
        :keyword planned_start:
        :paramtype planned_start: ~datetime.datetime
        :keyword planned_end:
        :paramtype planned_end: ~datetime.datetime
        :keyword produced_quantity:
        :paramtype produced_quantity: float
        :keyword scrapped_quantity:
        :paramtype scrapped_quantity: float
        :keyword customer_order_reference:
        :paramtype customer_order_reference:
         ~ignos.api.client.models.WorkorderCustomerOrderReferenceDto
        """
        super(UpsertWorkorder, self).__init__(**kwargs)
        self.workorder = kwargs['workorder']
        self.part = kwargs['part']
        self.quantity = kwargs['quantity']
        self.unit = kwargs.get('unit', None)
        self.status = kwargs['status']
        self.operations = kwargs['operations']
        self.planned_start = kwargs.get('planned_start', None)
        self.planned_end = kwargs.get('planned_end', None)
        self.produced_quantity = kwargs.get('produced_quantity', None)
        self.scrapped_quantity = kwargs.get('scrapped_quantity', None)
        self.customer_order_reference = kwargs.get('customer_order_reference', None)


class UserAppDto(msrest.serialization.Model):
    """UserAppDto.

    All required parameters must be populated in order to send to Azure.

    :ivar key: Required.
    :vartype key: str
    :ivar name: Required.
    :vartype name: str
    :ivar description:
    :vartype description: str
    """

    _validation = {
        'key': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'key': {'key': 'key', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword key: Required.
        :paramtype key: str
        :keyword name: Required.
        :paramtype name: str
        :keyword description:
        :paramtype description: str
        """
        super(UserAppDto, self).__init__(**kwargs)
        self.key = kwargs['key']
        self.name = kwargs['name']
        self.description = kwargs.get('description', None)


class UserDto(msrest.serialization.Model):
    """UserDto.

    :ivar id:
    :vartype id: str
    :ivar full_name:
    :vartype full_name: str
    :ivar upn:
    :vartype upn: str
    :ivar roles:
    :vartype roles: list[str]
    :ivar given_name:
    :vartype given_name: str
    :ivar sur_name:
    :vartype sur_name: str
    :ivar tenant_id:
    :vartype tenant_id: str
    :ivar customer_id:
    :vartype customer_id: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'full_name': {'key': 'fullName', 'type': 'str'},
        'upn': {'key': 'upn', 'type': 'str'},
        'roles': {'key': 'roles', 'type': '[str]'},
        'given_name': {'key': 'givenName', 'type': 'str'},
        'sur_name': {'key': 'surName', 'type': 'str'},
        'tenant_id': {'key': 'tenantId', 'type': 'str'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword full_name:
        :paramtype full_name: str
        :keyword upn:
        :paramtype upn: str
        :keyword roles:
        :paramtype roles: list[str]
        :keyword given_name:
        :paramtype given_name: str
        :keyword sur_name:
        :paramtype sur_name: str
        :keyword tenant_id:
        :paramtype tenant_id: str
        :keyword customer_id:
        :paramtype customer_id: str
        """
        super(UserDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.full_name = kwargs.get('full_name', None)
        self.upn = kwargs.get('upn', None)
        self.roles = kwargs.get('roles', None)
        self.given_name = kwargs.get('given_name', None)
        self.sur_name = kwargs.get('sur_name', None)
        self.tenant_id = kwargs.get('tenant_id', None)
        self.customer_id = kwargs.get('customer_id', None)


class UtilizationDetailsDto(msrest.serialization.Model):
    """UtilizationDetailsDto.

    All required parameters must be populated in order to send to Azure.

    :ivar states: Required.
    :vartype states: list[~ignos.api.client.models.StateDto]
    """

    _validation = {
        'states': {'required': True},
    }

    _attribute_map = {
        'states': {'key': 'states', 'type': '[StateDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword states: Required.
        :paramtype states: list[~ignos.api.client.models.StateDto]
        """
        super(UtilizationDetailsDto, self).__init__(**kwargs)
        self.states = kwargs['states']


class UtilizationDto(msrest.serialization.Model):
    """UtilizationDto.

    :ivar machines:
    :vartype machines: list[~ignos.api.client.models.MachineUtilizationDto]
    """

    _attribute_map = {
        'machines': {'key': 'machines', 'type': '[MachineUtilizationDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword machines:
        :paramtype machines: list[~ignos.api.client.models.MachineUtilizationDto]
        """
        super(UtilizationDto, self).__init__(**kwargs)
        self.machines = kwargs.get('machines', None)


class UtilizationWorkorderDto(msrest.serialization.Model):
    """UtilizationWorkorderDto.

    :ivar id:
    :vartype id: str
    :ivar operation:
    :vartype operation: int
    :ivar is_setup:
    :vartype is_setup: bool
    :ivar part_number:
    :vartype part_number: str
    :ivar part_name:
    :vartype part_name: str
    :ivar customer:
    :vartype customer: ~ignos.api.client.models.CustomerDto
    :ivar customer_order:
    :vartype customer_order: str
    :ivar start_time:
    :vartype start_time: ~datetime.datetime
    :ivar workorder_utilization:
    :vartype workorder_utilization: float
    :ivar compared_to_average:
    :vartype compared_to_average: float
    :ivar workorder_description:
    :vartype workorder_description: str
    :ivar operation_description:
    :vartype operation_description: str
    """

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'operation': {'key': 'operation', 'type': 'int'},
        'is_setup': {'key': 'isSetup', 'type': 'bool'},
        'part_number': {'key': 'partNumber', 'type': 'str'},
        'part_name': {'key': 'partName', 'type': 'str'},
        'customer': {'key': 'customer', 'type': 'CustomerDto'},
        'customer_order': {'key': 'customerOrder', 'type': 'str'},
        'start_time': {'key': 'startTime', 'type': 'iso-8601'},
        'workorder_utilization': {'key': 'workorderUtilization', 'type': 'float'},
        'compared_to_average': {'key': 'comparedToAverage', 'type': 'float'},
        'workorder_description': {'key': 'workorderDescription', 'type': 'str'},
        'operation_description': {'key': 'operationDescription', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword operation:
        :paramtype operation: int
        :keyword is_setup:
        :paramtype is_setup: bool
        :keyword part_number:
        :paramtype part_number: str
        :keyword part_name:
        :paramtype part_name: str
        :keyword customer:
        :paramtype customer: ~ignos.api.client.models.CustomerDto
        :keyword customer_order:
        :paramtype customer_order: str
        :keyword start_time:
        :paramtype start_time: ~datetime.datetime
        :keyword workorder_utilization:
        :paramtype workorder_utilization: float
        :keyword compared_to_average:
        :paramtype compared_to_average: float
        :keyword workorder_description:
        :paramtype workorder_description: str
        :keyword operation_description:
        :paramtype operation_description: str
        """
        super(UtilizationWorkorderDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.operation = kwargs.get('operation', None)
        self.is_setup = kwargs.get('is_setup', None)
        self.part_number = kwargs.get('part_number', None)
        self.part_name = kwargs.get('part_name', None)
        self.customer = kwargs.get('customer', None)
        self.customer_order = kwargs.get('customer_order', None)
        self.start_time = kwargs.get('start_time', None)
        self.workorder_utilization = kwargs.get('workorder_utilization', None)
        self.compared_to_average = kwargs.get('compared_to_average', None)
        self.workorder_description = kwargs.get('workorder_description', None)
        self.operation_description = kwargs.get('operation_description', None)


class ValidationRuleDto(msrest.serialization.Model):
    """ValidationRuleDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id: Required.
    :vartype id: str
    :ivar name: Required.
    :vartype name: str
    """

    _validation = {
        'id': {'required': True},
        'name': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id: Required.
        :paramtype id: str
        :keyword name: Required.
        :paramtype name: str
        """
        super(ValidationRuleDto, self).__init__(**kwargs)
        self.id = kwargs['id']
        self.name = kwargs['name']


class WhitelistMeasuringTool(msrest.serialization.Model):
    """WhitelistMeasuringTool.

    All required parameters must be populated in order to send to Azure.

    :ivar value: Required.
    :vartype value: str
    :ivar description: Required.
    :vartype description: str
    """

    _validation = {
        'value': {'required': True},
        'description': {'required': True},
    }

    _attribute_map = {
        'value': {'key': 'value', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword value: Required.
        :paramtype value: str
        :keyword description: Required.
        :paramtype description: str
        """
        super(WhitelistMeasuringTool, self).__init__(**kwargs)
        self.value = kwargs['value']
        self.description = kwargs['description']


class WorkorderCustomerOrderReferenceDto(msrest.serialization.Model):
    """WorkorderCustomerOrderReferenceDto.

    :ivar customer_order:
    :vartype customer_order: str
    :ivar customer_order_line:
    :vartype customer_order_line: int
    :ivar customer_id:
    :vartype customer_id: str
    :ivar customer_name:
    :vartype customer_name: str
    :ivar external_order_number:
    :vartype external_order_number: str
    """

    _attribute_map = {
        'customer_order': {'key': 'customerOrder', 'type': 'str'},
        'customer_order_line': {'key': 'customerOrderLine', 'type': 'int'},
        'customer_id': {'key': 'customerId', 'type': 'str'},
        'customer_name': {'key': 'customerName', 'type': 'str'},
        'external_order_number': {'key': 'externalOrderNumber', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword customer_order:
        :paramtype customer_order: str
        :keyword customer_order_line:
        :paramtype customer_order_line: int
        :keyword customer_id:
        :paramtype customer_id: str
        :keyword customer_name:
        :paramtype customer_name: str
        :keyword external_order_number:
        :paramtype external_order_number: str
        """
        super(WorkorderCustomerOrderReferenceDto, self).__init__(**kwargs)
        self.customer_order = kwargs.get('customer_order', None)
        self.customer_order_line = kwargs.get('customer_order_line', None)
        self.customer_id = kwargs.get('customer_id', None)
        self.customer_name = kwargs.get('customer_name', None)
        self.external_order_number = kwargs.get('external_order_number', None)


class WorkorderDto(msrest.serialization.Model):
    """WorkorderDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id:
    :vartype id: str
    :ivar part: Required.
    :vartype part: ~ignos.api.client.models.PartDto
    :ivar quantity: Required.
    :vartype quantity: float
    :ivar unit:
    :vartype unit: str
    :ivar status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed", "Deleted".
    :vartype status: str or ~ignos.api.client.models.WorkorderStatus
    :ivar operations: Required.
    :vartype operations: list[~ignos.api.client.models.WorkorderOperationDto]
    :ivar planned_start:
    :vartype planned_start: ~datetime.datetime
    :ivar planned_end:
    :vartype planned_end: ~datetime.datetime
    :ivar produced_quantity:
    :vartype produced_quantity: float
    :ivar scrapped_quantity:
    :vartype scrapped_quantity: float
    """

    _validation = {
        'part': {'required': True},
        'quantity': {'required': True},
        'status': {'required': True},
        'operations': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'part': {'key': 'part', 'type': 'PartDto'},
        'quantity': {'key': 'quantity', 'type': 'float'},
        'unit': {'key': 'unit', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'operations': {'key': 'operations', 'type': '[WorkorderOperationDto]'},
        'planned_start': {'key': 'plannedStart', 'type': 'iso-8601'},
        'planned_end': {'key': 'plannedEnd', 'type': 'iso-8601'},
        'produced_quantity': {'key': 'producedQuantity', 'type': 'float'},
        'scrapped_quantity': {'key': 'scrappedQuantity', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword part: Required.
        :paramtype part: ~ignos.api.client.models.PartDto
        :keyword quantity: Required.
        :paramtype quantity: float
        :keyword unit:
        :paramtype unit: str
        :keyword status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed",
         "Deleted".
        :paramtype status: str or ~ignos.api.client.models.WorkorderStatus
        :keyword operations: Required.
        :paramtype operations: list[~ignos.api.client.models.WorkorderOperationDto]
        :keyword planned_start:
        :paramtype planned_start: ~datetime.datetime
        :keyword planned_end:
        :paramtype planned_end: ~datetime.datetime
        :keyword produced_quantity:
        :paramtype produced_quantity: float
        :keyword scrapped_quantity:
        :paramtype scrapped_quantity: float
        """
        super(WorkorderDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.part = kwargs['part']
        self.quantity = kwargs['quantity']
        self.unit = kwargs.get('unit', None)
        self.status = kwargs['status']
        self.operations = kwargs['operations']
        self.planned_start = kwargs.get('planned_start', None)
        self.planned_end = kwargs.get('planned_end', None)
        self.produced_quantity = kwargs.get('produced_quantity', None)
        self.scrapped_quantity = kwargs.get('scrapped_quantity', None)


class WorkorderHierarchyDto(msrest.serialization.Model):
    """WorkorderHierarchyDto.

    All required parameters must be populated in order to send to Azure.

    :ivar workorder: Required.
    :vartype workorder: str
    :ivar quantity: Required.
    :vartype quantity: float
    :ivar total_quantity: Required.
    :vartype total_quantity: float
    :ivar workorders: Required.
    :vartype workorders: list[~ignos.api.client.models.WorkorderHierarchyDto]
    """

    _validation = {
        'workorder': {'required': True},
        'quantity': {'required': True},
        'total_quantity': {'required': True},
        'workorders': {'required': True},
    }

    _attribute_map = {
        'workorder': {'key': 'workorder', 'type': 'str'},
        'quantity': {'key': 'quantity', 'type': 'float'},
        'total_quantity': {'key': 'totalQuantity', 'type': 'float'},
        'workorders': {'key': 'workorders', 'type': '[WorkorderHierarchyDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword workorder: Required.
        :paramtype workorder: str
        :keyword quantity: Required.
        :paramtype quantity: float
        :keyword total_quantity: Required.
        :paramtype total_quantity: float
        :keyword workorders: Required.
        :paramtype workorders: list[~ignos.api.client.models.WorkorderHierarchyDto]
        """
        super(WorkorderHierarchyDto, self).__init__(**kwargs)
        self.workorder = kwargs['workorder']
        self.quantity = kwargs['quantity']
        self.total_quantity = kwargs['total_quantity']
        self.workorders = kwargs['workorders']


class WorkorderListDto(msrest.serialization.Model):
    """WorkorderListDto.

    All required parameters must be populated in order to send to Azure.

    :ivar id:
    :vartype id: str
    :ivar part: Required.
    :vartype part: ~ignos.api.client.models.PartDto
    :ivar quantity: Required.
    :vartype quantity: float
    :ivar unit:
    :vartype unit: str
    :ivar status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed", "Deleted".
    :vartype status: str or ~ignos.api.client.models.WorkorderStatus
    :ivar planned_start:
    :vartype planned_start: ~datetime.datetime
    :ivar planned_end:
    :vartype planned_end: ~datetime.datetime
    :ivar produced_quantity:
    :vartype produced_quantity: float
    :ivar scrapped_quantity:
    :vartype scrapped_quantity: float
    """

    _validation = {
        'part': {'required': True},
        'quantity': {'required': True},
        'status': {'required': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'part': {'key': 'part', 'type': 'PartDto'},
        'quantity': {'key': 'quantity', 'type': 'float'},
        'unit': {'key': 'unit', 'type': 'str'},
        'status': {'key': 'status', 'type': 'str'},
        'planned_start': {'key': 'plannedStart', 'type': 'iso-8601'},
        'planned_end': {'key': 'plannedEnd', 'type': 'iso-8601'},
        'produced_quantity': {'key': 'producedQuantity', 'type': 'float'},
        'scrapped_quantity': {'key': 'scrappedQuantity', 'type': 'float'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword id:
        :paramtype id: str
        :keyword part: Required.
        :paramtype part: ~ignos.api.client.models.PartDto
        :keyword quantity: Required.
        :paramtype quantity: float
        :keyword unit:
        :paramtype unit: str
        :keyword status: Required. Known values are: "Draft", "Ready", "Ongoing", "Completed",
         "Deleted".
        :paramtype status: str or ~ignos.api.client.models.WorkorderStatus
        :keyword planned_start:
        :paramtype planned_start: ~datetime.datetime
        :keyword planned_end:
        :paramtype planned_end: ~datetime.datetime
        :keyword produced_quantity:
        :paramtype produced_quantity: float
        :keyword scrapped_quantity:
        :paramtype scrapped_quantity: float
        """
        super(WorkorderListDto, self).__init__(**kwargs)
        self.id = kwargs.get('id', None)
        self.part = kwargs['part']
        self.quantity = kwargs['quantity']
        self.unit = kwargs.get('unit', None)
        self.status = kwargs['status']
        self.planned_start = kwargs.get('planned_start', None)
        self.planned_end = kwargs.get('planned_end', None)
        self.produced_quantity = kwargs.get('produced_quantity', None)
        self.scrapped_quantity = kwargs.get('scrapped_quantity', None)


class WorkorderListDtoPagedResult(msrest.serialization.Model):
    """WorkorderListDtoPagedResult.

    All required parameters must be populated in order to send to Azure.

    :ivar results: Required.
    :vartype results: list[~ignos.api.client.models.WorkorderListDto]
    :ivar continuation_token:
    :vartype continuation_token: str
    """

    _validation = {
        'results': {'required': True},
    }

    _attribute_map = {
        'results': {'key': 'results', 'type': '[WorkorderListDto]'},
        'continuation_token': {'key': 'continuationToken', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword results: Required.
        :paramtype results: list[~ignos.api.client.models.WorkorderListDto]
        :keyword continuation_token:
        :paramtype continuation_token: str
        """
        super(WorkorderListDtoPagedResult, self).__init__(**kwargs)
        self.results = kwargs['results']
        self.continuation_token = kwargs.get('continuation_token', None)


class WorkorderMaterialDto(msrest.serialization.Model):
    """WorkorderMaterialDto.

    All required parameters must be populated in order to send to Azure.

    :ivar material_line:
    :vartype material_line: int
    :ivar status: Required. Known values are: "Unknown", "NotStarted", "Partial", "Completed".
    :vartype status: str or ~ignos.api.client.models.MaterialStatus
    :ivar material: Required.
    :vartype material: ~ignos.api.client.models.PartDto
    :ivar quantity_per_part: Required.
    :vartype quantity_per_part: float
    :ivar fixed_quantity: Required.
    :vartype fixed_quantity: bool
    :ivar used_quantity:
    :vartype used_quantity: float
    :ivar unit:
    :vartype unit: str
    """

    _validation = {
        'status': {'required': True},
        'material': {'required': True},
        'quantity_per_part': {'required': True},
        'fixed_quantity': {'required': True},
    }

    _attribute_map = {
        'material_line': {'key': 'materialLine', 'type': 'int'},
        'status': {'key': 'status', 'type': 'str'},
        'material': {'key': 'material', 'type': 'PartDto'},
        'quantity_per_part': {'key': 'quantityPerPart', 'type': 'float'},
        'fixed_quantity': {'key': 'fixedQuantity', 'type': 'bool'},
        'used_quantity': {'key': 'usedQuantity', 'type': 'float'},
        'unit': {'key': 'unit', 'type': 'str'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword material_line:
        :paramtype material_line: int
        :keyword status: Required. Known values are: "Unknown", "NotStarted", "Partial", "Completed".
        :paramtype status: str or ~ignos.api.client.models.MaterialStatus
        :keyword material: Required.
        :paramtype material: ~ignos.api.client.models.PartDto
        :keyword quantity_per_part: Required.
        :paramtype quantity_per_part: float
        :keyword fixed_quantity: Required.
        :paramtype fixed_quantity: bool
        :keyword used_quantity:
        :paramtype used_quantity: float
        :keyword unit:
        :paramtype unit: str
        """
        super(WorkorderMaterialDto, self).__init__(**kwargs)
        self.material_line = kwargs.get('material_line', None)
        self.status = kwargs['status']
        self.material = kwargs['material']
        self.quantity_per_part = kwargs['quantity_per_part']
        self.fixed_quantity = kwargs['fixed_quantity']
        self.used_quantity = kwargs.get('used_quantity', None)
        self.unit = kwargs.get('unit', None)


class WorkorderOperationDto(msrest.serialization.Model):
    """WorkorderOperationDto.

    All required parameters must be populated in order to send to Azure.

    :ivar operation: Required.
    :vartype operation: int
    :ivar description:
    :vartype description: str
    :ivar planned_setup_time: Required.
    :vartype planned_setup_time: float
    :ivar planned_production_time_per_part: Required.
    :vartype planned_production_time_per_part: float
    :ivar fixed_time:
    :vartype fixed_time: bool
    :ivar resource: Required.
    :vartype resource: ~ignos.api.client.models.ResourceDto
    :ivar planned_start:
    :vartype planned_start: ~datetime.datetime
    :ivar planned_end:
    :vartype planned_end: ~datetime.datetime
    :ivar status: Required. Known values are: "NotReady", "Ready", "Ongoing", "Completed".
    :vartype status: str or ~ignos.api.client.models.OperationStatus
    :ivar produced_quantity: Required.
    :vartype produced_quantity: float
    :ivar scrapped_quantity: Required.
    :vartype scrapped_quantity: float
    :ivar used_production_time: Required.
    :vartype used_production_time: float
    :ivar used_setup_time: Required.
    :vartype used_setup_time: float
    :ivar materials: Required.
    :vartype materials: list[~ignos.api.client.models.WorkorderMaterialDto]
    """

    _validation = {
        'operation': {'required': True},
        'planned_setup_time': {'required': True},
        'planned_production_time_per_part': {'required': True},
        'resource': {'required': True},
        'status': {'required': True},
        'produced_quantity': {'required': True},
        'scrapped_quantity': {'required': True},
        'used_production_time': {'required': True},
        'used_setup_time': {'required': True},
        'materials': {'required': True},
    }

    _attribute_map = {
        'operation': {'key': 'operation', 'type': 'int'},
        'description': {'key': 'description', 'type': 'str'},
        'planned_setup_time': {'key': 'plannedSetupTime', 'type': 'float'},
        'planned_production_time_per_part': {'key': 'plannedProductionTimePerPart', 'type': 'float'},
        'fixed_time': {'key': 'fixedTime', 'type': 'bool'},
        'resource': {'key': 'resource', 'type': 'ResourceDto'},
        'planned_start': {'key': 'plannedStart', 'type': 'iso-8601'},
        'planned_end': {'key': 'plannedEnd', 'type': 'iso-8601'},
        'status': {'key': 'status', 'type': 'str'},
        'produced_quantity': {'key': 'producedQuantity', 'type': 'float'},
        'scrapped_quantity': {'key': 'scrappedQuantity', 'type': 'float'},
        'used_production_time': {'key': 'usedProductionTime', 'type': 'float'},
        'used_setup_time': {'key': 'usedSetupTime', 'type': 'float'},
        'materials': {'key': 'materials', 'type': '[WorkorderMaterialDto]'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword operation: Required.
        :paramtype operation: int
        :keyword description:
        :paramtype description: str
        :keyword planned_setup_time: Required.
        :paramtype planned_setup_time: float
        :keyword planned_production_time_per_part: Required.
        :paramtype planned_production_time_per_part: float
        :keyword fixed_time:
        :paramtype fixed_time: bool
        :keyword resource: Required.
        :paramtype resource: ~ignos.api.client.models.ResourceDto
        :keyword planned_start:
        :paramtype planned_start: ~datetime.datetime
        :keyword planned_end:
        :paramtype planned_end: ~datetime.datetime
        :keyword status: Required. Known values are: "NotReady", "Ready", "Ongoing", "Completed".
        :paramtype status: str or ~ignos.api.client.models.OperationStatus
        :keyword produced_quantity: Required.
        :paramtype produced_quantity: float
        :keyword scrapped_quantity: Required.
        :paramtype scrapped_quantity: float
        :keyword used_production_time: Required.
        :paramtype used_production_time: float
        :keyword used_setup_time: Required.
        :paramtype used_setup_time: float
        :keyword materials: Required.
        :paramtype materials: list[~ignos.api.client.models.WorkorderMaterialDto]
        """
        super(WorkorderOperationDto, self).__init__(**kwargs)
        self.operation = kwargs['operation']
        self.description = kwargs.get('description', None)
        self.planned_setup_time = kwargs['planned_setup_time']
        self.planned_production_time_per_part = kwargs['planned_production_time_per_part']
        self.fixed_time = kwargs.get('fixed_time', None)
        self.resource = kwargs['resource']
        self.planned_start = kwargs.get('planned_start', None)
        self.planned_end = kwargs.get('planned_end', None)
        self.status = kwargs['status']
        self.produced_quantity = kwargs['produced_quantity']
        self.scrapped_quantity = kwargs['scrapped_quantity']
        self.used_production_time = kwargs['used_production_time']
        self.used_setup_time = kwargs['used_setup_time']
        self.materials = kwargs['materials']


class WorkorderOperationEventDto(msrest.serialization.Model):
    """WorkorderOperationEventDto.

    All required parameters must be populated in order to send to Azure.

    :ivar event_id: Required.
    :vartype event_id: str
    :ivar external_id:
    :vartype external_id: str
    :ivar workorder: Required.
    :vartype workorder: str
    :ivar operation: Required.
    :vartype operation: int
    :ivar start_time: Required.
    :vartype start_time: ~datetime.datetime
    :ivar end_time:
    :vartype end_time: ~datetime.datetime
    :ivar is_setup: Required.
    :vartype is_setup: bool
    :ivar employee:
    :vartype employee: ~ignos.api.client.models.EmployeeDto
    :ivar resource_id: Required.
    :vartype resource_id: str
    :ivar description:
    :vartype description: str
    :ivar part:
    :vartype part: ~ignos.api.client.models.PartDto
    """

    _validation = {
        'event_id': {'required': True},
        'workorder': {'required': True},
        'operation': {'required': True},
        'start_time': {'required': True},
        'is_setup': {'required': True},
        'resource_id': {'required': True},
    }

    _attribute_map = {
        'event_id': {'key': 'eventId', 'type': 'str'},
        'external_id': {'key': 'externalId', 'type': 'str'},
        'workorder': {'key': 'workorder', 'type': 'str'},
        'operation': {'key': 'operation', 'type': 'int'},
        'start_time': {'key': 'startTime', 'type': 'iso-8601'},
        'end_time': {'key': 'endTime', 'type': 'iso-8601'},
        'is_setup': {'key': 'isSetup', 'type': 'bool'},
        'employee': {'key': 'employee', 'type': 'EmployeeDto'},
        'resource_id': {'key': 'resourceId', 'type': 'str'},
        'description': {'key': 'description', 'type': 'str'},
        'part': {'key': 'part', 'type': 'PartDto'},
    }

    def __init__(
        self,
        **kwargs
    ):
        """
        :keyword event_id: Required.
        :paramtype event_id: str
        :keyword external_id:
        :paramtype external_id: str
        :keyword workorder: Required.
        :paramtype workorder: str
        :keyword operation: Required.
        :paramtype operation: int
        :keyword start_time: Required.
        :paramtype start_time: ~datetime.datetime
        :keyword end_time:
        :paramtype end_time: ~datetime.datetime
        :keyword is_setup: Required.
        :paramtype is_setup: bool
        :keyword employee:
        :paramtype employee: ~ignos.api.client.models.EmployeeDto
        :keyword resource_id: Required.
        :paramtype resource_id: str
        :keyword description:
        :paramtype description: str
        :keyword part:
        :paramtype part: ~ignos.api.client.models.PartDto
        """
        super(WorkorderOperationEventDto, self).__init__(**kwargs)
        self.event_id = kwargs['event_id']
        self.external_id = kwargs.get('external_id', None)
        self.workorder = kwargs['workorder']
        self.operation = kwargs['operation']
        self.start_time = kwargs['start_time']
        self.end_time = kwargs.get('end_time', None)
        self.is_setup = kwargs['is_setup']
        self.employee = kwargs.get('employee', None)
        self.resource_id = kwargs['resource_id']
        self.description = kwargs.get('description', None)
        self.part = kwargs.get('part', None)
